// ATX Trespasser 2.00+ Plugin System
// Trespasser T-Script Name Table ID Indexes
//
// Note: "BOGUS" entries are commented out.

#ifndef atxtscriptindexesH
#define atxtscriptindexesH


#define TSCRIPT_INDEXVALUE_CLASS				0	     // Class
#define TSCRIPT_INDEXVALUE_MESH 				1	     // Mesh
#define TSCRIPT_INDEXVALUE_PHYSICS				2	     // Physics
#define TSCRIPT_INDEXVALUE_MIN					3	     // Min
#define TSCRIPT_INDEXVALUE_MAX					4	     // Max
#define TSCRIPT_INDEXVALUE_INITIALSTATE 			5	     // InitialState
#define TSCRIPT_INDEXVALUE_MINHIGHTIME				6	     // MinHighTime
#define TSCRIPT_INDEXVALUE_MAXHIGHTIME				7	     // MaxHighTime
#define TSCRIPT_INDEXVALUE_MINLOWTIME				8	     // MinLowTime
#define TSCRIPT_INDEXVALUE_MAXLOWTIME				9	     // MaxLowTime
#define TSCRIPT_INDEXVALUE_TOGGLE				12	     // Toggle
#define TSCRIPT_INDEXVALUE_CLOSE				10	     // Close
#define TSCRIPT_INDEXVALUE_DECAY				11	     // Decay
#define TSCRIPT_INDEXVALUE_SPANGCOUNT				13	     // SpangCount
#define TSCRIPT_INDEXVALUE_ARMOUR				14	     // Armour
#define TSCRIPT_INDEXVALUE_DAMAGEMULTIPLIER			15	     // DamageMultiplier
#define TSCRIPT_INDEXVALUE_DAMAGEPERSECOND			16	     // DamagePerSecond
#define TSCRIPT_INDEXVALUE_MASS 				17	     // Mass
#define TSCRIPT_INDEXVALUE_DENSITY				18	     // Density
#define TSCRIPT_INDEXVALUE_ELASTICITY				19	     // Elasticity
#define TSCRIPT_INDEXVALUE_FLOATS				21	     // Floats
#define TSCRIPT_INDEXVALUE_FRICTION				22	     // Friction
#define TSCRIPT_INDEXVALUE_FROZEN				23	     // Frozen
#define TSCRIPT_INDEXVALUE_FILE 				20	     // File
#define TSCRIPT_INDEXVALUE_IMPULSE				24	     // Impulse
#define TSCRIPT_INDEXVALUE_LOCATION				25	     // Location
#define TSCRIPT_INDEXVALUE_MATERIAL				26	     // Material
#define TSCRIPT_INDEXVALUE_MOVEABLE				27	     // Moveable
#define TSCRIPT_INDEXVALUE_PLANTED				29	     // Planted
#define TSCRIPT_INDEXVALUE_OPEN 				28	     // Open
#define TSCRIPT_INDEXVALUE_RATIO				30	     // Ratio
#define TSCRIPT_INDEXVALUE_ROTATIONRATIO			31	     // RotationRatio
#define TSCRIPT_INDEXVALUE_RESET				32	     // Reset
#define TSCRIPT_INDEXVALUE_SHADOW				33	     // Shadow
#define TSCRIPT_INDEXVALUE_SMALL				34	     // Small
#define TSCRIPT_INDEXVALUE_SOUNDMATERIAL			35	     // SoundMaterial
#define TSCRIPT_INDEXVALUE_SUBSTITUTE				36	     // Substitute
#define TSCRIPT_INDEXVALUE_TANGIBLE				37	     // Tangible
#define TSCRIPT_INDEXVALUE_TARGET				38	     // Target
#define TSCRIPT_INDEXVALUE_TYPE 				39	     // Type
#define TSCRIPT_INDEXVALUE_VALUE				40	     // Value
#define TSCRIPT_INDEXVALUE_HINTID				41	     // HintID
#define TSCRIPT_INDEXVALUE_VOLUME				42	     // Volume - note: has a second script with same name! see lower
#define TSCRIPT_INDEXVALUE_SCALE				67	     // Scale
#define TSCRIPT_INDEXVALUE_MINSCALE				68	     // MinScale
#define TSCRIPT_INDEXVALUE_MAXSCALE				69	     // MaxScale
#define TSCRIPT_INDEXVALUE_SCALELIMIT				70	     // ScaleLimit
#define TSCRIPT_INDEXVALUE_FOGNEAR				71	     // FogNear
#define TSCRIPT_INDEXVALUE_FOGFAR				72	     // FogFar
#define TSCRIPT_INDEXVALUE_WINDSPEEDX				73	     // WindSpeedX
#define TSCRIPT_INDEXVALUE_WINDSPEEDY				74	     // WindSpeedY
#define TSCRIPT_INDEXVALUE_SUBDIVISION				75	     // SubDivision
#define TSCRIPT_INDEXVALUE_FILLSCREEN				76	     // FillScreen
#define TSCRIPT_INDEXVALUE_CRITICALHIT				43	     // CriticalHit
#define TSCRIPT_INDEXVALUE_HITPOINTS				44	     // HitPoints
#define TSCRIPT_INDEXVALUE_MAXHITPOINTS 			45	     // MaxHitPoints
#define TSCRIPT_INDEXVALUE_REGENERATION 			46	     // Regeneration
#define TSCRIPT_INDEXVALUE_REALLYDIE				47	     // ReallyDie
#define TSCRIPT_INDEXVALUE_DIERATE				48	     // DieRate
#define TSCRIPT_INDEXVALUE_OUCH 				49	     // Ouch
#define TSCRIPT_INDEXVALUE_FALL 				50	     // Fall
#define TSCRIPT_INDEXVALUE_CULLING				51	     // Culling
#define TSCRIPT_INDEXVALUE_SHADOWCULLING			52	     // ShadowCulling
#define TSCRIPT_INDEXVALUE_CULLMAXDIST				53	     // CullMaxDist
#define TSCRIPT_INDEXVALUE_CULLMAXRADIUS			54	     // CullMaxRadius
#define TSCRIPT_INDEXVALUE_CULLMAXDISTSHADOW			55	     // CullMaxDistShadow
#define TSCRIPT_INDEXVALUE_CULLMAXRADIUSSHADOW			56	     // CullMaxRadiusShadow
#define TSCRIPT_INDEXVALUE_PRIORITY				57	     // Priority
#define TSCRIPT_INDEXVALUE_HARDWAREONLY 			63	     // HardwareOnly
#define TSCRIPT_INDEXVALUE_SOFTWAREONLY 			64	     // SoftwareOnly
#define TSCRIPT_INDEXVALUE_NOLOWRES				65	     // NoLowRes
#define TSCRIPT_INDEXVALUE_CAMERAFOV				58	     // CameraFOV
#define TSCRIPT_INDEXVALUE_PIXELERROR				59	     // PixelError
#define TSCRIPT_INDEXVALUE_SUBDIVISIONLEN			60	     // SubdivisionLen
#define TSCRIPT_INDEXVALUE_ALTPIXELERROR			61	     // AltPixelError
#define TSCRIPT_INDEXVALUE_ALTSUBDIVISIONLEN			62	     // AltSubdivisionLen
#define TSCRIPT_INDEXVALUE_ALWAYSFACE				66	     // AlwaysFace
#define TSCRIPT_INDEXVALUE_NOCACHE				460	     // NoCache
#define TSCRIPT_INDEXVALUE_NOCACHEALONE 			461	     // NoCacheAlone
#define TSCRIPT_INDEXVALUE_CACHEMUL				462	     // CacheMul
#define TSCRIPT_INDEXVALUE_TELEPORTDESTOBJECTNAME		467	     // TeleportDestObjectName
#define TSCRIPT_INDEXVALUE_HEIGHTRELATIVE			463	     // HeightRelative
#define TSCRIPT_INDEXVALUE_ONTERRAIN				464	     // OnTerrain
#define TSCRIPT_INDEXVALUE_SETPOSITION				465	     // SetPosition
#define TSCRIPT_INDEXVALUE_SETORIENTATION			466	     // SetOrientation
#define TSCRIPT_INDEXVALUE_FIREDELAY				290	     // FireDelay
#define TSCRIPT_INDEXVALUE_FIRECOUNT				291	     // FireCount
#define TSCRIPT_INDEXVALUE_FIREEXPRESSION			292	     // FireExpression
#define TSCRIPT_INDEXVALUE_PROBABILITY				293	     // Probability
#define TSCRIPT_INDEXVALUE_FIREATZERO				296	     // FireAtZero
#define TSCRIPT_INDEXVALUE_RESETFIRE				297	     // ResetFire
#define TSCRIPT_INDEXVALUE_PROCESSSTYLE 			294	     // ProcessStyle
#define TSCRIPT_INDEXVALUE_REPEATPERIOD 			295	     // RepeatPeriod
#define TSCRIPT_INDEXVALUE_BOUNDVOL				298	     // BoundVol
#define TSCRIPT_INDEXVALUE_SEQUENCEDELAYMIN			299	     // SequenceDelayMin
#define TSCRIPT_INDEXVALUE_SEQUENCEDELAYMAX			300	     // SequenceDelayMax
#define TSCRIPT_INDEXVALUE_ELEMENT1				77	     // Element1
#define TSCRIPT_INDEXVALUE_ELEMENT2				78	     // Element2
#define TSCRIPT_INDEXVALUE_SOUNDMATERIAL1			79	     // SoundMaterial1
#define TSCRIPT_INDEXVALUE_SOUNDMATERIAL2			80	     // SoundMaterial2
#define TSCRIPT_INDEXVALUE_MINVELOCITY				81	     // MinVelocity
#define TSCRIPT_INDEXVALUE_MAXVELOCITY				82	     // MaxVelocity
#define TSCRIPT_INDEXVALUE_CREATUREDIE				83	     // CreatureDie
#define TSCRIPT_INDEXVALUE_CREATUREWAKE 			84	     // CreatureWake
#define TSCRIPT_INDEXVALUE_CREATURESLEEP			85	     // CreatureSleep
#define TSCRIPT_INDEXVALUE_CREATURECRITICALDAMAGE		86	     // CreatureCriticalDamage
#define TSCRIPT_INDEXVALUE_CREATUREDAMAGEPOINTS 		87	     // CreatureDamagePoints
#define TSCRIPT_INDEXVALUE_EVALUATEALL				88	     // EvaluateAll
#define TSCRIPT_INDEXVALUE_MASTERVOLUMEMIN			301	     // MasterVolumeMin
#define TSCRIPT_INDEXVALUE_MASTERVOLUMEMAX			302	     // MasterVolumeMax
#define TSCRIPT_INDEXVALUE_ACTIONTYPE				403	     // ActionType
#define TSCRIPT_INDEXVALUE_SAMPLE				404	     // Sample
#define TSCRIPT_INDEXVALUE_SPATIALTYPE				405	     // SpatialType
#define TSCRIPT_INDEXVALUE_VOLUME_ALTERNATE			406	     // Volume - 2nd script with same name!!!!!!!!
#define TSCRIPT_INDEXVALUE_STOPAFTERFADE			407	     // StopAfterFade
#define TSCRIPT_INDEXVALUE_ATTENUATION				408	     // Attenuation
#define TSCRIPT_INDEXVALUE_BOUNDARYVOLUME			409	     // BoundaryVolume
#define TSCRIPT_INDEXVALUE_MAXVOLDISTANCE			410	     // MaxVolDistance
#define TSCRIPT_INDEXVALUE_EMITTER				411	     // Emitter
#define TSCRIPT_INDEXVALUE_FRUSTUM				412	     // Frustum
#define TSCRIPT_INDEXVALUE_MUTE 				413	     // Mute
#define TSCRIPT_INDEXVALUE_OUTSIDEVOLUME			414	     // OutsideVolume
#define TSCRIPT_INDEXVALUE_LOOPED				415	     // Looped
#define TSCRIPT_INDEXVALUE_LOOPCOUNT				416	     // LoopCount
#define TSCRIPT_INDEXVALUE_MAXIMUMDISTANCE			417	     // MaximumDistance
#define TSCRIPT_INDEXVALUE_VOLUMEFADER				418	     // VolumeFader
#define TSCRIPT_INDEXVALUE_ATTACH				419	     // Attach
#define TSCRIPT_INDEXVALUE_BITMAP				420	     // Bitmap
#define TSCRIPT_INDEXVALUE_CENTER				421	     // Center
#define TSCRIPT_INDEXVALUE_DISCARD				422	     // Discard
#define TSCRIPT_INDEXVALUE_XPOS 				423	     // XPos
#define TSCRIPT_INDEXVALUE_YPOS 				424	     // YPos
#define TSCRIPT_INDEXVALUE_FOGTYPE				425	     // FogType
#define TSCRIPT_INDEXVALUE_FOGPOWER				426	     // FogPower
#define TSCRIPT_INDEXVALUE_FOGHALF				427	     // FogHalf
#define TSCRIPT_INDEXVALUE_AMBIENTLIGHT 			428	     // AmbientLight
#define TSCRIPT_INDEXVALUE_FARCLIPPLANE 			429	     // FarClipPlane
#define TSCRIPT_INDEXVALUE_NEARCLIPPLANE			430	     // NearClipPlane
#define TSCRIPT_INDEXVALUE_USEOBJECT				451	     // UseObject
#define TSCRIPT_INDEXVALUE_PICKUPOBJECT 			452	     // PickUpObject
#define TSCRIPT_INDEXVALUE_PUTDOWNOBJECT			453	     // PutDownObject
#define TSCRIPT_INDEXVALUE_TRIGGERNAME				454	     // TriggerName
#define TSCRIPT_INDEXVALUE_TRRPIXELTOL				431	     // TrrPixelTol
#define TSCRIPT_INDEXVALUE_TRRPIXELTOLFAR			432	     // TrrPixelTolFar
#define TSCRIPT_INDEXVALUE_TRRNOSHADOWDIST			433	     // TrrNoShadowDist
#define TSCRIPT_INDEXVALUE_TRRNOTEXTUREDIST			434	     // TrrNoTextureDist
#define TSCRIPT_INDEXVALUE_TRRNODYNTEXTUREDIST			435	     // TrrNoDynTextureDist
#define TSCRIPT_INDEXVALUE_TRRMOVINGSHADOWS			436	     // TrrMovingShadows
#define TSCRIPT_INDEXVALUE_NEARTOLERANCE			437	     // NearTolerance
#define TSCRIPT_INDEXVALUE_FARTOLERANCE 			438	     // FarTolerance
#define TSCRIPT_INDEXVALUE_NEARZ				439	     // NearZ
#define TSCRIPT_INDEXVALUE_FARZ 				440	     // FarZ
#define TSCRIPT_INDEXVALUE_FARZNO				441	     // FarZNo
#define TSCRIPT_INDEXVALUE_SORTPIXELTOL 			442	     // SortPixelTol
#define TSCRIPT_INDEXVALUE_MAXNUMTOSORT 			443	     // MaxNumToSort
#define TSCRIPT_INDEXVALUE_SORT2PARTAT				444	     // Sort2PartAt
#define TSCRIPT_INDEXVALUE_SORT4PARTAT				445	     // Sort4PartAt
#define TSCRIPT_INDEXVALUE_TERRNEARTOLERANCE			446	     // TerrNearTolerance
#define TSCRIPT_INDEXVALUE_TERRFARTOLERANCE			447	     // TerrFarTolerance
#define TSCRIPT_INDEXVALUE_TERRNEARZ				448	     // TerrNearZ
#define TSCRIPT_INDEXVALUE_TERRFARZ				449	     // TerrFarZ
#define TSCRIPT_INDEXVALUE_USESEPERATETOL			450	     // UseSeperateTol
#define TSCRIPT_INDEXVALUE_PIXELRATIO				455	     // PixelRatio
#define TSCRIPT_INDEXVALUE_MINPIXELS				456	     // MinPixels
#define TSCRIPT_INDEXVALUE_CACHEAGE				457	     // CacheAge
#define TSCRIPT_INDEXVALUE_CACHEACTIVE				458	     // CacheActive
#define TSCRIPT_INDEXVALUE_CACHEINTERSECT			459	     // CacheIntersect
#define TSCRIPT_INDEXVALUE_CREATUREENTERCOUNT			468	     // CreatureEnterCount
#define TSCRIPT_INDEXVALUE_CREATURELEAVECOUNT			469	     // CreatureLeaveCount
#define TSCRIPT_INDEXVALUE_PLAYERINTRIGGER			470	     // PlayerInTrigger
#define TSCRIPT_INDEXVALUE_PLAYERLEAVETRIGGER			471	     // PlayerLeaveTrigger
#define TSCRIPT_INDEXVALUE_PLAYERENTERTRIGGER			472	     // PlayerEnterTrigger
#define TSCRIPT_INDEXVALUE_OBJECTINTRIGGER			473	     // ObjectInTrigger
#define TSCRIPT_INDEXVALUE_OBJECTLEAVETRIGGER			474	     // ObjectLeaveTrigger
#define TSCRIPT_INDEXVALUE_OBJECTENTERTRIGGER			475	     // ObjectEnterTrigger
#define TSCRIPT_INDEXVALUE_CREATUREINTRIGGER			476	     // CreatureInTrigger
#define TSCRIPT_INDEXVALUE_CREATURELEAVETRIGGER 		477	     // CreatureLeaveTrigger
#define TSCRIPT_INDEXVALUE_CREATUREENTERTRIGGER 		478	     // CreatureEnterTrigger
#define TSCRIPT_INDEXVALUE_TRIGGERACTIVATE			479	     // TriggerActivate
#define TSCRIPT_INDEXVALUE_POINTTRIGGER 			480	     // PointTrigger
#define TSCRIPT_INDEXVALUE_OBJECTNAME				481	     // ObjectName
#define TSCRIPT_INDEXVALUE_ENABLE				482	     // Enable
#define TSCRIPT_INDEXVALUE_QUERY				483	     // Query
#define TSCRIPT_INDEXVALUE_LEVELNAME				484	     // LevelName
#define TSCRIPT_INDEXVALUE_ANIMATIONNAME			485	     // AnimationName
#define TSCRIPT_INDEXVALUE_SEQUENCELISTENNAMES			486	     // SequenceListenNames
#define TSCRIPT_INDEXVALUE_SEQUENCEORDERNAMES			487	     // SequenceOrderNames
#define TSCRIPT_INDEXVALUE_SEQUENCEEVALNOWNAMES 		488	     // SequenceEvalNowNames
#define TSCRIPT_INDEXVALUE_SEQUENCEFALSETRIGGERNAME		489	     // SequenceFalseTriggerName
#define TSCRIPT_INDEXVALUE_X					490	     // X
#define TSCRIPT_INDEXVALUE_Y					491	     // Y
#define TSCRIPT_INDEXVALUE_Z					492	     // Z
#define TSCRIPT_INDEXVALUE_BREAKABLE				493	     // Breakable
#define TSCRIPT_INDEXVALUE_BREAKSTRENGTH			494	     // BreakStrength
#define TSCRIPT_INDEXVALUE_DELTA				495	     // Delta
#define TSCRIPT_INDEXVALUE_DRIVE				496	     // Drive
#define TSCRIPT_INDEXVALUE_DELAY				497	     // Delay
#define TSCRIPT_INDEXVALUE_ANGLEMIN				498	     // AngleMin
#define TSCRIPT_INDEXVALUE_ANGLEMAX				499	     // AngleMax
#define TSCRIPT_INDEXVALUE_CMAGNET				500	     // CMagnet
#define TSCRIPT_INDEXVALUE_INSTANCE				501	     // Instance
#define TSCRIPT_INDEXVALUE_GENDER				502	     // Gender
#define TSCRIPT_INDEXVALUE_MAGNET				503	     // Magnet
#define TSCRIPT_INDEXVALUE_MASTEROBJECT 			504	     // MasterObject
#define TSCRIPT_INDEXVALUE_RESTORESTRENGTH			505	     // RestoreStrength
#define TSCRIPT_INDEXVALUE_SLAVEMAGNET				506	     // SlaveMagnet
#define TSCRIPT_INDEXVALUE_SLAVEOBJECT				507	     // SlaveObject
#define TSCRIPT_INDEXVALUE_XTFREE				508	     // XTFree
#define TSCRIPT_INDEXVALUE_YTFREE				509	     // YTFree
#define TSCRIPT_INDEXVALUE_ZTFREE				510	     // ZTFree
#define TSCRIPT_INDEXVALUE_XFREE				511	     // XFree
#define TSCRIPT_INDEXVALUE_YFREE				512	     // YFree
#define TSCRIPT_INDEXVALUE_ZFREE				513	     // ZFree
#define TSCRIPT_INDEXVALUE_HANDPICKUP				514	     // HandPickup
#define TSCRIPT_INDEXVALUE_SHOULDERHOLD 			515	     // ShoulderHold
#define TSCRIPT_INDEXVALUE_RESOLUTIONRATIO			516	     // ResolutionRatio
#define TSCRIPT_INDEXVALUE_STRENGTH				517	     // Strength
#define TSCRIPT_INDEXVALUE_INTERVAL				518	     // Interval
#define TSCRIPT_INDEXVALUE_RADIUS				519	     // Radius
#define TSCRIPT_INDEXVALUE_AUDIOENVIRONMENT			587	     // AudioEnvironment
#define TSCRIPT_INDEXVALUE_REVERBVOLUME 			588	     // ReverbVolume
#define TSCRIPT_INDEXVALUE_REVERBDECAY				589	     // ReverbDecay
#define TSCRIPT_INDEXVALUE_REVERBDAMPING			590	     // ReverbDamping
#define TSCRIPT_INDEXVALUE_BUMPINESS				591	     // Bumpiness
#define TSCRIPT_INDEXVALUE_BUMPMAPS				592	     // Bumpmaps
#define TSCRIPT_INDEXVALUE_CACHEINTERSECTING			593	     // CacheIntersecting
#define TSCRIPT_INDEXVALUE_DETAIL1				594	     // Detail1
#define TSCRIPT_INDEXVALUE_DETAIL2				595	     // Detail2
#define TSCRIPT_INDEXVALUE_DETAIL3				596	     // Detail3
#define TSCRIPT_INDEXVALUE_DETAIL4				597	     // Detail4
#define TSCRIPT_INDEXVALUE_DETAILSHADOW 			598	     // DetailShadow
#define TSCRIPT_INDEXVALUE_DIFFUSE				599	     // Diffuse
#define TSCRIPT_INDEXVALUE_EMISSIVE				600	     // Emissive
#define TSCRIPT_INDEXVALUE_TEXTURE				614	     // Texture
#define TSCRIPT_INDEXVALUE_MERGE				601	     // Merge
#define TSCRIPT_INDEXVALUE_NORMALS				602	     // Normals
#define TSCRIPT_INDEXVALUE_CURVED				603	     // Curved
#define TSCRIPT_INDEXVALUE_NUMDOUBLEJOINTS			604	     // NumDoubleJoints
#define TSCRIPT_INDEXVALUE_NUMJOINTS				605	     // NumJoints
#define TSCRIPT_INDEXVALUE_PRADIUS				606	     // PRadius
#define TSCRIPT_INDEXVALUE_PVA					607	     // PVA
#define TSCRIPT_INDEXVALUE_REFLECT				608	     // Reflect
#define TSCRIPT_INDEXVALUE_REFRACT				609	     // Refract
#define TSCRIPT_INDEXVALUE_REFRACTINDEX 			610	     // RefractIndex
#define TSCRIPT_INDEXVALUE_SPECULAR				611	     // Specular
#define TSCRIPT_INDEXVALUE_SPECULARANGLE			612	     // SpecularAngle
#define TSCRIPT_INDEXVALUE_SPLIT				613	     // Split
#define TSCRIPT_INDEXVALUE_VISIBLE				615	     // Visible
#define TSCRIPT_INDEXVALUE_WRAP 				616	     // Wrap
#define TSCRIPT_INDEXVALUE_UNLIT				617	     // Unlit
#define TSCRIPT_INDEXVALUE_CLUTSTARTCOLOR			618	     // ClutStartColor
#define TSCRIPT_INDEXVALUE_CLUTSTOPCOLOR			619	     // ClutStopColor
#define TSCRIPT_INDEXVALUE_CLUTREFLECTIONCOLOR			620	     // ClutReflectionColor
#define TSCRIPT_INDEXVALUE_DEFAULTCLUTSTARTCOLOR		621	     // DefaultClutStartColor
#define TSCRIPT_INDEXVALUE_DEFAULTCLUTSTOPCOLOR 		622	     // DefaultClutStopColor
#define TSCRIPT_INDEXVALUE_DEFAULTCLUTREFLECTIONCOLOR		623	     // DefaultClutReflectionColor
#define TSCRIPT_INDEXVALUE_ALPHAWATERPROPERTIES 		624	     // AlphaWaterProperties
#define TSCRIPT_INDEXVALUE_NONALPHAWATERPROPERTIES		625	     // NonAlphaWaterProperties
#define TSCRIPT_INDEXVALUE_BODY 				626	     // Body
#define TSCRIPT_INDEXVALUE_FOOT 				627	     // Foot
#define TSCRIPT_INDEXVALUE_LEFTFOOT				631	     // LeftFoot
#define TSCRIPT_INDEXVALUE_RIGHTFOOT				632	     // RightFoot
#define TSCRIPT_INDEXVALUE_LEFTREARFOOT 			633	     // LeftRearFoot
#define TSCRIPT_INDEXVALUE_RIGHTREARFOOT			634	     // RightRearFoot
#define TSCRIPT_INDEXVALUE_HAND 				628	     // Hand
#define TSCRIPT_INDEXVALUE_HEAD 				629	     // Head
#define TSCRIPT_INDEXVALUE_NECK 				635	     // Neck
#define TSCRIPT_INDEXVALUE_TAIL 				630	     // Tail
#define TSCRIPT_INDEXVALUE_REVERSEKNEES 			636	     // ReverseKnees
#define TSCRIPT_INDEXVALUE_SUBMATERIAL01			637	     // SubMaterial01
#define TSCRIPT_INDEXVALUE_SUBMATERIAL02			638	     // SubMaterial02
#define TSCRIPT_INDEXVALUE_SUBMATERIAL03			639	     // SubMaterial03
#define TSCRIPT_INDEXVALUE_SUBMATERIAL04			640	     // SubMaterial04
#define TSCRIPT_INDEXVALUE_SUBMATERIAL05			641	     // SubMaterial05
#define TSCRIPT_INDEXVALUE_SUBMATERIAL06			642	     // SubMaterial06
#define TSCRIPT_INDEXVALUE_SUBMATERIAL07			643	     // SubMaterial07
#define TSCRIPT_INDEXVALUE_SUBMATERIAL08			644	     // SubMaterial08
#define TSCRIPT_INDEXVALUE_SUBMATERIAL09			645	     // SubMaterial09
#define TSCRIPT_INDEXVALUE_SUBMATERIAL10			646	     // SubMaterial10
#define TSCRIPT_INDEXVALUE_SUBMATERIAL11			647	     // SubMaterial11
#define TSCRIPT_INDEXVALUE_SUBMATERIAL12			648	     // SubMaterial12
#define TSCRIPT_INDEXVALUE_SUBMATERIAL13			649	     // SubMaterial13
#define TSCRIPT_INDEXVALUE_SUBMATERIAL14			650	     // SubMaterial14
#define TSCRIPT_INDEXVALUE_SUBMATERIAL15			651	     // SubMaterial15
#define TSCRIPT_INDEXVALUE_SUBMATERIAL16			652	     // SubMaterial16
#define TSCRIPT_INDEXVALUE_SUBMATERIAL17			653	     // SubMaterial17
#define TSCRIPT_INDEXVALUE_SUBMATERIAL18			654	     // SubMaterial18
#define TSCRIPT_INDEXVALUE_SUBMATERIAL19			655	     // SubMaterial19
#define TSCRIPT_INDEXVALUE_SUBMATERIAL20			656	     // SubMaterial20
#define TSCRIPT_INDEXVALUE_SUBMATERIALEND			657	     // SubMaterialEnd
#define TSCRIPT_INDEXVALUE_ANIM00				520	     // Anim00
#define TSCRIPT_INDEXVALUE_ANIMB00				550	     // AnimB00
#define TSCRIPT_INDEXVALUE_ANIM01				521	     // Anim01
#define TSCRIPT_INDEXVALUE_ANIMB01				551	     // AnimB01
#define TSCRIPT_INDEXVALUE_ANIM02				522	     // Anim02
#define TSCRIPT_INDEXVALUE_ANIMB02				552	     // AnimB02
#define TSCRIPT_INDEXVALUE_ANIM03				523	     // Anim03
#define TSCRIPT_INDEXVALUE_ANIMB03				553	     // AnimB03
#define TSCRIPT_INDEXVALUE_ANIM04				524	     // Anim04
#define TSCRIPT_INDEXVALUE_ANIMB04				554	     // AnimB04
#define TSCRIPT_INDEXVALUE_ANIM05				525	     // Anim05
#define TSCRIPT_INDEXVALUE_ANIMB05				555	     // AnimB05
#define TSCRIPT_INDEXVALUE_ANIM06				526	     // Anim06
#define TSCRIPT_INDEXVALUE_ANIMB06				556	     // AnimB06
#define TSCRIPT_INDEXVALUE_ANIM07				527	     // Anim07
#define TSCRIPT_INDEXVALUE_ANIMB07				557	     // AnimB07
#define TSCRIPT_INDEXVALUE_ANIM08				528	     // Anim08
#define TSCRIPT_INDEXVALUE_ANIMB08				558	     // AnimB08
#define TSCRIPT_INDEXVALUE_ANIM09				529	     // Anim09
#define TSCRIPT_INDEXVALUE_ANIMB09				559	     // AnimB09
#define TSCRIPT_INDEXVALUE_ANIM10				530	     // Anim10
#define TSCRIPT_INDEXVALUE_ANIMB10				560	     // AnimB10
#define TSCRIPT_INDEXVALUE_ANIM11				531	     // Anim11
#define TSCRIPT_INDEXVALUE_ANIMB11				561	     // AnimB11
#define TSCRIPT_INDEXVALUE_ANIM12				532	     // Anim12
#define TSCRIPT_INDEXVALUE_ANIMB12				562	     // AnimB12
#define TSCRIPT_INDEXVALUE_ANIM13				533	     // Anim13
#define TSCRIPT_INDEXVALUE_ANIMB13				563	     // AnimB13
#define TSCRIPT_INDEXVALUE_ANIM14				534	     // Anim14
#define TSCRIPT_INDEXVALUE_ANIMB14				564	     // AnimB14
#define TSCRIPT_INDEXVALUE_ANIM15				535	     // Anim15
#define TSCRIPT_INDEXVALUE_ANIMB15				565	     // AnimB15
#define TSCRIPT_INDEXVALUE_ANIM16				536	     // Anim16
#define TSCRIPT_INDEXVALUE_ANIMB16				566	     // AnimB16
#define TSCRIPT_INDEXVALUE_ANIM17				537	     // Anim17
#define TSCRIPT_INDEXVALUE_ANIMB17				567	     // AnimB17
#define TSCRIPT_INDEXVALUE_ANIM18				538	     // Anim18
#define TSCRIPT_INDEXVALUE_ANIMB18				568	     // AnimB18
#define TSCRIPT_INDEXVALUE_ANIM19				539	     // Anim19
#define TSCRIPT_INDEXVALUE_ANIMB19				569	     // AnimB19
#define TSCRIPT_INDEXVALUE_ANIM20				540	     // Anim20
#define TSCRIPT_INDEXVALUE_ANIMB20				570	     // AnimB20
#define TSCRIPT_INDEXVALUE_ANIM21				541	     // Anim21
#define TSCRIPT_INDEXVALUE_ANIMB21				571	     // AnimB21
#define TSCRIPT_INDEXVALUE_ANIM22				542	     // Anim22
#define TSCRIPT_INDEXVALUE_ANIMB22				572	     // AnimB22
#define TSCRIPT_INDEXVALUE_ANIM23				543	     // Anim23
#define TSCRIPT_INDEXVALUE_ANIMB23				573	     // AnimB23
#define TSCRIPT_INDEXVALUE_ANIM24				544	     // Anim24
#define TSCRIPT_INDEXVALUE_ANIMB24				574	     // AnimB24
#define TSCRIPT_INDEXVALUE_ANIM25				545	     // Anim25
#define TSCRIPT_INDEXVALUE_ANIMB25				575	     // AnimB25
#define TSCRIPT_INDEXVALUE_ANIM26				546	     // Anim26
#define TSCRIPT_INDEXVALUE_ANIMB26				576	     // AnimB26
#define TSCRIPT_INDEXVALUE_ANIM27				547	     // Anim27
#define TSCRIPT_INDEXVALUE_ANIMB27				577	     // AnimB27
#define TSCRIPT_INDEXVALUE_ANIM28				548	     // Anim28
#define TSCRIPT_INDEXVALUE_ANIMB28				578	     // AnimB28
#define TSCRIPT_INDEXVALUE_ANIM29				549	     // Anim29
#define TSCRIPT_INDEXVALUE_ANIMB29				579	     // AnimB29
#define TSCRIPT_INDEXVALUE_PLACEHOLDER				580	     // PLACEHOLDER
#define TSCRIPT_INDEXVALUE_FRAME				581	     // Frame
#define TSCRIPT_INDEXVALUE_FREEZEFRAME				582	     // FreezeFrame
#define TSCRIPT_INDEXVALUE_TRACKTWO				583	     // TrackTwo
#define TSCRIPT_INDEXVALUE_DELTAX				584	     // DeltaX
#define TSCRIPT_INDEXVALUE_DELTAY				585	     // DeltaY
#define TSCRIPT_INDEXVALUE_ANIMSUBMATERIAL			586	     // AnimSubMaterial
#define TSCRIPT_INDEXVALUE_VERTEX000				666	     // Vertex000
#define TSCRIPT_INDEXVALUE_VERTEX001				667	     // Vertex001
#define TSCRIPT_INDEXVALUE_VERTEX002				668	     // Vertex002
#define TSCRIPT_INDEXVALUE_VERTEX003				669	     // Vertex003
#define TSCRIPT_INDEXVALUE_VERTEX004				670	     // Vertex004
#define TSCRIPT_INDEXVALUE_VERTEX005				671	     // Vertex005
#define TSCRIPT_INDEXVALUE_VERTEX006				672	     // Vertex006
#define TSCRIPT_INDEXVALUE_VERTEX007				673	     // Vertex007
#define TSCRIPT_INDEXVALUE_VERTEX008				674	     // Vertex008
#define TSCRIPT_INDEXVALUE_VERTEX009				675	     // Vertex009
#define TSCRIPT_INDEXVALUE_VERTEX010				676	     // Vertex010
#define TSCRIPT_INDEXVALUE_VERTEX011				677	     // Vertex011
#define TSCRIPT_INDEXVALUE_VERTEX012				678	     // Vertex012
#define TSCRIPT_INDEXVALUE_VERTEX013				679	     // Vertex013
#define TSCRIPT_INDEXVALUE_VERTEX014				680	     // Vertex014
#define TSCRIPT_INDEXVALUE_VERTEX015				681	     // Vertex015
#define TSCRIPT_INDEXVALUE_VERTEX016				682	     // Vertex016
#define TSCRIPT_INDEXVALUE_VERTEX017				683	     // Vertex017
#define TSCRIPT_INDEXVALUE_VERTEX018				684	     // Vertex018
#define TSCRIPT_INDEXVALUE_VERTEX019				685	     // Vertex019
#define TSCRIPT_INDEXVALUE_VERTEX020				686	     // Vertex020
#define TSCRIPT_INDEXVALUE_VERTEX021				687	     // Vertex021
#define TSCRIPT_INDEXVALUE_VERTEX022				688	     // Vertex022
#define TSCRIPT_INDEXVALUE_VERTEX023				689	     // Vertex023
#define TSCRIPT_INDEXVALUE_VERTEX024				690	     // Vertex024
#define TSCRIPT_INDEXVALUE_VERTEX025				691	     // Vertex025
#define TSCRIPT_INDEXVALUE_VERTEX026				692	     // Vertex026
#define TSCRIPT_INDEXVALUE_VERTEX027				693	     // Vertex027
#define TSCRIPT_INDEXVALUE_VERTEX028				694	     // Vertex028
#define TSCRIPT_INDEXVALUE_VERTEX029				695	     // Vertex029
#define TSCRIPT_INDEXVALUE_VERTEX030				696	     // Vertex030
#define TSCRIPT_INDEXVALUE_VERTEX031				697	     // Vertex031
#define TSCRIPT_INDEXVALUE_VERTEX032				698	     // Vertex032
#define TSCRIPT_INDEXVALUE_VERTEX033				699	     // Vertex033
#define TSCRIPT_INDEXVALUE_VERTEX034				700	     // Vertex034
#define TSCRIPT_INDEXVALUE_VERTEX035				701	     // Vertex035
#define TSCRIPT_INDEXVALUE_VERTEX036				702	     // Vertex036
#define TSCRIPT_INDEXVALUE_VERTEX037				703	     // Vertex037
#define TSCRIPT_INDEXVALUE_VERTEX038				704	     // Vertex038
#define TSCRIPT_INDEXVALUE_VERTEX039				705	     // Vertex039
#define TSCRIPT_INDEXVALUE_VERTEX040				706	     // Vertex040
#define TSCRIPT_INDEXVALUE_VERTEX041				707	     // Vertex041
#define TSCRIPT_INDEXVALUE_VERTEX042				708	     // Vertex042
#define TSCRIPT_INDEXVALUE_VERTEX043				709	     // Vertex043
#define TSCRIPT_INDEXVALUE_VERTEX044				710	     // Vertex044
#define TSCRIPT_INDEXVALUE_VERTEX045				711	     // Vertex045
#define TSCRIPT_INDEXVALUE_VERTEX046				712	     // Vertex046
#define TSCRIPT_INDEXVALUE_VERTEX047				713	     // Vertex047
#define TSCRIPT_INDEXVALUE_VERTEX048				714	     // Vertex048
#define TSCRIPT_INDEXVALUE_VERTEX049				715	     // Vertex049
#define TSCRIPT_INDEXVALUE_VERTEX050				716	     // Vertex050
#define TSCRIPT_INDEXVALUE_VERTEX051				717	     // Vertex051
#define TSCRIPT_INDEXVALUE_VERTEX052				718	     // Vertex052
#define TSCRIPT_INDEXVALUE_VERTEX053				719	     // Vertex053
#define TSCRIPT_INDEXVALUE_VERTEX054				720	     // Vertex054
#define TSCRIPT_INDEXVALUE_VERTEX055				721	     // Vertex055
#define TSCRIPT_INDEXVALUE_VERTEX056				722	     // Vertex056
#define TSCRIPT_INDEXVALUE_VERTEX057				723	     // Vertex057
#define TSCRIPT_INDEXVALUE_VERTEX058				724	     // Vertex058
#define TSCRIPT_INDEXVALUE_VERTEX059				725	     // Vertex059
#define TSCRIPT_INDEXVALUE_VERTEX060				726	     // Vertex060
#define TSCRIPT_INDEXVALUE_VERTEX061				727	     // Vertex061
#define TSCRIPT_INDEXVALUE_VERTEX062				728	     // Vertex062
#define TSCRIPT_INDEXVALUE_VERTEX063				729	     // Vertex063
#define TSCRIPT_INDEXVALUE_VERTEX064				730	     // Vertex064
#define TSCRIPT_INDEXVALUE_VERTEX065				731	     // Vertex065
#define TSCRIPT_INDEXVALUE_VERTEX066				732	     // Vertex066
#define TSCRIPT_INDEXVALUE_VERTEX067				733	     // Vertex067
#define TSCRIPT_INDEXVALUE_VERTEX068				734	     // Vertex068
#define TSCRIPT_INDEXVALUE_VERTEX069				735	     // Vertex069
#define TSCRIPT_INDEXVALUE_VERTEX070				736	     // Vertex070
#define TSCRIPT_INDEXVALUE_VERTEX071				737	     // Vertex071
#define TSCRIPT_INDEXVALUE_VERTEX072				738	     // Vertex072
#define TSCRIPT_INDEXVALUE_VERTEX073				739	     // Vertex073
#define TSCRIPT_INDEXVALUE_VERTEX074				740	     // Vertex074
#define TSCRIPT_INDEXVALUE_VERTEX075				741	     // Vertex075
#define TSCRIPT_INDEXVALUE_VERTEX076				742	     // Vertex076
#define TSCRIPT_INDEXVALUE_VERTEX077				743	     // Vertex077
#define TSCRIPT_INDEXVALUE_VERTEX078				744	     // Vertex078
#define TSCRIPT_INDEXVALUE_VERTEX079				745	     // Vertex079
#define TSCRIPT_INDEXVALUE_VERTEX080				746	     // Vertex080
#define TSCRIPT_INDEXVALUE_VERTEX081				747	     // Vertex081
#define TSCRIPT_INDEXVALUE_VERTEX082				748	     // Vertex082
#define TSCRIPT_INDEXVALUE_VERTEX083				749	     // Vertex083
#define TSCRIPT_INDEXVALUE_VERTEX084				750	     // Vertex084
#define TSCRIPT_INDEXVALUE_VERTEX085				751	     // Vertex085
#define TSCRIPT_INDEXVALUE_VERTEX086				752	     // Vertex086
#define TSCRIPT_INDEXVALUE_VERTEX087				753	     // Vertex087
#define TSCRIPT_INDEXVALUE_VERTEX088				754	     // Vertex088
#define TSCRIPT_INDEXVALUE_VERTEX089				755	     // Vertex089
#define TSCRIPT_INDEXVALUE_VERTEX090				756	     // Vertex090
#define TSCRIPT_INDEXVALUE_VERTEX091				757	     // Vertex091
#define TSCRIPT_INDEXVALUE_VERTEX092				758	     // Vertex092
#define TSCRIPT_INDEXVALUE_VERTEX093				759	     // Vertex093
#define TSCRIPT_INDEXVALUE_VERTEX094				760	     // Vertex094
#define TSCRIPT_INDEXVALUE_VERTEX095				761	     // Vertex095
#define TSCRIPT_INDEXVALUE_VERTEX096				762	     // Vertex096
#define TSCRIPT_INDEXVALUE_VERTEX097				763	     // Vertex097
#define TSCRIPT_INDEXVALUE_VERTEX098				764	     // Vertex098
#define TSCRIPT_INDEXVALUE_VERTEX099				765	     // Vertex099
#define TSCRIPT_INDEXVALUE_VERTEX100				766	     // Vertex100
#define TSCRIPT_INDEXVALUE_VERTEX101				767	     // Vertex101
#define TSCRIPT_INDEXVALUE_VERTEX102				768	     // Vertex102
#define TSCRIPT_INDEXVALUE_VERTEX103				769	     // Vertex103
#define TSCRIPT_INDEXVALUE_VERTEX104				770	     // Vertex104
#define TSCRIPT_INDEXVALUE_VERTEX105				771	     // Vertex105
#define TSCRIPT_INDEXVALUE_VERTEX106				772	     // Vertex106
#define TSCRIPT_INDEXVALUE_VERTEX107				773	     // Vertex107
#define TSCRIPT_INDEXVALUE_VERTEX108				774	     // Vertex108
#define TSCRIPT_INDEXVALUE_VERTEX109				775	     // Vertex109
#define TSCRIPT_INDEXVALUE_VERTEX110				776	     // Vertex110
#define TSCRIPT_INDEXVALUE_VERTEX111				777	     // Vertex111
#define TSCRIPT_INDEXVALUE_VERTEX112				778	     // Vertex112
#define TSCRIPT_INDEXVALUE_VERTEX113				779	     // Vertex113
#define TSCRIPT_INDEXVALUE_VERTEX114				780	     // Vertex114
#define TSCRIPT_INDEXVALUE_VERTEX115				781	     // Vertex115
#define TSCRIPT_INDEXVALUE_VERTEX116				782	     // Vertex116
#define TSCRIPT_INDEXVALUE_VERTEX117				783	     // Vertex117
#define TSCRIPT_INDEXVALUE_VERTEX118				784	     // Vertex118
#define TSCRIPT_INDEXVALUE_VERTEX119				785	     // Vertex119
#define TSCRIPT_INDEXVALUE_VERTEX120				786	     // Vertex120
#define TSCRIPT_INDEXVALUE_VERTEX121				787	     // Vertex121
#define TSCRIPT_INDEXVALUE_VERTEX122				788	     // Vertex122
#define TSCRIPT_INDEXVALUE_VERTEX123				789	     // Vertex123
#define TSCRIPT_INDEXVALUE_VERTEX124				790	     // Vertex124
#define TSCRIPT_INDEXVALUE_VERTEX125				791	     // Vertex125
#define TSCRIPT_INDEXVALUE_VERTEX126				792	     // Vertex126
#define TSCRIPT_INDEXVALUE_VERTEX127				793	     // Vertex127
#define TSCRIPT_INDEXVALUE_VERTEX128				794	     // Vertex128
#define TSCRIPT_INDEXVALUE_VERTEX129				795	     // Vertex129
#define TSCRIPT_INDEXVALUE_VERTEX130				796	     // Vertex130
#define TSCRIPT_INDEXVALUE_VERTEX131				797	     // Vertex131
#define TSCRIPT_INDEXVALUE_VERTEX132				798	     // Vertex132
#define TSCRIPT_INDEXVALUE_VERTEX133				799	     // Vertex133
#define TSCRIPT_INDEXVALUE_VERTEX134				800	     // Vertex134
#define TSCRIPT_INDEXVALUE_VERTEX135				801	     // Vertex135
#define TSCRIPT_INDEXVALUE_VERTEX136				802	     // Vertex136
#define TSCRIPT_INDEXVALUE_VERTEX137				803	     // Vertex137
#define TSCRIPT_INDEXVALUE_VERTEX138				804	     // Vertex138
#define TSCRIPT_INDEXVALUE_VERTEX139				805	     // Vertex139
#define TSCRIPT_INDEXVALUE_VERTEX140				806	     // Vertex140
#define TSCRIPT_INDEXVALUE_VERTEX141				807	     // Vertex141
#define TSCRIPT_INDEXVALUE_VERTEX142				808	     // Vertex142
#define TSCRIPT_INDEXVALUE_VERTEX143				809	     // Vertex143
#define TSCRIPT_INDEXVALUE_VERTEX144				810	     // Vertex144
#define TSCRIPT_INDEXVALUE_VERTEX145				811	     // Vertex145
#define TSCRIPT_INDEXVALUE_VERTEX146				812	     // Vertex146
#define TSCRIPT_INDEXVALUE_VERTEX147				813	     // Vertex147
#define TSCRIPT_INDEXVALUE_VERTEX148				814	     // Vertex148
#define TSCRIPT_INDEXVALUE_VERTEX149				815	     // Vertex149
#define TSCRIPT_INDEXVALUE_VERTEX150				816	     // Vertex150
#define TSCRIPT_INDEXVALUE_VERTEX151				817	     // Vertex151
#define TSCRIPT_INDEXVALUE_VERTEX152				818	     // Vertex152
#define TSCRIPT_INDEXVALUE_VERTEX153				819	     // Vertex153
#define TSCRIPT_INDEXVALUE_VERTEX154				820	     // Vertex154
#define TSCRIPT_INDEXVALUE_VERTEX155				821	     // Vertex155
#define TSCRIPT_INDEXVALUE_VERTEX156				822	     // Vertex156
#define TSCRIPT_INDEXVALUE_VERTEX157				823	     // Vertex157
#define TSCRIPT_INDEXVALUE_VERTEX158				824	     // Vertex158
#define TSCRIPT_INDEXVALUE_VERTEX159				825	     // Vertex159
#define TSCRIPT_INDEXVALUE_VERTEX160				826	     // Vertex160
#define TSCRIPT_INDEXVALUE_VERTEX161				827	     // Vertex161
#define TSCRIPT_INDEXVALUE_VERTEX162				828	     // Vertex162
#define TSCRIPT_INDEXVALUE_VERTEX163				829	     // Vertex163
#define TSCRIPT_INDEXVALUE_VERTEX164				830	     // Vertex164
#define TSCRIPT_INDEXVALUE_VERTEX165				831	     // Vertex165
#define TSCRIPT_INDEXVALUE_VERTEX166				832	     // Vertex166
#define TSCRIPT_INDEXVALUE_VERTEX167				833	     // Vertex167
#define TSCRIPT_INDEXVALUE_VERTEX168				834	     // Vertex168
#define TSCRIPT_INDEXVALUE_VERTEX169				835	     // Vertex169
#define TSCRIPT_INDEXVALUE_VERTEX170				836	     // Vertex170
#define TSCRIPT_INDEXVALUE_VERTEX171				837	     // Vertex171
#define TSCRIPT_INDEXVALUE_VERTEX172				838	     // Vertex172
#define TSCRIPT_INDEXVALUE_VERTEX173				839	     // Vertex173
#define TSCRIPT_INDEXVALUE_VERTEX174				840	     // Vertex174
#define TSCRIPT_INDEXVALUE_VERTEX175				841	     // Vertex175
#define TSCRIPT_INDEXVALUE_VERTEX176				842	     // Vertex176
#define TSCRIPT_INDEXVALUE_VERTEX177				843	     // Vertex177
#define TSCRIPT_INDEXVALUE_VERTEX178				844	     // Vertex178
#define TSCRIPT_INDEXVALUE_VERTEX179				845	     // Vertex179
#define TSCRIPT_INDEXVALUE_VERTEX180				846	     // Vertex180
#define TSCRIPT_INDEXVALUE_VERTEX181				847	     // Vertex181
#define TSCRIPT_INDEXVALUE_VERTEX182				848	     // Vertex182
#define TSCRIPT_INDEXVALUE_VERTEX183				849	     // Vertex183
#define TSCRIPT_INDEXVALUE_VERTEX184				850	     // Vertex184
#define TSCRIPT_INDEXVALUE_VERTEX185				851	     // Vertex185
#define TSCRIPT_INDEXVALUE_VERTEX186				852	     // Vertex186
#define TSCRIPT_INDEXVALUE_VERTEX187				853	     // Vertex187
#define TSCRIPT_INDEXVALUE_VERTEX188				854	     // Vertex188
#define TSCRIPT_INDEXVALUE_VERTEX189				855	     // Vertex189
#define TSCRIPT_INDEXVALUE_VERTEX190				856	     // Vertex190
#define TSCRIPT_INDEXVALUE_VERTEX191				857	     // Vertex191
#define TSCRIPT_INDEXVALUE_VERTEX192				858	     // Vertex192
#define TSCRIPT_INDEXVALUE_VERTEX193				859	     // Vertex193
#define TSCRIPT_INDEXVALUE_VERTEX194				860	     // Vertex194
#define TSCRIPT_INDEXVALUE_VERTEX195				861	     // Vertex195
#define TSCRIPT_INDEXVALUE_VERTEX196				862	     // Vertex196
#define TSCRIPT_INDEXVALUE_VERTEX197				863	     // Vertex197
#define TSCRIPT_INDEXVALUE_VERTEX198				864	     // Vertex198
#define TSCRIPT_INDEXVALUE_VERTEX199				865	     // Vertex199
#define TSCRIPT_INDEXVALUE_VERTEX200				866	     // Vertex200
#define TSCRIPT_INDEXVALUE_VERTEX201				867	     // Vertex201
#define TSCRIPT_INDEXVALUE_VERTEX202				868	     // Vertex202
#define TSCRIPT_INDEXVALUE_VERTEX203				869	     // Vertex203
#define TSCRIPT_INDEXVALUE_VERTEX204				870	     // Vertex204
#define TSCRIPT_INDEXVALUE_VERTEX205				871	     // Vertex205
#define TSCRIPT_INDEXVALUE_VERTEX206				872	     // Vertex206
#define TSCRIPT_INDEXVALUE_VERTEX207				873	     // Vertex207
#define TSCRIPT_INDEXVALUE_VERTEX208				874	     // Vertex208
#define TSCRIPT_INDEXVALUE_VERTEX209				875	     // Vertex209
#define TSCRIPT_INDEXVALUE_VERTEX210				876	     // Vertex210
#define TSCRIPT_INDEXVALUE_VERTEX211				877	     // Vertex211
#define TSCRIPT_INDEXVALUE_VERTEX212				878	     // Vertex212
#define TSCRIPT_INDEXVALUE_VERTEX213				879	     // Vertex213
#define TSCRIPT_INDEXVALUE_VERTEX214				880	     // Vertex214
#define TSCRIPT_INDEXVALUE_VERTEX215				881	     // Vertex215
#define TSCRIPT_INDEXVALUE_VERTEX216				882	     // Vertex216
#define TSCRIPT_INDEXVALUE_VERTEX217				883	     // Vertex217
#define TSCRIPT_INDEXVALUE_VERTEX218				884	     // Vertex218
#define TSCRIPT_INDEXVALUE_VERTEX219				885	     // Vertex219
#define TSCRIPT_INDEXVALUE_VERTEX220				886	     // Vertex220
#define TSCRIPT_INDEXVALUE_VERTEX221				887	     // Vertex221
#define TSCRIPT_INDEXVALUE_VERTEX222				888	     // Vertex222
#define TSCRIPT_INDEXVALUE_VERTEX223				889	     // Vertex223
#define TSCRIPT_INDEXVALUE_VERTEX224				890	     // Vertex224
#define TSCRIPT_INDEXVALUE_VERTEX225				891	     // Vertex225
#define TSCRIPT_INDEXVALUE_VERTEX226				892	     // Vertex226
#define TSCRIPT_INDEXVALUE_VERTEX227				893	     // Vertex227
#define TSCRIPT_INDEXVALUE_VERTEX228				894	     // Vertex228
#define TSCRIPT_INDEXVALUE_VERTEX229				895	     // Vertex229
#define TSCRIPT_INDEXVALUE_VERTEX230				896	     // Vertex230
#define TSCRIPT_INDEXVALUE_VERTEX231				897	     // Vertex231
#define TSCRIPT_INDEXVALUE_VERTEX232				898	     // Vertex232
#define TSCRIPT_INDEXVALUE_VERTEX233				899	     // Vertex233
#define TSCRIPT_INDEXVALUE_VERTEX234				900	     // Vertex234
#define TSCRIPT_INDEXVALUE_VERTEX235				901	     // Vertex235
#define TSCRIPT_INDEXVALUE_VERTEX236				902	     // Vertex236
#define TSCRIPT_INDEXVALUE_VERTEX237				903	     // Vertex237
#define TSCRIPT_INDEXVALUE_VERTEX238				904	     // Vertex238
#define TSCRIPT_INDEXVALUE_VERTEX239				905	     // Vertex239
#define TSCRIPT_INDEXVALUE_VERTEX240				906	     // Vertex240
#define TSCRIPT_INDEXVALUE_VERTEX241				907	     // Vertex241
#define TSCRIPT_INDEXVALUE_VERTEX242				908	     // Vertex242
#define TSCRIPT_INDEXVALUE_VERTEX243				909	     // Vertex243
#define TSCRIPT_INDEXVALUE_VERTEX244				910	     // Vertex244
#define TSCRIPT_INDEXVALUE_VERTEX245				911	     // Vertex245
#define TSCRIPT_INDEXVALUE_VERTEX246				912	     // Vertex246
#define TSCRIPT_INDEXVALUE_VERTEX247				913	     // Vertex247
#define TSCRIPT_INDEXVALUE_VERTEX248				914	     // Vertex248
#define TSCRIPT_INDEXVALUE_VERTEX249				915	     // Vertex249
#define TSCRIPT_INDEXVALUE_VERTEX250				916	     // Vertex250
#define TSCRIPT_INDEXVALUE_VERTEX251				917	     // Vertex251
#define TSCRIPT_INDEXVALUE_VERTEX252				918	     // Vertex252
#define TSCRIPT_INDEXVALUE_VERTEX253				919	     // Vertex253
#define TSCRIPT_INDEXVALUE_VERTEX254				920	     // Vertex254
#define TSCRIPT_INDEXVALUE_VERTEX255				921	     // Vertex255
#define TSCRIPT_INDEXVALUE_VERTEX256				922	     // Vertex256
#define TSCRIPT_INDEXVALUE_VERTEX257				923	     // Vertex257
#define TSCRIPT_INDEXVALUE_VERTEX258				924	     // Vertex258
#define TSCRIPT_INDEXVALUE_VERTEX259				925	     // Vertex259
#define TSCRIPT_INDEXVALUE_VERTEX260				926	     // Vertex260
#define TSCRIPT_INDEXVALUE_VERTEX261				927	     // Vertex261
#define TSCRIPT_INDEXVALUE_VERTEX262				928	     // Vertex262
#define TSCRIPT_INDEXVALUE_VERTEX263				929	     // Vertex263
#define TSCRIPT_INDEXVALUE_VERTEX264				930	     // Vertex264
#define TSCRIPT_INDEXVALUE_VERTEX265				931	     // Vertex265
#define TSCRIPT_INDEXVALUE_VERTEX266				932	     // Vertex266
#define TSCRIPT_INDEXVALUE_VERTEX267				933	     // Vertex267
#define TSCRIPT_INDEXVALUE_VERTEX268				934	     // Vertex268
#define TSCRIPT_INDEXVALUE_VERTEX269				935	     // Vertex269
#define TSCRIPT_INDEXVALUE_VERTEX270				936	     // Vertex270
#define TSCRIPT_INDEXVALUE_VERTEX271				937	     // Vertex271
#define TSCRIPT_INDEXVALUE_VERTEX272				938	     // Vertex272
#define TSCRIPT_INDEXVALUE_VERTEX273				939	     // Vertex273
#define TSCRIPT_INDEXVALUE_VERTEX274				940	     // Vertex274
#define TSCRIPT_INDEXVALUE_VERTEX275				941	     // Vertex275
#define TSCRIPT_INDEXVALUE_VERTEX276				942	     // Vertex276
#define TSCRIPT_INDEXVALUE_VERTEX277				943	     // Vertex277
#define TSCRIPT_INDEXVALUE_VERTEX278				944	     // Vertex278
#define TSCRIPT_INDEXVALUE_VERTEX279				945	     // Vertex279
#define TSCRIPT_INDEXVALUE_VERTEX280				946	     // Vertex280
#define TSCRIPT_INDEXVALUE_VERTEX281				947	     // Vertex281
#define TSCRIPT_INDEXVALUE_VERTEX282				948	     // Vertex282
#define TSCRIPT_INDEXVALUE_VERTEX283				949	     // Vertex283
#define TSCRIPT_INDEXVALUE_VERTEX284				950	     // Vertex284
#define TSCRIPT_INDEXVALUE_VERTEX285				951	     // Vertex285
#define TSCRIPT_INDEXVALUE_VERTEX286				952	     // Vertex286
#define TSCRIPT_INDEXVALUE_VERTEX287				953	     // Vertex287
#define TSCRIPT_INDEXVALUE_VERTEX288				954	     // Vertex288
#define TSCRIPT_INDEXVALUE_VERTEX289				955	     // Vertex289
#define TSCRIPT_INDEXVALUE_VERTEX290				956	     // Vertex290
#define TSCRIPT_INDEXVALUE_VERTEX291				957	     // Vertex291
#define TSCRIPT_INDEXVALUE_VERTEX292				958	     // Vertex292
#define TSCRIPT_INDEXVALUE_VERTEX293				959	     // Vertex293
#define TSCRIPT_INDEXVALUE_VERTEX294				960	     // Vertex294
#define TSCRIPT_INDEXVALUE_VERTEX295				961	     // Vertex295
#define TSCRIPT_INDEXVALUE_VERTEX296				962	     // Vertex296
#define TSCRIPT_INDEXVALUE_VERTEX297				963	     // Vertex297
#define TSCRIPT_INDEXVALUE_VERTEX298				964	     // Vertex298
#define TSCRIPT_INDEXVALUE_VERTEX299				965	     // Vertex299
#define TSCRIPT_INDEXVALUE_VERTEX300				966	     // Vertex300
#define TSCRIPT_INDEXVALUE_VERTEX301				967	     // Vertex301
#define TSCRIPT_INDEXVALUE_VERTEX302				968	     // Vertex302
#define TSCRIPT_INDEXVALUE_VERTEX303				969	     // Vertex303
#define TSCRIPT_INDEXVALUE_VERTEX304				970	     // Vertex304
#define TSCRIPT_INDEXVALUE_VERTEX305				971	     // Vertex305
#define TSCRIPT_INDEXVALUE_VERTEX306				972	     // Vertex306
#define TSCRIPT_INDEXVALUE_VERTEX307				973	     // Vertex307
#define TSCRIPT_INDEXVALUE_VERTEX308				974	     // Vertex308
#define TSCRIPT_INDEXVALUE_VERTEX309				975	     // Vertex309
#define TSCRIPT_INDEXVALUE_VERTEX310				976	     // Vertex310
#define TSCRIPT_INDEXVALUE_VERTEX311				977	     // Vertex311
#define TSCRIPT_INDEXVALUE_VERTEX312				978	     // Vertex312
#define TSCRIPT_INDEXVALUE_VERTEX313				979	     // Vertex313
#define TSCRIPT_INDEXVALUE_VERTEX314				980	     // Vertex314
#define TSCRIPT_INDEXVALUE_VERTEX315				981	     // Vertex315
#define TSCRIPT_INDEXVALUE_VERTEX316				982	     // Vertex316
#define TSCRIPT_INDEXVALUE_VERTEX317				983	     // Vertex317
#define TSCRIPT_INDEXVALUE_VERTEX318				984	     // Vertex318
#define TSCRIPT_INDEXVALUE_VERTEX319				985	     // Vertex319
#define TSCRIPT_INDEXVALUE_VERTEX320				986	     // Vertex320
#define TSCRIPT_INDEXVALUE_VERTEX321				987	     // Vertex321
#define TSCRIPT_INDEXVALUE_VERTEX322				988	     // Vertex322
#define TSCRIPT_INDEXVALUE_VERTEX323				989	     // Vertex323
#define TSCRIPT_INDEXVALUE_VERTEX324				990	     // Vertex324
#define TSCRIPT_INDEXVALUE_VERTEX325				991	     // Vertex325
#define TSCRIPT_INDEXVALUE_VERTEX326				992	     // Vertex326
#define TSCRIPT_INDEXVALUE_VERTEX327				993	     // Vertex327
#define TSCRIPT_INDEXVALUE_VERTEX328				994	     // Vertex328
#define TSCRIPT_INDEXVALUE_VERTEX329				995	     // Vertex329
#define TSCRIPT_INDEXVALUE_VERTEX330				996	     // Vertex330
#define TSCRIPT_INDEXVALUE_VERTEX331				997	     // Vertex331
#define TSCRIPT_INDEXVALUE_VERTEX332				998	     // Vertex332
#define TSCRIPT_INDEXVALUE_VERTEX333				999	     // Vertex333
#define TSCRIPT_INDEXVALUE_VERTEX334				1000	     // Vertex334
#define TSCRIPT_INDEXVALUE_VERTEX335				1001	     // Vertex335
#define TSCRIPT_INDEXVALUE_VERTEX336				1002	     // Vertex336
#define TSCRIPT_INDEXVALUE_VERTEX337				1003	     // Vertex337
#define TSCRIPT_INDEXVALUE_VERTEX338				1004	     // Vertex338
#define TSCRIPT_INDEXVALUE_VERTEX339				1005	     // Vertex339
#define TSCRIPT_INDEXVALUE_VERTEX340				1006	     // Vertex340
#define TSCRIPT_INDEXVALUE_VERTEX341				1007	     // Vertex341
#define TSCRIPT_INDEXVALUE_VERTEX342				1008	     // Vertex342
#define TSCRIPT_INDEXVALUE_VERTEX343				1009	     // Vertex343
#define TSCRIPT_INDEXVALUE_VERTEX344				1010	     // Vertex344
#define TSCRIPT_INDEXVALUE_VERTEX345				1011	     // Vertex345
#define TSCRIPT_INDEXVALUE_VERTEX346				1012	     // Vertex346
#define TSCRIPT_INDEXVALUE_VERTEX347				1013	     // Vertex347
#define TSCRIPT_INDEXVALUE_VERTEX348				1014	     // Vertex348
#define TSCRIPT_INDEXVALUE_VERTEX349				1015	     // Vertex349
#define TSCRIPT_INDEXVALUE_VERTEX350				1016	     // Vertex350
#define TSCRIPT_INDEXVALUE_VERTEX351				1017	     // Vertex351
#define TSCRIPT_INDEXVALUE_VERTEX352				1018	     // Vertex352
#define TSCRIPT_INDEXVALUE_VERTEX353				1019	     // Vertex353
#define TSCRIPT_INDEXVALUE_VERTEX354				1020	     // Vertex354
#define TSCRIPT_INDEXVALUE_VERTEX355				1021	     // Vertex355
#define TSCRIPT_INDEXVALUE_VERTEX356				1022	     // Vertex356
#define TSCRIPT_INDEXVALUE_VERTEX357				1023	     // Vertex357
#define TSCRIPT_INDEXVALUE_VERTEX358				1024	     // Vertex358
#define TSCRIPT_INDEXVALUE_VERTEX359				1025	     // Vertex359
#define TSCRIPT_INDEXVALUE_VERTEX360				1026	     // Vertex360
#define TSCRIPT_INDEXVALUE_VERTEX361				1027	     // Vertex361
#define TSCRIPT_INDEXVALUE_VERTEX362				1028	     // Vertex362
#define TSCRIPT_INDEXVALUE_VERTEX363				1029	     // Vertex363
#define TSCRIPT_INDEXVALUE_VERTEX364				1030	     // Vertex364
#define TSCRIPT_INDEXVALUE_VERTEX365				1031	     // Vertex365
#define TSCRIPT_INDEXVALUE_VERTEX366				1032	     // Vertex366
#define TSCRIPT_INDEXVALUE_VERTEX367				1033	     // Vertex367
#define TSCRIPT_INDEXVALUE_VERTEX368				1034	     // Vertex368
#define TSCRIPT_INDEXVALUE_VERTEX369				1035	     // Vertex369
#define TSCRIPT_INDEXVALUE_VERTEX370				1036	     // Vertex370
#define TSCRIPT_INDEXVALUE_VERTEX371				1037	     // Vertex371
#define TSCRIPT_INDEXVALUE_VERTEX372				1038	     // Vertex372
#define TSCRIPT_INDEXVALUE_VERTEX373				1039	     // Vertex373
#define TSCRIPT_INDEXVALUE_VERTEX374				1040	     // Vertex374
#define TSCRIPT_INDEXVALUE_VERTEX375				1041	     // Vertex375
#define TSCRIPT_INDEXVALUE_VERTEX376				1042	     // Vertex376
#define TSCRIPT_INDEXVALUE_VERTEX377				1043	     // Vertex377
#define TSCRIPT_INDEXVALUE_VERTEX378				1044	     // Vertex378
#define TSCRIPT_INDEXVALUE_VERTEX379				1045	     // Vertex379
#define TSCRIPT_INDEXVALUE_VERTEX380				1046	     // Vertex380
#define TSCRIPT_INDEXVALUE_VERTEX381				1047	     // Vertex381
#define TSCRIPT_INDEXVALUE_VERTEX382				1048	     // Vertex382
#define TSCRIPT_INDEXVALUE_VERTEX383				1049	     // Vertex383
#define TSCRIPT_INDEXVALUE_VERTEX384				1050	     // Vertex384
#define TSCRIPT_INDEXVALUE_VERTEX385				1051	     // Vertex385
#define TSCRIPT_INDEXVALUE_VERTEX386				1052	     // Vertex386
#define TSCRIPT_INDEXVALUE_VERTEX387				1053	     // Vertex387
#define TSCRIPT_INDEXVALUE_VERTEX388				1054	     // Vertex388
#define TSCRIPT_INDEXVALUE_VERTEX389				1055	     // Vertex389
#define TSCRIPT_INDEXVALUE_VERTEX390				1056	     // Vertex390
#define TSCRIPT_INDEXVALUE_VERTEX391				1057	     // Vertex391
#define TSCRIPT_INDEXVALUE_VERTEX392				1058	     // Vertex392
#define TSCRIPT_INDEXVALUE_VERTEX393				1059	     // Vertex393
#define TSCRIPT_INDEXVALUE_VERTEX394				1060	     // Vertex394
#define TSCRIPT_INDEXVALUE_VERTEX395				1061	     // Vertex395
#define TSCRIPT_INDEXVALUE_VERTEX396				1062	     // Vertex396
#define TSCRIPT_INDEXVALUE_VERTEX397				1063	     // Vertex397
#define TSCRIPT_INDEXVALUE_VERTEX398				1064	     // Vertex398
#define TSCRIPT_INDEXVALUE_VERTEX399				1065	     // Vertex399
#define TSCRIPT_INDEXVALUE_VERTEX400				1066	     // Vertex400
#define TSCRIPT_INDEXVALUE_VERTEX401				1067	     // Vertex401
#define TSCRIPT_INDEXVALUE_VERTEX402				1068	     // Vertex402
#define TSCRIPT_INDEXVALUE_VERTEX403				1069	     // Vertex403
#define TSCRIPT_INDEXVALUE_VERTEX404				1070	     // Vertex404
#define TSCRIPT_INDEXVALUE_VERTEX405				1071	     // Vertex405
#define TSCRIPT_INDEXVALUE_VERTEX406				1072	     // Vertex406
#define TSCRIPT_INDEXVALUE_VERTEX407				1073	     // Vertex407
#define TSCRIPT_INDEXVALUE_VERTEX408				1074	     // Vertex408
#define TSCRIPT_INDEXVALUE_VERTEX409				1075	     // Vertex409
#define TSCRIPT_INDEXVALUE_VERTEX410				1076	     // Vertex410
#define TSCRIPT_INDEXVALUE_VERTEX411				1077	     // Vertex411
#define TSCRIPT_INDEXVALUE_VERTEX412				1078	     // Vertex412
#define TSCRIPT_INDEXVALUE_VERTEX413				1079	     // Vertex413
#define TSCRIPT_INDEXVALUE_VERTEX414				1080	     // Vertex414
#define TSCRIPT_INDEXVALUE_VERTEX415				1081	     // Vertex415
#define TSCRIPT_INDEXVALUE_VERTEX416				1082	     // Vertex416
#define TSCRIPT_INDEXVALUE_VERTEX417				1083	     // Vertex417
#define TSCRIPT_INDEXVALUE_VERTEX418				1084	     // Vertex418
#define TSCRIPT_INDEXVALUE_VERTEX419				1085	     // Vertex419
#define TSCRIPT_INDEXVALUE_VERTEX420				1086	     // Vertex420
#define TSCRIPT_INDEXVALUE_VERTEX421				1087	     // Vertex421
#define TSCRIPT_INDEXVALUE_VERTEX422				1088	     // Vertex422
#define TSCRIPT_INDEXVALUE_VERTEX423				1089	     // Vertex423
#define TSCRIPT_INDEXVALUE_VERTEX424				1090	     // Vertex424
#define TSCRIPT_INDEXVALUE_VERTEX425				1091	     // Vertex425
#define TSCRIPT_INDEXVALUE_VERTEX426				1092	     // Vertex426
#define TSCRIPT_INDEXVALUE_VERTEX427				1093	     // Vertex427
#define TSCRIPT_INDEXVALUE_VERTEX428				1094	     // Vertex428
#define TSCRIPT_INDEXVALUE_VERTEX429				1095	     // Vertex429
#define TSCRIPT_INDEXVALUE_VERTEX430				1096	     // Vertex430
#define TSCRIPT_INDEXVALUE_VERTEX431				1097	     // Vertex431
#define TSCRIPT_INDEXVALUE_VERTEX432				1098	     // Vertex432
#define TSCRIPT_INDEXVALUE_VERTEX433				1099	     // Vertex433
#define TSCRIPT_INDEXVALUE_VERTEX434				1100	     // Vertex434
#define TSCRIPT_INDEXVALUE_VERTEX435				1101	     // Vertex435
#define TSCRIPT_INDEXVALUE_VERTEX436				1102	     // Vertex436
#define TSCRIPT_INDEXVALUE_VERTEX437				1103	     // Vertex437
#define TSCRIPT_INDEXVALUE_VERTEX438				1104	     // Vertex438
#define TSCRIPT_INDEXVALUE_VERTEX439				1105	     // Vertex439
#define TSCRIPT_INDEXVALUE_VERTEX440				1106	     // Vertex440
#define TSCRIPT_INDEXVALUE_VERTEX441				1107	     // Vertex441
#define TSCRIPT_INDEXVALUE_VERTEX442				1108	     // Vertex442
#define TSCRIPT_INDEXVALUE_VERTEX443				1109	     // Vertex443
#define TSCRIPT_INDEXVALUE_VERTEX444				1110	     // Vertex444
#define TSCRIPT_INDEXVALUE_VERTEX445				1111	     // Vertex445
#define TSCRIPT_INDEXVALUE_VERTEX446				1112	     // Vertex446
#define TSCRIPT_INDEXVALUE_VERTEX447				1113	     // Vertex447
#define TSCRIPT_INDEXVALUE_VERTEX448				1114	     // Vertex448
#define TSCRIPT_INDEXVALUE_VERTEX449				1115	     // Vertex449
#define TSCRIPT_INDEXVALUE_VERTEX450				1116	     // Vertex450
#define TSCRIPT_INDEXVALUE_VERTEX451				1117	     // Vertex451
#define TSCRIPT_INDEXVALUE_VERTEX452				1118	     // Vertex452
#define TSCRIPT_INDEXVALUE_VERTEX453				1119	     // Vertex453
#define TSCRIPT_INDEXVALUE_VERTEX454				1120	     // Vertex454
#define TSCRIPT_INDEXVALUE_VERTEX455				1121	     // Vertex455
#define TSCRIPT_INDEXVALUE_VERTEX456				1122	     // Vertex456
#define TSCRIPT_INDEXVALUE_VERTEX457				1123	     // Vertex457
#define TSCRIPT_INDEXVALUE_VERTEX458				1124	     // Vertex458
#define TSCRIPT_INDEXVALUE_VERTEX459				1125	     // Vertex459
#define TSCRIPT_INDEXVALUE_VERTEX460				1126	     // Vertex460
#define TSCRIPT_INDEXVALUE_VERTEX461				1127	     // Vertex461
#define TSCRIPT_INDEXVALUE_VERTEX462				1128	     // Vertex462
#define TSCRIPT_INDEXVALUE_VERTEX463				1129	     // Vertex463
#define TSCRIPT_INDEXVALUE_VERTEX464				1130	     // Vertex464
#define TSCRIPT_INDEXVALUE_VERTEX465				1131	     // Vertex465
#define TSCRIPT_INDEXVALUE_VERTEX466				1132	     // Vertex466
#define TSCRIPT_INDEXVALUE_VERTEX467				1133	     // Vertex467
#define TSCRIPT_INDEXVALUE_VERTEX468				1134	     // Vertex468
#define TSCRIPT_INDEXVALUE_VERTEX469				1135	     // Vertex469
#define TSCRIPT_INDEXVALUE_VERTEX470				1136	     // Vertex470
#define TSCRIPT_INDEXVALUE_VERTEX471				1137	     // Vertex471
#define TSCRIPT_INDEXVALUE_VERTEX472				1138	     // Vertex472
#define TSCRIPT_INDEXVALUE_VERTEX473				1139	     // Vertex473
#define TSCRIPT_INDEXVALUE_VERTEX474				1140	     // Vertex474
#define TSCRIPT_INDEXVALUE_VERTEX475				1141	     // Vertex475
#define TSCRIPT_INDEXVALUE_VERTEX476				1142	     // Vertex476
#define TSCRIPT_INDEXVALUE_VERTEX477				1143	     // Vertex477
#define TSCRIPT_INDEXVALUE_VERTEX478				1144	     // Vertex478
#define TSCRIPT_INDEXVALUE_VERTEX479				1145	     // Vertex479
#define TSCRIPT_INDEXVALUE_VERTEX480				1146	     // Vertex480
#define TSCRIPT_INDEXVALUE_VERTEX481				1147	     // Vertex481
#define TSCRIPT_INDEXVALUE_VERTEX482				1148	     // Vertex482
#define TSCRIPT_INDEXVALUE_VERTEX483				1149	     // Vertex483
#define TSCRIPT_INDEXVALUE_VERTEX484				1150	     // Vertex484
#define TSCRIPT_INDEXVALUE_VERTEX485				1151	     // Vertex485
#define TSCRIPT_INDEXVALUE_VERTEX486				1152	     // Vertex486
#define TSCRIPT_INDEXVALUE_VERTEX487				1153	     // Vertex487
#define TSCRIPT_INDEXVALUE_VERTEX488				1154	     // Vertex488
#define TSCRIPT_INDEXVALUE_VERTEX489				1155	     // Vertex489
#define TSCRIPT_INDEXVALUE_VERTEX490				1156	     // Vertex490
#define TSCRIPT_INDEXVALUE_VERTEX491				1157	     // Vertex491
#define TSCRIPT_INDEXVALUE_VERTEX492				1158	     // Vertex492
#define TSCRIPT_INDEXVALUE_VERTEX493				1159	     // Vertex493
#define TSCRIPT_INDEXVALUE_VERTEX494				1160	     // Vertex494
#define TSCRIPT_INDEXVALUE_VERTEX495				1161	     // Vertex495
#define TSCRIPT_INDEXVALUE_VERTEX496				1162	     // Vertex496
#define TSCRIPT_INDEXVALUE_VERTEX497				1163	     // Vertex497
#define TSCRIPT_INDEXVALUE_VERTEX498				1164	     // Vertex498
#define TSCRIPT_INDEXVALUE_VERTEX499				1165	     // Vertex499
#define TSCRIPT_INDEXVALUE_VERTEX500				1166	     // Vertex500
#define TSCRIPT_INDEXVALUE_VERTEX501				1167	     // Vertex501
#define TSCRIPT_INDEXVALUE_VERTEX502				1168	     // Vertex502
#define TSCRIPT_INDEXVALUE_VERTEX503				1169	     // Vertex503
#define TSCRIPT_INDEXVALUE_VERTEX504				1170	     // Vertex504
#define TSCRIPT_INDEXVALUE_VERTEX505				1171	     // Vertex505
#define TSCRIPT_INDEXVALUE_VERTEX506				1172	     // Vertex506
#define TSCRIPT_INDEXVALUE_VERTEX507				1173	     // Vertex507
#define TSCRIPT_INDEXVALUE_VERTEX508				1174	     // Vertex508
#define TSCRIPT_INDEXVALUE_VERTEX509				1175	     // Vertex509
#define TSCRIPT_INDEXVALUE_VERTEX510				1176	     // Vertex510
#define TSCRIPT_INDEXVALUE_VERTEX511				1177	     // Vertex511
#define TSCRIPT_INDEXVALUE_VERTEX_PLACEHOLDER			1178	     // VERTEX_PLACEHOLDER
#define TSCRIPT_INDEXVALUE_MODEL00				1179	     // Model00
#define TSCRIPT_INDEXVALUE_MODEL01				1180	     // Model01
#define TSCRIPT_INDEXVALUE_MODEL02				1181	     // Model02
#define TSCRIPT_INDEXVALUE_MODEL03				1182	     // Model03
#define TSCRIPT_INDEXVALUE_MODEL04				1183	     // Model04
#define TSCRIPT_INDEXVALUE_MODEL05				1184	     // Model05
#define TSCRIPT_INDEXVALUE_MODEL06				1185	     // Model06
#define TSCRIPT_INDEXVALUE_MODEL07				1186	     // Model07
#define TSCRIPT_INDEXVALUE_MODEL08				1187	     // Model08
#define TSCRIPT_INDEXVALUE_MODEL09				1188	     // Model09
#define TSCRIPT_INDEXVALUE_MODEL10				1189	     // Model10
#define TSCRIPT_INDEXVALUE_MODEL11				1190	     // Model11
#define TSCRIPT_INDEXVALUE_MODEL_PLACEHOLDER			1191	     // MODEL_PLACEHOLDER
#define TSCRIPT_INDEXVALUE_A00					89	     // A00
#define TSCRIPT_INDEXVALUE_A01					90	     // A01
#define TSCRIPT_INDEXVALUE_A02					91	     // A02
#define TSCRIPT_INDEXVALUE_A03					92	     // A03
#define TSCRIPT_INDEXVALUE_A04					93	     // A04
#define TSCRIPT_INDEXVALUE_A05					94	     // A05
#define TSCRIPT_INDEXVALUE_A06					95	     // A06
#define TSCRIPT_INDEXVALUE_A07					96	     // A07
#define TSCRIPT_INDEXVALUE_A08					97	     // A08
#define TSCRIPT_INDEXVALUE_A09					98	     // A09
#define TSCRIPT_INDEXVALUE_A10					99	     // A10
#define TSCRIPT_INDEXVALUE_A11					100	     // A11
#define TSCRIPT_INDEXVALUE_A12					101	     // A12
#define TSCRIPT_INDEXVALUE_A13					102	     // A13
#define TSCRIPT_INDEXVALUE_A14					103	     // A14
#define TSCRIPT_INDEXVALUE_A15					104	     // A15
#define TSCRIPT_INDEXVALUE_A16					105	     // A16
#define TSCRIPT_INDEXVALUE_A17					106	     // A17
#define TSCRIPT_INDEXVALUE_A18					107	     // A18
#define TSCRIPT_INDEXVALUE_A19					108	     // A19
#define TSCRIPT_INDEXVALUE_A20					109	     // A20
#define TSCRIPT_INDEXVALUE_A21					110	     // A21
#define TSCRIPT_INDEXVALUE_A22					111	     // A22
#define TSCRIPT_INDEXVALUE_A23					112	     // A23
#define TSCRIPT_INDEXVALUE_A24					113	     // A24
#define TSCRIPT_INDEXVALUE_A25					114	     // A25
#define TSCRIPT_INDEXVALUE_A26					115	     // A26
#define TSCRIPT_INDEXVALUE_A27					116	     // A27
#define TSCRIPT_INDEXVALUE_A28					117	     // A28
#define TSCRIPT_INDEXVALUE_A29					118	     // A29
#define TSCRIPT_INDEXVALUE_A30					119	     // A30
#define TSCRIPT_INDEXVALUE_A31					120	     // A31
#define TSCRIPT_INDEXVALUE_A32					121	     // A32
#define TSCRIPT_INDEXVALUE_A33					122	     // A33
#define TSCRIPT_INDEXVALUE_A34					123	     // A34
#define TSCRIPT_INDEXVALUE_A35					124	     // A35
#define TSCRIPT_INDEXVALUE_A36					125	     // A36
#define TSCRIPT_INDEXVALUE_A37					126	     // A37
#define TSCRIPT_INDEXVALUE_A38					127	     // A38
#define TSCRIPT_INDEXVALUE_A39					128	     // A39
#define TSCRIPT_INDEXVALUE_A40					129	     // A40
#define TSCRIPT_INDEXVALUE_A41					130	     // A41
#define TSCRIPT_INDEXVALUE_A42					131	     // A42
#define TSCRIPT_INDEXVALUE_A43					132	     // A43
#define TSCRIPT_INDEXVALUE_A44					133	     // A44
#define TSCRIPT_INDEXVALUE_A45					134	     // A45
#define TSCRIPT_INDEXVALUE_A46					135	     // A46
#define TSCRIPT_INDEXVALUE_A47					136	     // A47
#define TSCRIPT_INDEXVALUE_A48					137	     // A48
#define TSCRIPT_INDEXVALUE_A49					138	     // A49
#define TSCRIPT_INDEXVALUE_A50					139	     // A50
#define TSCRIPT_INDEXVALUE_A51					140	     // A51
#define TSCRIPT_INDEXVALUE_A52					141	     // A52
#define TSCRIPT_INDEXVALUE_A53					142	     // A53
#define TSCRIPT_INDEXVALUE_A54					143	     // A54
#define TSCRIPT_INDEXVALUE_A55					144	     // A55
#define TSCRIPT_INDEXVALUE_A56					145	     // A56
#define TSCRIPT_INDEXVALUE_A57					146	     // A57
#define TSCRIPT_INDEXVALUE_A58					147	     // A58
#define TSCRIPT_INDEXVALUE_A59					148	     // A59
#define TSCRIPT_INDEXVALUE_A60					149	     // A60
#define TSCRIPT_INDEXVALUE_A61					150	     // A61
#define TSCRIPT_INDEXVALUE_A62					151	     // A62
#define TSCRIPT_INDEXVALUE_A63					152	     // A63
#define TSCRIPT_INDEXVALUE_A64					153	     // A64
#define TSCRIPT_INDEXVALUE_A65					154	     // A65
#define TSCRIPT_INDEXVALUE_A66					155	     // A66
#define TSCRIPT_INDEXVALUE_A67					156	     // A67
#define TSCRIPT_INDEXVALUE_A68					157	     // A68
#define TSCRIPT_INDEXVALUE_A69					158	     // A69
#define TSCRIPT_INDEXVALUE_A70					159	     // A70
#define TSCRIPT_INDEXVALUE_A71					160	     // A71
#define TSCRIPT_INDEXVALUE_A72					161	     // A72
#define TSCRIPT_INDEXVALUE_A73					162	     // A73
#define TSCRIPT_INDEXVALUE_A74					163	     // A74
#define TSCRIPT_INDEXVALUE_A75					164	     // A75
#define TSCRIPT_INDEXVALUE_A76					165	     // A76
#define TSCRIPT_INDEXVALUE_A77					166	     // A77
#define TSCRIPT_INDEXVALUE_A78					167	     // A78
#define TSCRIPT_INDEXVALUE_A79					168	     // A79
#define TSCRIPT_INDEXVALUE_A80					169	     // A80
#define TSCRIPT_INDEXVALUE_A81					170	     // A81
#define TSCRIPT_INDEXVALUE_A82					171	     // A82
#define TSCRIPT_INDEXVALUE_A83					172	     // A83
#define TSCRIPT_INDEXVALUE_A84					173	     // A84
#define TSCRIPT_INDEXVALUE_A85					174	     // A85
#define TSCRIPT_INDEXVALUE_A86					175	     // A86
#define TSCRIPT_INDEXVALUE_A87					176	     // A87
#define TSCRIPT_INDEXVALUE_A88					177	     // A88
#define TSCRIPT_INDEXVALUE_A89					178	     // A89
#define TSCRIPT_INDEXVALUE_A90					179	     // A90
#define TSCRIPT_INDEXVALUE_A91					180	     // A91
#define TSCRIPT_INDEXVALUE_A92					181	     // A92
#define TSCRIPT_INDEXVALUE_A93					182	     // A93
#define TSCRIPT_INDEXVALUE_A94					183	     // A94
#define TSCRIPT_INDEXVALUE_A95					184	     // A95
#define TSCRIPT_INDEXVALUE_A96					185	     // A96
#define TSCRIPT_INDEXVALUE_A97					186	     // A97
#define TSCRIPT_INDEXVALUE_A98					187	     // A98
#define TSCRIPT_INDEXVALUE_A99					188	     // A99
#define TSCRIPT_INDEXVALUE_A100 				189	     // A100
#define TSCRIPT_INDEXVALUE_A101 				190	     // A101
#define TSCRIPT_INDEXVALUE_A102 				191	     // A102
#define TSCRIPT_INDEXVALUE_A103 				192	     // A103
#define TSCRIPT_INDEXVALUE_A104 				193	     // A104
#define TSCRIPT_INDEXVALUE_A105 				194	     // A105
#define TSCRIPT_INDEXVALUE_A106 				195	     // A106
#define TSCRIPT_INDEXVALUE_A107 				196	     // A107
#define TSCRIPT_INDEXVALUE_A108 				197	     // A108
#define TSCRIPT_INDEXVALUE_A109 				198	     // A109
#define TSCRIPT_INDEXVALUE_A110 				199	     // A110
#define TSCRIPT_INDEXVALUE_A111 				200	     // A111
#define TSCRIPT_INDEXVALUE_A112 				201	     // A112
#define TSCRIPT_INDEXVALUE_A113 				202	     // A113
#define TSCRIPT_INDEXVALUE_A114 				203	     // A114
#define TSCRIPT_INDEXVALUE_A115 				204	     // A115
#define TSCRIPT_INDEXVALUE_A116 				205	     // A116
#define TSCRIPT_INDEXVALUE_A117 				206	     // A117
#define TSCRIPT_INDEXVALUE_A118 				207	     // A118
#define TSCRIPT_INDEXVALUE_A119 				208	     // A119
#define TSCRIPT_INDEXVALUE_A120 				209	     // A120
#define TSCRIPT_INDEXVALUE_A121 				210	     // A121
#define TSCRIPT_INDEXVALUE_A122 				211	     // A122
#define TSCRIPT_INDEXVALUE_A123 				212	     // A123
#define TSCRIPT_INDEXVALUE_A124 				213	     // A124
#define TSCRIPT_INDEXVALUE_A125 				214	     // A125
#define TSCRIPT_INDEXVALUE_A126 				215	     // A126
#define TSCRIPT_INDEXVALUE_A127 				216	     // A127
#define TSCRIPT_INDEXVALUE_A128 				217	     // A128
#define TSCRIPT_INDEXVALUE_A129 				218	     // A129
#define TSCRIPT_INDEXVALUE_A130 				219	     // A130
#define TSCRIPT_INDEXVALUE_A131 				220	     // A131
#define TSCRIPT_INDEXVALUE_A132 				221	     // A132
#define TSCRIPT_INDEXVALUE_A133 				222	     // A133
#define TSCRIPT_INDEXVALUE_A134 				223	     // A134
#define TSCRIPT_INDEXVALUE_A135 				224	     // A135
#define TSCRIPT_INDEXVALUE_A136 				225	     // A136
#define TSCRIPT_INDEXVALUE_A137 				226	     // A137
#define TSCRIPT_INDEXVALUE_A138 				227	     // A138
#define TSCRIPT_INDEXVALUE_A139 				228	     // A139
#define TSCRIPT_INDEXVALUE_A140 				229	     // A140
#define TSCRIPT_INDEXVALUE_A141 				230	     // A141
#define TSCRIPT_INDEXVALUE_A142 				231	     // A142
#define TSCRIPT_INDEXVALUE_A143 				232	     // A143
#define TSCRIPT_INDEXVALUE_A144 				233	     // A144
#define TSCRIPT_INDEXVALUE_A145 				234	     // A145
#define TSCRIPT_INDEXVALUE_A146 				235	     // A146
#define TSCRIPT_INDEXVALUE_A147 				236	     // A147
#define TSCRIPT_INDEXVALUE_A148 				237	     // A148
#define TSCRIPT_INDEXVALUE_A149 				238	     // A149
#define TSCRIPT_INDEXVALUE_A150 				239	     // A150
#define TSCRIPT_INDEXVALUE_A151 				240	     // A151
#define TSCRIPT_INDEXVALUE_A152 				241	     // A152
#define TSCRIPT_INDEXVALUE_A153 				242	     // A153
#define TSCRIPT_INDEXVALUE_A154 				243	     // A154
#define TSCRIPT_INDEXVALUE_A155 				244	     // A155
#define TSCRIPT_INDEXVALUE_A156 				245	     // A156
#define TSCRIPT_INDEXVALUE_A157 				246	     // A157
#define TSCRIPT_INDEXVALUE_A158 				247	     // A158
#define TSCRIPT_INDEXVALUE_A159 				248	     // A159
#define TSCRIPT_INDEXVALUE_A160 				249	     // A160
#define TSCRIPT_INDEXVALUE_A161 				250	     // A161
#define TSCRIPT_INDEXVALUE_A162 				251	     // A162
#define TSCRIPT_INDEXVALUE_A163 				252	     // A163
#define TSCRIPT_INDEXVALUE_A164 				253	     // A164
#define TSCRIPT_INDEXVALUE_A165 				254	     // A165
#define TSCRIPT_INDEXVALUE_A166 				255	     // A166
#define TSCRIPT_INDEXVALUE_A167 				256	     // A167
#define TSCRIPT_INDEXVALUE_A168 				257	     // A168
#define TSCRIPT_INDEXVALUE_A169 				258	     // A169
#define TSCRIPT_INDEXVALUE_A170 				259	     // A170
#define TSCRIPT_INDEXVALUE_A171 				260	     // A171
#define TSCRIPT_INDEXVALUE_A172 				261	     // A172
#define TSCRIPT_INDEXVALUE_A173 				262	     // A173
#define TSCRIPT_INDEXVALUE_A174 				263	     // A174
#define TSCRIPT_INDEXVALUE_A175 				264	     // A175
#define TSCRIPT_INDEXVALUE_A176 				265	     // A176
#define TSCRIPT_INDEXVALUE_A177 				266	     // A177
#define TSCRIPT_INDEXVALUE_A178 				267	     // A178
#define TSCRIPT_INDEXVALUE_A179 				268	     // A179
#define TSCRIPT_INDEXVALUE_A180 				269	     // A180
#define TSCRIPT_INDEXVALUE_A181 				270	     // A181
#define TSCRIPT_INDEXVALUE_A182 				271	     // A182
#define TSCRIPT_INDEXVALUE_A183 				272	     // A183
#define TSCRIPT_INDEXVALUE_A184 				273	     // A184
#define TSCRIPT_INDEXVALUE_A185 				274	     // A185
#define TSCRIPT_INDEXVALUE_A186 				275	     // A186
#define TSCRIPT_INDEXVALUE_A187 				276	     // A187
#define TSCRIPT_INDEXVALUE_A188 				277	     // A188
#define TSCRIPT_INDEXVALUE_A189 				278	     // A189
#define TSCRIPT_INDEXVALUE_A190 				279	     // A190
#define TSCRIPT_INDEXVALUE_A191 				280	     // A191
#define TSCRIPT_INDEXVALUE_A192 				281	     // A192
#define TSCRIPT_INDEXVALUE_A193 				282	     // A193
#define TSCRIPT_INDEXVALUE_A194 				283	     // A194
#define TSCRIPT_INDEXVALUE_A195 				284	     // A195
#define TSCRIPT_INDEXVALUE_A196 				285	     // A196
#define TSCRIPT_INDEXVALUE_A197 				286	     // A197
#define TSCRIPT_INDEXVALUE_A198 				287	     // A198
#define TSCRIPT_INDEXVALUE_A199 				288	     // A199
#define TSCRIPT_INDEXVALUE_A_PLACEHOLDER			289	     // A_PLACEHOLDER
#define TSCRIPT_INDEXVALUE_CTERRAINOBJ				1192	     // CTerrainObj
#define TSCRIPT_INDEXVALUE_HEIGHT				1193	     // Height
#define TSCRIPT_INDEXVALUE_ALPHA				662	     // Alpha
#define TSCRIPT_INDEXVALUE_R					659	     // R
#define TSCRIPT_INDEXVALUE_G					660	     // G
#define TSCRIPT_INDEXVALUE_B					661	     // B
#define TSCRIPT_INDEXVALUE_ALPHACHANNEL 			658	     // AlphaChannel
#define TSCRIPT_INDEXVALUE_MIPMAP				664	     // MipMap
#define TSCRIPT_INDEXVALUE_SKYFLATCOLOUR			663	     // SkyFlatColour
#define TSCRIPT_INDEXVALUE_INTENSITY				665	     // Intensity
#define TSCRIPT_INDEXVALUE_AMMO 				1194	     // Ammo
#define TSCRIPT_INDEXVALUE_MAXAMMO				1195	     // MaxAmmo
#define TSCRIPT_INDEXVALUE_ROF					1196	     // ROF
#define TSCRIPT_INDEXVALUE_AUTOFIRE				1197	     // AutoFire
#define TSCRIPT_INDEXVALUE_ALTAMMOCOUNT 			1198	     // AltAmmoCount
#define TSCRIPT_INDEXVALUE_AMMOPICKUP				1199	     // AmmoPickup
#define TSCRIPT_INDEXVALUE_AMMOALMOSTEMPTY			1200	     // AmmoAlmostEmpty
#define TSCRIPT_INDEXVALUE_AMMOHALFFULL 			1201	     // AmmoHalfFull
#define TSCRIPT_INDEXVALUE_AMMOFULL				1202	     // AmmoFull
#define TSCRIPT_INDEXVALUE_AMMOREALLYFULL			1203	     // AmmoReallyFull
#define TSCRIPT_INDEXVALUE_DAMAGE				1204	     // Damage
#define TSCRIPT_INDEXVALUE_TRANQDAMAGE				1205	     // TranqDamage
#define TSCRIPT_INDEXVALUE_EMPTYCLIPSAMPLE			1211	     // EmptyClipSample
#define TSCRIPT_INDEXVALUE_RINGSAMPLE				1212	     // RingSample
#define TSCRIPT_INDEXVALUE_RANGE				1206	     // Range
#define TSCRIPT_INDEXVALUE_KICK 				1207	     // Kick
#define TSCRIPT_INDEXVALUE_PUSH 				1208	     // Push
#define TSCRIPT_INDEXVALUE_BARREL				1209	     // Barrel
#define TSCRIPT_INDEXVALUE_RECOILORG				1210	     // RecoilOrg
#define TSCRIPT_INDEXVALUE_RECOILFORCE				1213	     // RecoilForce
#define TSCRIPT_INDEXVALUE_MFLASHORG				1214	     // MFlashOrg
#define TSCRIPT_INDEXVALUE_MFLASHDURATION			1215	     // MFlashDuration
#define TSCRIPT_INDEXVALUE_RANDOMROTATE 			1216	     // RandomRotate
#define TSCRIPT_INDEXVALUE_MFLASHOBJECT0			1217	     // MFlashObject0
#define TSCRIPT_INDEXVALUE_MFLASHOBJECT1			1218	     // MFlashObject1
#define TSCRIPT_INDEXVALUE_MFLASHOBJECT2			1219	     // MFlashObject2
#define TSCRIPT_INDEXVALUE_MFLASHOBJECT3			1220	     // MFlashObject3
#define TSCRIPT_INDEXVALUE_MFLASHOBJECT4			1221	     // MFlashObject4
#define TSCRIPT_INDEXVALUE_MFLASHOBJECT5			1222	     // MFlashObject5
#define TSCRIPT_INDEXVALUE_MFLASHOBJECT6			1223	     // MFlashObject6
#define TSCRIPT_INDEXVALUE_MFLASHOBJECT7			1224	     // MFlashObject7
#define TSCRIPT_INDEXVALUE_MFLASHOBJECT8			1225	     // MFlashObject8
#define TSCRIPT_INDEXVALUE_MFLASHOBJECT9			1226	     // MFlashObject9
#define TSCRIPT_INDEXVALUE_MUZZLE_PLACEHOLDER			1227	     // MUZZLE_PLACEHOLDER
// #define TSCRIPT_INDEXVALUE_BOGUS				   1354 	// BOGUS
// #define TSCRIPT_INDEXVALUE_BOGUS				   1353 	// BOGUS
// #define TSCRIPT_INDEXVALUE_BOGUS				   1352 	// BOGUS
// #define TSCRIPT_INDEXVALUE_BOGUS				   1351 	// BOGUS
// #define TSCRIPT_INDEXVALUE_BOGUS				   1350 	// BOGUS
// #define TSCRIPT_INDEXVALUE_BOGUS				   1349 	// BOGUS
// #define TSCRIPT_INDEXVALUE_BOGUS				   1348 	// BOGUS
// #define TSCRIPT_INDEXVALUE_BOGUS				   1347 	// BOGUS
// #define TSCRIPT_INDEXVALUE_BOGUS				   1346 	// BOGUS
#define TSCRIPT_INDEXVALUE_ACTTESTMOUTH 			1345	     // ActTestMouth
#define TSCRIPT_INDEXVALUE_ACTTESTHEADPOSITION			1344	     // ActTestHeadPosition
#define TSCRIPT_INDEXVALUE_ACTTESTWAGTAIL			1343	     // ActTestWagTail
#define TSCRIPT_INDEXVALUE_ACTTESTHEADORIENT			1342	     // ActTestHeadOrient
#define TSCRIPT_INDEXVALUE_ACTTESTHEADCOCK			1341	     // ActTestHeadCock
#define TSCRIPT_INDEXVALUE_ACTNOTHING				1340	     // ActNothing
#define TSCRIPT_INDEXVALUE_ACTLOOKAROUND			1339	     // ActLookAround
#define TSCRIPT_INDEXVALUE_ACTSNIFF				1338	     // ActSniff
#define TSCRIPT_INDEXVALUE_ACTGLARE				1337	     // ActGlare
#define TSCRIPT_INDEXVALUE_ACTCOWER				1336	     // ActCower
#define TSCRIPT_INDEXVALUE_ACTBACKAWAY				1335	     // ActBackAway
#define TSCRIPT_INDEXVALUE_ACTREARBACK				1334	     // ActRearBack
#define TSCRIPT_INDEXVALUE_ACTCOCKHEAD				1333	     // ActCockHead
#define TSCRIPT_INDEXVALUE_ACTSNIFFTARGET			1332	     // ActSniffTarget
#define TSCRIPT_INDEXVALUE_ACTTASTE				1331	     // ActTaste
#define TSCRIPT_INDEXVALUE_ACTLOOKAT				1330	     // ActLookAt
#define TSCRIPT_INDEXVALUE_ACTMOVEBY				1329	     // ActMoveBy
#define TSCRIPT_INDEXVALUE_ACTDASH				1328	     // ActDash
#define TSCRIPT_INDEXVALUE_ACTAPPROACH				1327	     // ActApproach
#define TSCRIPT_INDEXVALUE_ACTGETOUT				1326	     // ActGetOut
#define TSCRIPT_INDEXVALUE_ACTJUMPBACK				1325	     // ActJumpBack
#define TSCRIPT_INDEXVALUE_ACTPURSUE				1324	     // ActPursue
#define TSCRIPT_INDEXVALUE_ACTFLEE				1323	     // ActFlee
#define TSCRIPT_INDEXVALUE_ACTSTAYAWAY				1322	     // ActStayAway
#define TSCRIPT_INDEXVALUE_ACTSTAYNEAR				1321	     // ActStayNear
#define TSCRIPT_INDEXVALUE_ACTCIRCLE				1320	     // ActCircle
#define TSCRIPT_INDEXVALUE_ACTSTALK				1319	     // ActStalk
#define TSCRIPT_INDEXVALUE_ACTWANDER				1318	     // ActWander
#define TSCRIPT_INDEXVALUE_ACTDONTTOUCH 			1317	     // ActDontTouch
#define TSCRIPT_INDEXVALUE_ACTMOVEAWAY				1316	     // ActMoveAway
#define TSCRIPT_INDEXVALUE_ACTJUMP				1315	     // ActJump
#define TSCRIPT_INDEXVALUE_ACTMOVETOWARD			1314	     // ActMoveToward
#define TSCRIPT_INDEXVALUE_ACTDIE				1313	     // ActDie
#define TSCRIPT_INDEXVALUE_ACTCROON				1312	     // ActCroon
#define TSCRIPT_INDEXVALUE_ACTSNARL				1311	     // ActSnarl
#define TSCRIPT_INDEXVALUE_ACTHOWL				1310	     // ActHowl
#define TSCRIPT_INDEXVALUE_ACTHELP				1309	     // ActHelp
#define TSCRIPT_INDEXVALUE_ACTOUCH				1308	     // ActOuch
#define TSCRIPT_INDEXVALUE_ACTTAILSWIPE 			1307	     // ActTailSwipe
#define TSCRIPT_INDEXVALUE_ACTSHOULDERCHARGE			1306	     // ActShoulderCharge
#define TSCRIPT_INDEXVALUE_ACTJUMPBITE				1305	     // ActJumpBite
#define TSCRIPT_INDEXVALUE_ACTDRINK				1304	     // ActDrink
#define TSCRIPT_INDEXVALUE_ACTRAM				1303	     // ActRam
#define TSCRIPT_INDEXVALUE_ACTFEINT				1302	     // ActFeint
#define TSCRIPT_INDEXVALUE_ACTBITE				1301	     // ActBite
#define TSCRIPT_INDEXVALUE_ACTEAT				1300	     // ActEat
#define TSCRIPT_INDEXVALUE_ACTION99				402	     // Action99
#define TSCRIPT_INDEXVALUE_ACTION98				401	     // Action98
#define TSCRIPT_INDEXVALUE_ACTION97				400	     // Action97
#define TSCRIPT_INDEXVALUE_ACTION96				399	     // Action96
#define TSCRIPT_INDEXVALUE_ACTION95				398	     // Action95
#define TSCRIPT_INDEXVALUE_ACTION94				397	     // Action94
#define TSCRIPT_INDEXVALUE_ACTION93				396	     // Action93
#define TSCRIPT_INDEXVALUE_ACTION92				395	     // Action92
#define TSCRIPT_INDEXVALUE_ACTION91				394	     // Action91
#define TSCRIPT_INDEXVALUE_ACTION90				393	     // Action90
#define TSCRIPT_INDEXVALUE_ACTION89				392	     // Action89
#define TSCRIPT_INDEXVALUE_ACTION88				391	     // Action88
#define TSCRIPT_INDEXVALUE_ACTION87				390	     // Action87
#define TSCRIPT_INDEXVALUE_ACTION86				389	     // Action86
#define TSCRIPT_INDEXVALUE_ACTION85				388	     // Action85
#define TSCRIPT_INDEXVALUE_ACTION84				387	     // Action84
#define TSCRIPT_INDEXVALUE_ACTION83				386	     // Action83
#define TSCRIPT_INDEXVALUE_ACTION82				385	     // Action82
#define TSCRIPT_INDEXVALUE_ACTION81				384	     // Action81
#define TSCRIPT_INDEXVALUE_ACTION80				383	     // Action80
#define TSCRIPT_INDEXVALUE_ACTION79				382	     // Action79
#define TSCRIPT_INDEXVALUE_ACTION78				381	     // Action78
#define TSCRIPT_INDEXVALUE_ACTION77				380	     // Action77
#define TSCRIPT_INDEXVALUE_ACTION76				379	     // Action76
#define TSCRIPT_INDEXVALUE_ACTION75				378	     // Action75
#define TSCRIPT_INDEXVALUE_ACTION74				377	     // Action74
#define TSCRIPT_INDEXVALUE_ACTION73				376	     // Action73
#define TSCRIPT_INDEXVALUE_ACTION72				375	     // Action72
#define TSCRIPT_INDEXVALUE_ACTION71				374	     // Action71
#define TSCRIPT_INDEXVALUE_ACTION70				373	     // Action70
#define TSCRIPT_INDEXVALUE_ACTION69				372	     // Action69
#define TSCRIPT_INDEXVALUE_ACTION68				371	     // Action68
#define TSCRIPT_INDEXVALUE_ACTION67				370	     // Action67
#define TSCRIPT_INDEXVALUE_ACTION66				369	     // Action66
#define TSCRIPT_INDEXVALUE_ACTION65				368	     // Action65
#define TSCRIPT_INDEXVALUE_ACTION64				367	     // Action64
#define TSCRIPT_INDEXVALUE_ACTION63				366	     // Action63
#define TSCRIPT_INDEXVALUE_ACTION62				365	     // Action62
#define TSCRIPT_INDEXVALUE_ACTION61				364	     // Action61
#define TSCRIPT_INDEXVALUE_ACTION60				363	     // Action60
#define TSCRIPT_INDEXVALUE_ACTION59				362	     // Action59
#define TSCRIPT_INDEXVALUE_ACTION58				361	     // Action58
#define TSCRIPT_INDEXVALUE_ACTION57				360	     // Action57
#define TSCRIPT_INDEXVALUE_ACTION56				359	     // Action56
#define TSCRIPT_INDEXVALUE_ACTION55				358	     // Action55
#define TSCRIPT_INDEXVALUE_ACTION54				357	     // Action54
#define TSCRIPT_INDEXVALUE_ACTION53				356	     // Action53
#define TSCRIPT_INDEXVALUE_ACTION52				355	     // Action52
#define TSCRIPT_INDEXVALUE_ACTION51				354	     // Action51
#define TSCRIPT_INDEXVALUE_ACTION50				353	     // Action50
#define TSCRIPT_INDEXVALUE_ACTION49				352	     // Action49
#define TSCRIPT_INDEXVALUE_ACTION48				351	     // Action48
#define TSCRIPT_INDEXVALUE_ACTION47				350	     // Action47
#define TSCRIPT_INDEXVALUE_ACTION46				349	     // Action46
#define TSCRIPT_INDEXVALUE_ACTION45				348	     // Action45
#define TSCRIPT_INDEXVALUE_ACTION44				347	     // Action44
#define TSCRIPT_INDEXVALUE_ACTION43				346	     // Action43
#define TSCRIPT_INDEXVALUE_ACTION42				345	     // Action42
#define TSCRIPT_INDEXVALUE_ACTION41				344	     // Action41
#define TSCRIPT_INDEXVALUE_ACTION40				343	     // Action40
#define TSCRIPT_INDEXVALUE_ACTION39				342	     // Action39
#define TSCRIPT_INDEXVALUE_ACTION38				341	     // Action38
#define TSCRIPT_INDEXVALUE_ACTION37				340	     // Action37
#define TSCRIPT_INDEXVALUE_ACTION36				339	     // Action36
#define TSCRIPT_INDEXVALUE_ACTION35				338	     // Action35
#define TSCRIPT_INDEXVALUE_ACTION34				337	     // Action34
#define TSCRIPT_INDEXVALUE_ACTION33				336	     // Action33
#define TSCRIPT_INDEXVALUE_ACTION32				335	     // Action32
#define TSCRIPT_INDEXVALUE_ACTION31				334	     // Action31
#define TSCRIPT_INDEXVALUE_ACTION30				333	     // Action30
#define TSCRIPT_INDEXVALUE_ACTION29				332	     // Action29
#define TSCRIPT_INDEXVALUE_ACTION28				331	     // Action28
#define TSCRIPT_INDEXVALUE_ACTION27				330	     // Action27
#define TSCRIPT_INDEXVALUE_ACTION26				329	     // Action26
#define TSCRIPT_INDEXVALUE_ACTION25				328	     // Action25
#define TSCRIPT_INDEXVALUE_ACTION24				327	     // Action24
#define TSCRIPT_INDEXVALUE_ACTION23				326	     // Action23
#define TSCRIPT_INDEXVALUE_ACTION22				325	     // Action22
#define TSCRIPT_INDEXVALUE_ACTION21				324	     // Action21
#define TSCRIPT_INDEXVALUE_ACTION20				323	     // Action20
#define TSCRIPT_INDEXVALUE_ACTION19				322	     // Action19
#define TSCRIPT_INDEXVALUE_ACTION18				321	     // Action18
#define TSCRIPT_INDEXVALUE_ACTION17				320	     // Action17
#define TSCRIPT_INDEXVALUE_ACTION16				319	     // Action16
#define TSCRIPT_INDEXVALUE_ACTION15				318	     // Action15
#define TSCRIPT_INDEXVALUE_ACTION14				317	     // Action14
#define TSCRIPT_INDEXVALUE_ACTION13				316	     // Action13
#define TSCRIPT_INDEXVALUE_ACTION12				315	     // Action12
#define TSCRIPT_INDEXVALUE_ACTION11				314	     // Action11
#define TSCRIPT_INDEXVALUE_ACTION10				313	     // Action10
#define TSCRIPT_INDEXVALUE_ACTION09				312	     // Action09
#define TSCRIPT_INDEXVALUE_ACTION08				311	     // Action08
#define TSCRIPT_INDEXVALUE_ACTION07				310	     // Action07
#define TSCRIPT_INDEXVALUE_ACTION06				309	     // Action06
#define TSCRIPT_INDEXVALUE_ACTION05				308	     // Action05
#define TSCRIPT_INDEXVALUE_ACTION04				307	     // Action04
#define TSCRIPT_INDEXVALUE_ACTION03				306	     // Action03
#define TSCRIPT_INDEXVALUE_ACTION02				305	     // Action02
#define TSCRIPT_INDEXVALUE_ACTION01				304	     // Action01
#define TSCRIPT_INDEXVALUE_ACTION00				303	     // Action00
// #define TSCRIPT_INDEXVALUE_BOGUSFEAR 			   1841 	// BOGUSFear
// #define TSCRIPT_INDEXVALUE_BOGUSLOVE 			   1842 	// BOGUSLove
// #define TSCRIPT_INDEXVALUE_BOGUSANGER			   1843 	// BOGUSAnger
// #define TSCRIPT_INDEXVALUE_BOGUSCURIOSITY			   1844 	// BOGUSCuriosity
// #define TSCRIPT_INDEXVALUE_BOGUSHUNGER			   1845 	// BOGUSHunger
// #define TSCRIPT_INDEXVALUE_BOGUSTHIRST			   1846 	// BOGUSThirst
// #define TSCRIPT_INDEXVALUE_BOGUSFATIGUE			   1847 	// BOGUSFatigue
// #define TSCRIPT_INDEXVALUE_BOGUSPAIN 			   1848 	// BOGUSPain
// #define TSCRIPT_INDEXVALUE_BOGUSSOLIDITY			   1849 	// BOGUSSolidity
// #define TSCRIPT_INDEXVALUE_BOGUSFEAR 			   1832 	// BOGUSFear
// #define TSCRIPT_INDEXVALUE_BOGUSLOVE 			   1833 	// BOGUSLove
// #define TSCRIPT_INDEXVALUE_BOGUSANGER			   1834 	// BOGUSAnger
// #define TSCRIPT_INDEXVALUE_BOGUSCURIOSITY			   1835 	// BOGUSCuriosity
// #define TSCRIPT_INDEXVALUE_BOGUSHUNGER			   1836 	// BOGUSHunger
// #define TSCRIPT_INDEXVALUE_BOGUSTHIRST			   1837 	// BOGUSThirst
// #define TSCRIPT_INDEXVALUE_BOGUSFATIGUE			   1838 	// BOGUSFatigue
// #define TSCRIPT_INDEXVALUE_BOGUSPAIN 			   1839 	// BOGUSPain
// #define TSCRIPT_INDEXVALUE_BOGUSSOLIDITY			   1840 	// BOGUSSolidity
// #define TSCRIPT_INDEXVALUE_BOGUSFEAR 			   1823 	// BOGUSFear
// #define TSCRIPT_INDEXVALUE_BOGUSLOVE 			   1824 	// BOGUSLove
// #define TSCRIPT_INDEXVALUE_BOGUSANGER			   1825 	// BOGUSAnger
// #define TSCRIPT_INDEXVALUE_BOGUSCURIOSITY			   1826 	// BOGUSCuriosity
// #define TSCRIPT_INDEXVALUE_BOGUSHUNGER			   1827 	// BOGUSHunger
// #define TSCRIPT_INDEXVALUE_BOGUSTHIRST			   1828 	// BOGUSThirst
// #define TSCRIPT_INDEXVALUE_BOGUSFATIGUE			   1829 	// BOGUSFatigue
// #define TSCRIPT_INDEXVALUE_BOGUSPAIN 			   1830 	// BOGUSPain
// #define TSCRIPT_INDEXVALUE_BOGUSSOLIDITY			   1831 	// BOGUSSolidity
// #define TSCRIPT_INDEXVALUE_BOGUSFEAR 			   1814 	// BOGUSFear
// #define TSCRIPT_INDEXVALUE_BOGUSLOVE 			   1815 	// BOGUSLove
// #define TSCRIPT_INDEXVALUE_BOGUSANGER			   1816 	// BOGUSAnger
// #define TSCRIPT_INDEXVALUE_BOGUSCURIOSITY			   1817 	// BOGUSCuriosity
// #define TSCRIPT_INDEXVALUE_BOGUSHUNGER			   1818 	// BOGUSHunger
// #define TSCRIPT_INDEXVALUE_BOGUSTHIRST			   1819 	// BOGUSThirst
// #define TSCRIPT_INDEXVALUE_BOGUSFATIGUE			   1820 	// BOGUSFatigue
// #define TSCRIPT_INDEXVALUE_BOGUSPAIN 			   1821 	// BOGUSPain
// #define TSCRIPT_INDEXVALUE_BOGUSSOLIDITY			   1822 	// BOGUSSolidity
// #define TSCRIPT_INDEXVALUE_BOGUSFEAR 			   1805 	// BOGUSFear
// #define TSCRIPT_INDEXVALUE_BOGUSLOVE 			   1806 	// BOGUSLove
// #define TSCRIPT_INDEXVALUE_BOGUSANGER			   1807 	// BOGUSAnger
// #define TSCRIPT_INDEXVALUE_BOGUSCURIOSITY			   1808 	// BOGUSCuriosity
// #define TSCRIPT_INDEXVALUE_BOGUSHUNGER			   1809 	// BOGUSHunger
// #define TSCRIPT_INDEXVALUE_BOGUSTHIRST			   1810 	// BOGUSThirst
// #define TSCRIPT_INDEXVALUE_BOGUSFATIGUE			   1811 	// BOGUSFatigue
// #define TSCRIPT_INDEXVALUE_BOGUSPAIN 			   1812 	// BOGUSPain
// #define TSCRIPT_INDEXVALUE_BOGUSSOLIDITY			   1813 	// BOGUSSolidity
// #define TSCRIPT_INDEXVALUE_BOGUSFEAR 			   1796 	// BOGUSFear
// #define TSCRIPT_INDEXVALUE_BOGUSLOVE 			   1797 	// BOGUSLove
// #define TSCRIPT_INDEXVALUE_BOGUSANGER			   1798 	// BOGUSAnger
// #define TSCRIPT_INDEXVALUE_BOGUSCURIOSITY			   1799 	// BOGUSCuriosity
// #define TSCRIPT_INDEXVALUE_BOGUSHUNGER			   1800 	// BOGUSHunger
// #define TSCRIPT_INDEXVALUE_BOGUSTHIRST			   1801 	// BOGUSThirst
// #define TSCRIPT_INDEXVALUE_BOGUSFATIGUE			   1802 	// BOGUSFatigue
// #define TSCRIPT_INDEXVALUE_BOGUSPAIN 			   1803 	// BOGUSPain
// #define TSCRIPT_INDEXVALUE_BOGUSSOLIDITY			   1804 	// BOGUSSolidity
// #define TSCRIPT_INDEXVALUE_BOGUSFEAR 			   1787 	// BOGUSFear
// #define TSCRIPT_INDEXVALUE_BOGUSLOVE 			   1788 	// BOGUSLove
// #define TSCRIPT_INDEXVALUE_BOGUSANGER			   1789 	// BOGUSAnger
// #define TSCRIPT_INDEXVALUE_BOGUSCURIOSITY			   1790 	// BOGUSCuriosity
// #define TSCRIPT_INDEXVALUE_BOGUSHUNGER			   1791 	// BOGUSHunger
// #define TSCRIPT_INDEXVALUE_BOGUSTHIRST			   1792 	// BOGUSThirst
// #define TSCRIPT_INDEXVALUE_BOGUSFATIGUE			   1793 	// BOGUSFatigue
// #define TSCRIPT_INDEXVALUE_BOGUSPAIN 			   1794 	// BOGUSPain
// #define TSCRIPT_INDEXVALUE_BOGUSSOLIDITY			   1795 	// BOGUSSolidity
// #define TSCRIPT_INDEXVALUE_BOGUSFEAR 			   1778 	// BOGUSFear
// #define TSCRIPT_INDEXVALUE_BOGUSLOVE 			   1779 	// BOGUSLove
// #define TSCRIPT_INDEXVALUE_BOGUSANGER			   1780 	// BOGUSAnger
// #define TSCRIPT_INDEXVALUE_BOGUSCURIOSITY			   1781 	// BOGUSCuriosity
// #define TSCRIPT_INDEXVALUE_BOGUSHUNGER			   1782 	// BOGUSHunger
// #define TSCRIPT_INDEXVALUE_BOGUSTHIRST			   1783 	// BOGUSThirst
// #define TSCRIPT_INDEXVALUE_BOGUSFATIGUE			   1784 	// BOGUSFatigue
// #define TSCRIPT_INDEXVALUE_BOGUSPAIN 			   1785 	// BOGUSPain
// #define TSCRIPT_INDEXVALUE_BOGUSSOLIDITY			   1786 	// BOGUSSolidity
// #define TSCRIPT_INDEXVALUE_BOGUSFEAR 			   1769 	// BOGUSFear
// #define TSCRIPT_INDEXVALUE_BOGUSLOVE 			   1770 	// BOGUSLove
// #define TSCRIPT_INDEXVALUE_BOGUSANGER			   1771 	// BOGUSAnger
// #define TSCRIPT_INDEXVALUE_BOGUSCURIOSITY			   1772 	// BOGUSCuriosity
// #define TSCRIPT_INDEXVALUE_BOGUSHUNGER			   1773 	// BOGUSHunger
// #define TSCRIPT_INDEXVALUE_BOGUSTHIRST			   1774 	// BOGUSThirst
// #define TSCRIPT_INDEXVALUE_BOGUSFATIGUE			   1775 	// BOGUSFatigue
// #define TSCRIPT_INDEXVALUE_BOGUSPAIN 			   1776 	// BOGUSPain
// #define TSCRIPT_INDEXVALUE_BOGUSSOLIDITY			   1777 	// BOGUSSolidity
#define TSCRIPT_INDEXVALUE_ACTTESTMOUTHFEAR			1760	     // ActTestMouthFear
#define TSCRIPT_INDEXVALUE_ACTTESTMOUTHLOVE			1761	     // ActTestMouthLove
#define TSCRIPT_INDEXVALUE_ACTTESTMOUTHANGER			1762	     // ActTestMouthAnger
#define TSCRIPT_INDEXVALUE_ACTTESTMOUTHCURIOSITY		1763	     // ActTestMouthCuriosity
#define TSCRIPT_INDEXVALUE_ACTTESTMOUTHHUNGER			1764	     // ActTestMouthHunger
#define TSCRIPT_INDEXVALUE_ACTTESTMOUTHTHIRST			1765	     // ActTestMouthThirst
#define TSCRIPT_INDEXVALUE_ACTTESTMOUTHFATIGUE			1766	     // ActTestMouthFatigue
#define TSCRIPT_INDEXVALUE_ACTTESTMOUTHPAIN			1767	     // ActTestMouthPain
#define TSCRIPT_INDEXVALUE_ACTTESTMOUTHSOLIDITY 		1768	     // ActTestMouthSolidity
#define TSCRIPT_INDEXVALUE_ACTTESTHEADPOSITIONFEAR		1751	     // ActTestHeadPositionFear
#define TSCRIPT_INDEXVALUE_ACTTESTHEADPOSITIONLOVE		1752	     // ActTestHeadPositionLove
#define TSCRIPT_INDEXVALUE_ACTTESTHEADPOSITIONANGER		1753	     // ActTestHeadPositionAnger
#define TSCRIPT_INDEXVALUE_ACTTESTHEADPOSITIONCURIOSITY 	1754	     // ActTestHeadPositionCuriosity
#define TSCRIPT_INDEXVALUE_ACTTESTHEADPOSITIONHUNGER		1755	     // ActTestHeadPositionHunger
#define TSCRIPT_INDEXVALUE_ACTTESTHEADPOSITIONTHIRST		1756	     // ActTestHeadPositionThirst
#define TSCRIPT_INDEXVALUE_ACTTESTHEADPOSITIONFATIGUE		1757	     // ActTestHeadPositionFatigue
#define TSCRIPT_INDEXVALUE_ACTTESTHEADPOSITIONPAIN		1758	     // ActTestHeadPositionPain
#define TSCRIPT_INDEXVALUE_ACTTESTHEADPOSITIONSOLIDITY		1759	     // ActTestHeadPositionSolidity
#define TSCRIPT_INDEXVALUE_ACTTESTWAGTAILFEAR			1742	     // ActTestWagTailFear
#define TSCRIPT_INDEXVALUE_ACTTESTWAGTAILLOVE			1743	     // ActTestWagTailLove
#define TSCRIPT_INDEXVALUE_ACTTESTWAGTAILANGER			1744	     // ActTestWagTailAnger
#define TSCRIPT_INDEXVALUE_ACTTESTWAGTAILCURIOSITY		1745	     // ActTestWagTailCuriosity
#define TSCRIPT_INDEXVALUE_ACTTESTWAGTAILHUNGER 		1746	     // ActTestWagTailHunger
#define TSCRIPT_INDEXVALUE_ACTTESTWAGTAILTHIRST 		1747	     // ActTestWagTailThirst
#define TSCRIPT_INDEXVALUE_ACTTESTWAGTAILFATIGUE		1748	     // ActTestWagTailFatigue
#define TSCRIPT_INDEXVALUE_ACTTESTWAGTAILPAIN			1749	     // ActTestWagTailPain
#define TSCRIPT_INDEXVALUE_ACTTESTWAGTAILSOLIDITY		1750	     // ActTestWagTailSolidity
#define TSCRIPT_INDEXVALUE_ACTTESTHEADORIENTFEAR		1733	     // ActTestHeadOrientFear
#define TSCRIPT_INDEXVALUE_ACTTESTHEADORIENTLOVE		1734	     // ActTestHeadOrientLove
#define TSCRIPT_INDEXVALUE_ACTTESTHEADORIENTANGER		1735	     // ActTestHeadOrientAnger
#define TSCRIPT_INDEXVALUE_ACTTESTHEADORIENTCURIOSITY		1736	     // ActTestHeadOrientCuriosity
#define TSCRIPT_INDEXVALUE_ACTTESTHEADORIENTHUNGER		1737	     // ActTestHeadOrientHunger
#define TSCRIPT_INDEXVALUE_ACTTESTHEADORIENTTHIRST		1738	     // ActTestHeadOrientThirst
#define TSCRIPT_INDEXVALUE_ACTTESTHEADORIENTFATIGUE		1739	     // ActTestHeadOrientFatigue
#define TSCRIPT_INDEXVALUE_ACTTESTHEADORIENTPAIN		1740	     // ActTestHeadOrientPain
#define TSCRIPT_INDEXVALUE_ACTTESTHEADORIENTSOLIDITY		1741	     // ActTestHeadOrientSolidity
#define TSCRIPT_INDEXVALUE_ACTTESTHEADCOCKFEAR			1724	     // ActTestHeadCockFear
#define TSCRIPT_INDEXVALUE_ACTTESTHEADCOCKLOVE			1725	     // ActTestHeadCockLove
#define TSCRIPT_INDEXVALUE_ACTTESTHEADCOCKANGER 		1726	     // ActTestHeadCockAnger
#define TSCRIPT_INDEXVALUE_ACTTESTHEADCOCKCURIOSITY		1727	     // ActTestHeadCockCuriosity
#define TSCRIPT_INDEXVALUE_ACTTESTHEADCOCKHUNGER		1728	     // ActTestHeadCockHunger
#define TSCRIPT_INDEXVALUE_ACTTESTHEADCOCKTHIRST		1729	     // ActTestHeadCockThirst
#define TSCRIPT_INDEXVALUE_ACTTESTHEADCOCKFATIGUE		1730	     // ActTestHeadCockFatigue
#define TSCRIPT_INDEXVALUE_ACTTESTHEADCOCKPAIN			1731	     // ActTestHeadCockPain
#define TSCRIPT_INDEXVALUE_ACTTESTHEADCOCKSOLIDITY		1732	     // ActTestHeadCockSolidity
#define TSCRIPT_INDEXVALUE_ACTNOTHINGFEAR			1715	     // ActNothingFear
#define TSCRIPT_INDEXVALUE_ACTNOTHINGLOVE			1716	     // ActNothingLove
#define TSCRIPT_INDEXVALUE_ACTNOTHINGANGER			1717	     // ActNothingAnger
#define TSCRIPT_INDEXVALUE_ACTNOTHINGCURIOSITY			1718	     // ActNothingCuriosity
#define TSCRIPT_INDEXVALUE_ACTNOTHINGHUNGER			1719	     // ActNothingHunger
#define TSCRIPT_INDEXVALUE_ACTNOTHINGTHIRST			1720	     // ActNothingThirst
#define TSCRIPT_INDEXVALUE_ACTNOTHINGFATIGUE			1721	     // ActNothingFatigue
#define TSCRIPT_INDEXVALUE_ACTNOTHINGPAIN			1722	     // ActNothingPain
#define TSCRIPT_INDEXVALUE_ACTNOTHINGSOLIDITY			1723	     // ActNothingSolidity
#define TSCRIPT_INDEXVALUE_ACTLOOKAROUNDFEAR			1706	     // ActLookAroundFear
#define TSCRIPT_INDEXVALUE_ACTLOOKAROUNDLOVE			1707	     // ActLookAroundLove
#define TSCRIPT_INDEXVALUE_ACTLOOKAROUNDANGER			1708	     // ActLookAroundAnger
#define TSCRIPT_INDEXVALUE_ACTLOOKAROUNDCURIOSITY		1709	     // ActLookAroundCuriosity
#define TSCRIPT_INDEXVALUE_ACTLOOKAROUNDHUNGER			1710	     // ActLookAroundHunger
#define TSCRIPT_INDEXVALUE_ACTLOOKAROUNDTHIRST			1711	     // ActLookAroundThirst
#define TSCRIPT_INDEXVALUE_ACTLOOKAROUNDFATIGUE 		1712	     // ActLookAroundFatigue
#define TSCRIPT_INDEXVALUE_ACTLOOKAROUNDPAIN			1713	     // ActLookAroundPain
#define TSCRIPT_INDEXVALUE_ACTLOOKAROUNDSOLIDITY		1714	     // ActLookAroundSolidity
#define TSCRIPT_INDEXVALUE_ACTSNIFFFEAR 			1697	     // ActSniffFear
#define TSCRIPT_INDEXVALUE_ACTSNIFFLOVE 			1698	     // ActSniffLove
#define TSCRIPT_INDEXVALUE_ACTSNIFFANGER			1699	     // ActSniffAnger
#define TSCRIPT_INDEXVALUE_ACTSNIFFCURIOSITY			1700	     // ActSniffCuriosity
#define TSCRIPT_INDEXVALUE_ACTSNIFFHUNGER			1701	     // ActSniffHunger
#define TSCRIPT_INDEXVALUE_ACTSNIFFTHIRST			1702	     // ActSniffThirst
#define TSCRIPT_INDEXVALUE_ACTSNIFFFATIGUE			1703	     // ActSniffFatigue
#define TSCRIPT_INDEXVALUE_ACTSNIFFPAIN 			1704	     // ActSniffPain
#define TSCRIPT_INDEXVALUE_ACTSNIFFSOLIDITY			1705	     // ActSniffSolidity
#define TSCRIPT_INDEXVALUE_ACTGLAREFEAR 			1688	     // ActGlareFear
#define TSCRIPT_INDEXVALUE_ACTGLARELOVE 			1689	     // ActGlareLove
#define TSCRIPT_INDEXVALUE_ACTGLAREANGER			1690	     // ActGlareAnger
#define TSCRIPT_INDEXVALUE_ACTGLARECURIOSITY			1691	     // ActGlareCuriosity
#define TSCRIPT_INDEXVALUE_ACTGLAREHUNGER			1692	     // ActGlareHunger
#define TSCRIPT_INDEXVALUE_ACTGLARETHIRST			1693	     // ActGlareThirst
#define TSCRIPT_INDEXVALUE_ACTGLAREFATIGUE			1694	     // ActGlareFatigue
#define TSCRIPT_INDEXVALUE_ACTGLAREPAIN 			1695	     // ActGlarePain
#define TSCRIPT_INDEXVALUE_ACTGLARESOLIDITY			1696	     // ActGlareSolidity
#define TSCRIPT_INDEXVALUE_ACTCOWERFEAR 			1679	     // ActCowerFear
#define TSCRIPT_INDEXVALUE_ACTCOWERLOVE 			1680	     // ActCowerLove
#define TSCRIPT_INDEXVALUE_ACTCOWERANGER			1681	     // ActCowerAnger
#define TSCRIPT_INDEXVALUE_ACTCOWERCURIOSITY			1682	     // ActCowerCuriosity
#define TSCRIPT_INDEXVALUE_ACTCOWERHUNGER			1683	     // ActCowerHunger
#define TSCRIPT_INDEXVALUE_ACTCOWERTHIRST			1684	     // ActCowerThirst
#define TSCRIPT_INDEXVALUE_ACTCOWERFATIGUE			1685	     // ActCowerFatigue
#define TSCRIPT_INDEXVALUE_ACTCOWERPAIN 			1686	     // ActCowerPain
#define TSCRIPT_INDEXVALUE_ACTCOWERSOLIDITY			1687	     // ActCowerSolidity
#define TSCRIPT_INDEXVALUE_ACTBACKAWAYFEAR			1670	     // ActBackAwayFear
#define TSCRIPT_INDEXVALUE_ACTBACKAWAYLOVE			1671	     // ActBackAwayLove
#define TSCRIPT_INDEXVALUE_ACTBACKAWAYANGER			1672	     // ActBackAwayAnger
#define TSCRIPT_INDEXVALUE_ACTBACKAWAYCURIOSITY 		1673	     // ActBackAwayCuriosity
#define TSCRIPT_INDEXVALUE_ACTBACKAWAYHUNGER			1674	     // ActBackAwayHunger
#define TSCRIPT_INDEXVALUE_ACTBACKAWAYTHIRST			1675	     // ActBackAwayThirst
#define TSCRIPT_INDEXVALUE_ACTBACKAWAYFATIGUE			1676	     // ActBackAwayFatigue
#define TSCRIPT_INDEXVALUE_ACTBACKAWAYPAIN			1677	     // ActBackAwayPain
#define TSCRIPT_INDEXVALUE_ACTBACKAWAYSOLIDITY			1678	     // ActBackAwaySolidity
#define TSCRIPT_INDEXVALUE_ACTREARBACKFEAR			1661	     // ActRearBackFear
#define TSCRIPT_INDEXVALUE_ACTREARBACKLOVE			1662	     // ActRearBackLove
#define TSCRIPT_INDEXVALUE_ACTREARBACKANGER			1663	     // ActRearBackAnger
#define TSCRIPT_INDEXVALUE_ACTREARBACKCURIOSITY 		1664	     // ActRearBackCuriosity
#define TSCRIPT_INDEXVALUE_ACTREARBACKHUNGER			1665	     // ActRearBackHunger
#define TSCRIPT_INDEXVALUE_ACTREARBACKTHIRST			1666	     // ActRearBackThirst
#define TSCRIPT_INDEXVALUE_ACTREARBACKFATIGUE			1667	     // ActRearBackFatigue
#define TSCRIPT_INDEXVALUE_ACTREARBACKPAIN			1668	     // ActRearBackPain
#define TSCRIPT_INDEXVALUE_ACTREARBACKSOLIDITY			1669	     // ActRearBackSolidity
#define TSCRIPT_INDEXVALUE_ACTCOCKHEADFEAR			1652	     // ActCockHeadFear
#define TSCRIPT_INDEXVALUE_ACTCOCKHEADLOVE			1653	     // ActCockHeadLove
#define TSCRIPT_INDEXVALUE_ACTCOCKHEADANGER			1654	     // ActCockHeadAnger
#define TSCRIPT_INDEXVALUE_ACTCOCKHEADCURIOSITY 		1655	     // ActCockHeadCuriosity
#define TSCRIPT_INDEXVALUE_ACTCOCKHEADHUNGER			1656	     // ActCockHeadHunger
#define TSCRIPT_INDEXVALUE_ACTCOCKHEADTHIRST			1657	     // ActCockHeadThirst
#define TSCRIPT_INDEXVALUE_ACTCOCKHEADFATIGUE			1658	     // ActCockHeadFatigue
#define TSCRIPT_INDEXVALUE_ACTCOCKHEADPAIN			1659	     // ActCockHeadPain
#define TSCRIPT_INDEXVALUE_ACTCOCKHEADSOLIDITY			1660	     // ActCockHeadSolidity
#define TSCRIPT_INDEXVALUE_ACTSNIFFTARGETFEAR			1643	     // ActSniffTargetFear
#define TSCRIPT_INDEXVALUE_ACTSNIFFTARGETLOVE			1644	     // ActSniffTargetLove
#define TSCRIPT_INDEXVALUE_ACTSNIFFTARGETANGER			1645	     // ActSniffTargetAnger
#define TSCRIPT_INDEXVALUE_ACTSNIFFTARGETCURIOSITY		1646	     // ActSniffTargetCuriosity
#define TSCRIPT_INDEXVALUE_ACTSNIFFTARGETHUNGER 		1647	     // ActSniffTargetHunger
#define TSCRIPT_INDEXVALUE_ACTSNIFFTARGETTHIRST 		1648	     // ActSniffTargetThirst
#define TSCRIPT_INDEXVALUE_ACTSNIFFTARGETFATIGUE		1649	     // ActSniffTargetFatigue
#define TSCRIPT_INDEXVALUE_ACTSNIFFTARGETPAIN			1650	     // ActSniffTargetPain
#define TSCRIPT_INDEXVALUE_ACTSNIFFTARGETSOLIDITY		1651	     // ActSniffTargetSolidity
#define TSCRIPT_INDEXVALUE_ACTTASTEFEAR 			1634	     // ActTasteFear
#define TSCRIPT_INDEXVALUE_ACTTASTELOVE 			1635	     // ActTasteLove
#define TSCRIPT_INDEXVALUE_ACTTASTEANGER			1636	     // ActTasteAnger
#define TSCRIPT_INDEXVALUE_ACTTASTECURIOSITY			1637	     // ActTasteCuriosity
#define TSCRIPT_INDEXVALUE_ACTTASTEHUNGER			1638	     // ActTasteHunger
#define TSCRIPT_INDEXVALUE_ACTTASTETHIRST			1639	     // ActTasteThirst
#define TSCRIPT_INDEXVALUE_ACTTASTEFATIGUE			1640	     // ActTasteFatigue
#define TSCRIPT_INDEXVALUE_ACTTASTEPAIN 			1641	     // ActTastePain
#define TSCRIPT_INDEXVALUE_ACTTASTESOLIDITY			1642	     // ActTasteSolidity
#define TSCRIPT_INDEXVALUE_ACTLOOKATFEAR			1625	     // ActLookAtFear
#define TSCRIPT_INDEXVALUE_ACTLOOKATLOVE			1626	     // ActLookAtLove
#define TSCRIPT_INDEXVALUE_ACTLOOKATANGER			1627	     // ActLookAtAnger
#define TSCRIPT_INDEXVALUE_ACTLOOKATCURIOSITY			1628	     // ActLookAtCuriosity
#define TSCRIPT_INDEXVALUE_ACTLOOKATHUNGER			1629	     // ActLookAtHunger
#define TSCRIPT_INDEXVALUE_ACTLOOKATTHIRST			1630	     // ActLookAtThirst
#define TSCRIPT_INDEXVALUE_ACTLOOKATFATIGUE			1631	     // ActLookAtFatigue
#define TSCRIPT_INDEXVALUE_ACTLOOKATPAIN			1632	     // ActLookAtPain
#define TSCRIPT_INDEXVALUE_ACTLOOKATSOLIDITY			1633	     // ActLookAtSolidity
#define TSCRIPT_INDEXVALUE_ACTMOVEBYFEAR			1616	     // ActMoveByFear
#define TSCRIPT_INDEXVALUE_ACTMOVEBYLOVE			1617	     // ActMoveByLove
#define TSCRIPT_INDEXVALUE_ACTMOVEBYANGER			1618	     // ActMoveByAnger
#define TSCRIPT_INDEXVALUE_ACTMOVEBYCURIOSITY			1619	     // ActMoveByCuriosity
#define TSCRIPT_INDEXVALUE_ACTMOVEBYHUNGER			1620	     // ActMoveByHunger
#define TSCRIPT_INDEXVALUE_ACTMOVEBYTHIRST			1621	     // ActMoveByThirst
#define TSCRIPT_INDEXVALUE_ACTMOVEBYFATIGUE			1622	     // ActMoveByFatigue
#define TSCRIPT_INDEXVALUE_ACTMOVEBYPAIN			1623	     // ActMoveByPain
#define TSCRIPT_INDEXVALUE_ACTMOVEBYSOLIDITY			1624	     // ActMoveBySolidity
#define TSCRIPT_INDEXVALUE_ACTDASHFEAR				1607	     // ActDashFear
#define TSCRIPT_INDEXVALUE_ACTDASHLOVE				1608	     // ActDashLove
#define TSCRIPT_INDEXVALUE_ACTDASHANGER 			1609	     // ActDashAnger
#define TSCRIPT_INDEXVALUE_ACTDASHCURIOSITY			1610	     // ActDashCuriosity
#define TSCRIPT_INDEXVALUE_ACTDASHHUNGER			1611	     // ActDashHunger
#define TSCRIPT_INDEXVALUE_ACTDASHTHIRST			1612	     // ActDashThirst
#define TSCRIPT_INDEXVALUE_ACTDASHFATIGUE			1613	     // ActDashFatigue
#define TSCRIPT_INDEXVALUE_ACTDASHPAIN				1614	     // ActDashPain
#define TSCRIPT_INDEXVALUE_ACTDASHSOLIDITY			1615	     // ActDashSolidity
#define TSCRIPT_INDEXVALUE_ACTAPPROACHFEAR			1598	     // ActApproachFear
#define TSCRIPT_INDEXVALUE_ACTAPPROACHLOVE			1599	     // ActApproachLove
#define TSCRIPT_INDEXVALUE_ACTAPPROACHANGER			1600	     // ActApproachAnger
#define TSCRIPT_INDEXVALUE_ACTAPPROACHCURIOSITY 		1601	     // ActApproachCuriosity
#define TSCRIPT_INDEXVALUE_ACTAPPROACHHUNGER			1602	     // ActApproachHunger
#define TSCRIPT_INDEXVALUE_ACTAPPROACHTHIRST			1603	     // ActApproachThirst
#define TSCRIPT_INDEXVALUE_ACTAPPROACHFATIGUE			1604	     // ActApproachFatigue
#define TSCRIPT_INDEXVALUE_ACTAPPROACHPAIN			1605	     // ActApproachPain
#define TSCRIPT_INDEXVALUE_ACTAPPROACHSOLIDITY			1606	     // ActApproachSolidity
#define TSCRIPT_INDEXVALUE_ACTGETOUTFEAR			1589	     // ActGetOutFear
#define TSCRIPT_INDEXVALUE_ACTGETOUTLOVE			1590	     // ActGetOutLove
#define TSCRIPT_INDEXVALUE_ACTGETOUTANGER			1591	     // ActGetOutAnger
#define TSCRIPT_INDEXVALUE_ACTGETOUTCURIOSITY			1592	     // ActGetOutCuriosity
#define TSCRIPT_INDEXVALUE_ACTGETOUTHUNGER			1593	     // ActGetOutHunger
#define TSCRIPT_INDEXVALUE_ACTGETOUTTHIRST			1594	     // ActGetOutThirst
#define TSCRIPT_INDEXVALUE_ACTGETOUTFATIGUE			1595	     // ActGetOutFatigue
#define TSCRIPT_INDEXVALUE_ACTGETOUTPAIN			1596	     // ActGetOutPain
#define TSCRIPT_INDEXVALUE_ACTGETOUTSOLIDITY			1597	     // ActGetOutSolidity
#define TSCRIPT_INDEXVALUE_ACTJUMPBACKFEAR			1580	     // ActJumpBackFear
#define TSCRIPT_INDEXVALUE_ACTJUMPBACKLOVE			1581	     // ActJumpBackLove
#define TSCRIPT_INDEXVALUE_ACTJUMPBACKANGER			1582	     // ActJumpBackAnger
#define TSCRIPT_INDEXVALUE_ACTJUMPBACKCURIOSITY 		1583	     // ActJumpBackCuriosity
#define TSCRIPT_INDEXVALUE_ACTJUMPBACKHUNGER			1584	     // ActJumpBackHunger
#define TSCRIPT_INDEXVALUE_ACTJUMPBACKTHIRST			1585	     // ActJumpBackThirst
#define TSCRIPT_INDEXVALUE_ACTJUMPBACKFATIGUE			1586	     // ActJumpBackFatigue
#define TSCRIPT_INDEXVALUE_ACTJUMPBACKPAIN			1587	     // ActJumpBackPain
#define TSCRIPT_INDEXVALUE_ACTJUMPBACKSOLIDITY			1588	     // ActJumpBackSolidity
#define TSCRIPT_INDEXVALUE_ACTPURSUEFEAR			1571	     // ActPursueFear
#define TSCRIPT_INDEXVALUE_ACTPURSUELOVE			1572	     // ActPursueLove
#define TSCRIPT_INDEXVALUE_ACTPURSUEANGER			1573	     // ActPursueAnger
#define TSCRIPT_INDEXVALUE_ACTPURSUECURIOSITY			1574	     // ActPursueCuriosity
#define TSCRIPT_INDEXVALUE_ACTPURSUEHUNGER			1575	     // ActPursueHunger
#define TSCRIPT_INDEXVALUE_ACTPURSUETHIRST			1576	     // ActPursueThirst
#define TSCRIPT_INDEXVALUE_ACTPURSUEFATIGUE			1577	     // ActPursueFatigue
#define TSCRIPT_INDEXVALUE_ACTPURSUEPAIN			1578	     // ActPursuePain
#define TSCRIPT_INDEXVALUE_ACTPURSUESOLIDITY			1579	     // ActPursueSolidity
#define TSCRIPT_INDEXVALUE_ACTFLEEFEAR				1562	     // ActFleeFear
#define TSCRIPT_INDEXVALUE_ACTFLEELOVE				1563	     // ActFleeLove
#define TSCRIPT_INDEXVALUE_ACTFLEEANGER 			1564	     // ActFleeAnger
#define TSCRIPT_INDEXVALUE_ACTFLEECURIOSITY			1565	     // ActFleeCuriosity
#define TSCRIPT_INDEXVALUE_ACTFLEEHUNGER			1566	     // ActFleeHunger
#define TSCRIPT_INDEXVALUE_ACTFLEETHIRST			1567	     // ActFleeThirst
#define TSCRIPT_INDEXVALUE_ACTFLEEFATIGUE			1568	     // ActFleeFatigue
#define TSCRIPT_INDEXVALUE_ACTFLEEPAIN				1569	     // ActFleePain
#define TSCRIPT_INDEXVALUE_ACTFLEESOLIDITY			1570	     // ActFleeSolidity
#define TSCRIPT_INDEXVALUE_ACTSTAYAWAYFEAR			1553	     // ActStayAwayFear
#define TSCRIPT_INDEXVALUE_ACTSTAYAWAYLOVE			1554	     // ActStayAwayLove
#define TSCRIPT_INDEXVALUE_ACTSTAYAWAYANGER			1555	     // ActStayAwayAnger
#define TSCRIPT_INDEXVALUE_ACTSTAYAWAYCURIOSITY 		1556	     // ActStayAwayCuriosity
#define TSCRIPT_INDEXVALUE_ACTSTAYAWAYHUNGER			1557	     // ActStayAwayHunger
#define TSCRIPT_INDEXVALUE_ACTSTAYAWAYTHIRST			1558	     // ActStayAwayThirst
#define TSCRIPT_INDEXVALUE_ACTSTAYAWAYFATIGUE			1559	     // ActStayAwayFatigue
#define TSCRIPT_INDEXVALUE_ACTSTAYAWAYPAIN			1560	     // ActStayAwayPain
#define TSCRIPT_INDEXVALUE_ACTSTAYAWAYSOLIDITY			1561	     // ActStayAwaySolidity
#define TSCRIPT_INDEXVALUE_ACTSTAYNEARFEAR			1544	     // ActStayNearFear
#define TSCRIPT_INDEXVALUE_ACTSTAYNEARLOVE			1545	     // ActStayNearLove
#define TSCRIPT_INDEXVALUE_ACTSTAYNEARANGER			1546	     // ActStayNearAnger
#define TSCRIPT_INDEXVALUE_ACTSTAYNEARCURIOSITY 		1547	     // ActStayNearCuriosity
#define TSCRIPT_INDEXVALUE_ACTSTAYNEARHUNGER			1548	     // ActStayNearHunger
#define TSCRIPT_INDEXVALUE_ACTSTAYNEARTHIRST			1549	     // ActStayNearThirst
#define TSCRIPT_INDEXVALUE_ACTSTAYNEARFATIGUE			1550	     // ActStayNearFatigue
#define TSCRIPT_INDEXVALUE_ACTSTAYNEARPAIN			1551	     // ActStayNearPain
#define TSCRIPT_INDEXVALUE_ACTSTAYNEARSOLIDITY			1552	     // ActStayNearSolidity
#define TSCRIPT_INDEXVALUE_ACTCIRCLEFEAR			1535	     // ActCircleFear
#define TSCRIPT_INDEXVALUE_ACTCIRCLELOVE			1536	     // ActCircleLove
#define TSCRIPT_INDEXVALUE_ACTCIRCLEANGER			1537	     // ActCircleAnger
#define TSCRIPT_INDEXVALUE_ACTCIRCLECURIOSITY			1538	     // ActCircleCuriosity
#define TSCRIPT_INDEXVALUE_ACTCIRCLEHUNGER			1539	     // ActCircleHunger
#define TSCRIPT_INDEXVALUE_ACTCIRCLETHIRST			1540	     // ActCircleThirst
#define TSCRIPT_INDEXVALUE_ACTCIRCLEFATIGUE			1541	     // ActCircleFatigue
#define TSCRIPT_INDEXVALUE_ACTCIRCLEPAIN			1542	     // ActCirclePain
#define TSCRIPT_INDEXVALUE_ACTCIRCLESOLIDITY			1543	     // ActCircleSolidity
#define TSCRIPT_INDEXVALUE_ACTSTALKFEAR 			1526	     // ActStalkFear
#define TSCRIPT_INDEXVALUE_ACTSTALKLOVE 			1527	     // ActStalkLove
#define TSCRIPT_INDEXVALUE_ACTSTALKANGER			1528	     // ActStalkAnger
#define TSCRIPT_INDEXVALUE_ACTSTALKCURIOSITY			1529	     // ActStalkCuriosity
#define TSCRIPT_INDEXVALUE_ACTSTALKHUNGER			1530	     // ActStalkHunger
#define TSCRIPT_INDEXVALUE_ACTSTALKTHIRST			1531	     // ActStalkThirst
#define TSCRIPT_INDEXVALUE_ACTSTALKFATIGUE			1532	     // ActStalkFatigue
#define TSCRIPT_INDEXVALUE_ACTSTALKPAIN 			1533	     // ActStalkPain
#define TSCRIPT_INDEXVALUE_ACTSTALKSOLIDITY			1534	     // ActStalkSolidity
#define TSCRIPT_INDEXVALUE_ACTWANDERFEAR			1517	     // ActWanderFear
#define TSCRIPT_INDEXVALUE_ACTWANDERLOVE			1518	     // ActWanderLove
#define TSCRIPT_INDEXVALUE_ACTWANDERANGER			1519	     // ActWanderAnger
#define TSCRIPT_INDEXVALUE_ACTWANDERCURIOSITY			1520	     // ActWanderCuriosity
#define TSCRIPT_INDEXVALUE_ACTWANDERHUNGER			1521	     // ActWanderHunger
#define TSCRIPT_INDEXVALUE_ACTWANDERTHIRST			1522	     // ActWanderThirst
#define TSCRIPT_INDEXVALUE_ACTWANDERFATIGUE			1523	     // ActWanderFatigue
#define TSCRIPT_INDEXVALUE_ACTWANDERPAIN			1524	     // ActWanderPain
#define TSCRIPT_INDEXVALUE_ACTWANDERSOLIDITY			1525	     // ActWanderSolidity
#define TSCRIPT_INDEXVALUE_ACTDONTTOUCHFEAR			1508	     // ActDontTouchFear
#define TSCRIPT_INDEXVALUE_ACTDONTTOUCHLOVE			1509	     // ActDontTouchLove
#define TSCRIPT_INDEXVALUE_ACTDONTTOUCHANGER			1510	     // ActDontTouchAnger
#define TSCRIPT_INDEXVALUE_ACTDONTTOUCHCURIOSITY		1511	     // ActDontTouchCuriosity
#define TSCRIPT_INDEXVALUE_ACTDONTTOUCHHUNGER			1512	     // ActDontTouchHunger
#define TSCRIPT_INDEXVALUE_ACTDONTTOUCHTHIRST			1513	     // ActDontTouchThirst
#define TSCRIPT_INDEXVALUE_ACTDONTTOUCHFATIGUE			1514	     // ActDontTouchFatigue
#define TSCRIPT_INDEXVALUE_ACTDONTTOUCHPAIN			1515	     // ActDontTouchPain
#define TSCRIPT_INDEXVALUE_ACTDONTTOUCHSOLIDITY 		1516	     // ActDontTouchSolidity
#define TSCRIPT_INDEXVALUE_ACTMOVEAWAYFEAR			1499	     // ActMoveAwayFear
#define TSCRIPT_INDEXVALUE_ACTMOVEAWAYLOVE			1500	     // ActMoveAwayLove
#define TSCRIPT_INDEXVALUE_ACTMOVEAWAYANGER			1501	     // ActMoveAwayAnger
#define TSCRIPT_INDEXVALUE_ACTMOVEAWAYCURIOSITY 		1502	     // ActMoveAwayCuriosity
#define TSCRIPT_INDEXVALUE_ACTMOVEAWAYHUNGER			1503	     // ActMoveAwayHunger
#define TSCRIPT_INDEXVALUE_ACTMOVEAWAYTHIRST			1504	     // ActMoveAwayThirst
#define TSCRIPT_INDEXVALUE_ACTMOVEAWAYFATIGUE			1505	     // ActMoveAwayFatigue
#define TSCRIPT_INDEXVALUE_ACTMOVEAWAYPAIN			1506	     // ActMoveAwayPain
#define TSCRIPT_INDEXVALUE_ACTMOVEAWAYSOLIDITY			1507	     // ActMoveAwaySolidity
#define TSCRIPT_INDEXVALUE_ACTJUMPFEAR				1490	     // ActJumpFear
#define TSCRIPT_INDEXVALUE_ACTJUMPLOVE				1491	     // ActJumpLove
#define TSCRIPT_INDEXVALUE_ACTJUMPANGER 			1492	     // ActJumpAnger
#define TSCRIPT_INDEXVALUE_ACTJUMPCURIOSITY			1493	     // ActJumpCuriosity
#define TSCRIPT_INDEXVALUE_ACTJUMPHUNGER			1494	     // ActJumpHunger
#define TSCRIPT_INDEXVALUE_ACTJUMPTHIRST			1495	     // ActJumpThirst
#define TSCRIPT_INDEXVALUE_ACTJUMPFATIGUE			1496	     // ActJumpFatigue
#define TSCRIPT_INDEXVALUE_ACTJUMPPAIN				1497	     // ActJumpPain
#define TSCRIPT_INDEXVALUE_ACTJUMPSOLIDITY			1498	     // ActJumpSolidity
#define TSCRIPT_INDEXVALUE_ACTMOVETOWARDFEAR			1481	     // ActMoveTowardFear
#define TSCRIPT_INDEXVALUE_ACTMOVETOWARDLOVE			1482	     // ActMoveTowardLove
#define TSCRIPT_INDEXVALUE_ACTMOVETOWARDANGER			1483	     // ActMoveTowardAnger
#define TSCRIPT_INDEXVALUE_ACTMOVETOWARDCURIOSITY		1484	     // ActMoveTowardCuriosity
#define TSCRIPT_INDEXVALUE_ACTMOVETOWARDHUNGER			1485	     // ActMoveTowardHunger
#define TSCRIPT_INDEXVALUE_ACTMOVETOWARDTHIRST			1486	     // ActMoveTowardThirst
#define TSCRIPT_INDEXVALUE_ACTMOVETOWARDFATIGUE 		1487	     // ActMoveTowardFatigue
#define TSCRIPT_INDEXVALUE_ACTMOVETOWARDPAIN			1488	     // ActMoveTowardPain
#define TSCRIPT_INDEXVALUE_ACTMOVETOWARDSOLIDITY		1489	     // ActMoveTowardSolidity
#define TSCRIPT_INDEXVALUE_ACTDIEFEAR				1472	     // ActDieFear
#define TSCRIPT_INDEXVALUE_ACTDIELOVE				1473	     // ActDieLove
#define TSCRIPT_INDEXVALUE_ACTDIEANGER				1474	     // ActDieAnger
#define TSCRIPT_INDEXVALUE_ACTDIECURIOSITY			1475	     // ActDieCuriosity
#define TSCRIPT_INDEXVALUE_ACTDIEHUNGER 			1476	     // ActDieHunger
#define TSCRIPT_INDEXVALUE_ACTDIETHIRST 			1477	     // ActDieThirst
#define TSCRIPT_INDEXVALUE_ACTDIEFATIGUE			1478	     // ActDieFatigue
#define TSCRIPT_INDEXVALUE_ACTDIEPAIN				1479	     // ActDiePain
#define TSCRIPT_INDEXVALUE_ACTDIESOLIDITY			1480	     // ActDieSolidity
#define TSCRIPT_INDEXVALUE_ACTCROONFEAR 			1463	     // ActCroonFear
#define TSCRIPT_INDEXVALUE_ACTCROONLOVE 			1464	     // ActCroonLove
#define TSCRIPT_INDEXVALUE_ACTCROONANGER			1465	     // ActCroonAnger
#define TSCRIPT_INDEXVALUE_ACTCROONCURIOSITY			1466	     // ActCroonCuriosity
#define TSCRIPT_INDEXVALUE_ACTCROONHUNGER			1467	     // ActCroonHunger
#define TSCRIPT_INDEXVALUE_ACTCROONTHIRST			1468	     // ActCroonThirst
#define TSCRIPT_INDEXVALUE_ACTCROONFATIGUE			1469	     // ActCroonFatigue
#define TSCRIPT_INDEXVALUE_ACTCROONPAIN 			1470	     // ActCroonPain
#define TSCRIPT_INDEXVALUE_ACTCROONSOLIDITY			1471	     // ActCroonSolidity
#define TSCRIPT_INDEXVALUE_ACTSNARLFEAR 			1454	     // ActSnarlFear
#define TSCRIPT_INDEXVALUE_ACTSNARLLOVE 			1455	     // ActSnarlLove
#define TSCRIPT_INDEXVALUE_ACTSNARLANGER			1456	     // ActSnarlAnger
#define TSCRIPT_INDEXVALUE_ACTSNARLCURIOSITY			1457	     // ActSnarlCuriosity
#define TSCRIPT_INDEXVALUE_ACTSNARLHUNGER			1458	     // ActSnarlHunger
#define TSCRIPT_INDEXVALUE_ACTSNARLTHIRST			1459	     // ActSnarlThirst
#define TSCRIPT_INDEXVALUE_ACTSNARLFATIGUE			1460	     // ActSnarlFatigue
#define TSCRIPT_INDEXVALUE_ACTSNARLPAIN 			1461	     // ActSnarlPain
#define TSCRIPT_INDEXVALUE_ACTSNARLSOLIDITY			1462	     // ActSnarlSolidity
#define TSCRIPT_INDEXVALUE_ACTHOWLFEAR				1445	     // ActHowlFear
#define TSCRIPT_INDEXVALUE_ACTHOWLLOVE				1446	     // ActHowlLove
#define TSCRIPT_INDEXVALUE_ACTHOWLANGER 			1447	     // ActHowlAnger
#define TSCRIPT_INDEXVALUE_ACTHOWLCURIOSITY			1448	     // ActHowlCuriosity
#define TSCRIPT_INDEXVALUE_ACTHOWLHUNGER			1449	     // ActHowlHunger
#define TSCRIPT_INDEXVALUE_ACTHOWLTHIRST			1450	     // ActHowlThirst
#define TSCRIPT_INDEXVALUE_ACTHOWLFATIGUE			1451	     // ActHowlFatigue
#define TSCRIPT_INDEXVALUE_ACTHOWLPAIN				1452	     // ActHowlPain
#define TSCRIPT_INDEXVALUE_ACTHOWLSOLIDITY			1453	     // ActHowlSolidity
#define TSCRIPT_INDEXVALUE_ACTHELPFEAR				1436	     // ActHelpFear
#define TSCRIPT_INDEXVALUE_ACTHELPLOVE				1437	     // ActHelpLove
#define TSCRIPT_INDEXVALUE_ACTHELPANGER 			1438	     // ActHelpAnger
#define TSCRIPT_INDEXVALUE_ACTHELPCURIOSITY			1439	     // ActHelpCuriosity
#define TSCRIPT_INDEXVALUE_ACTHELPHUNGER			1440	     // ActHelpHunger
#define TSCRIPT_INDEXVALUE_ACTHELPTHIRST			1441	     // ActHelpThirst
#define TSCRIPT_INDEXVALUE_ACTHELPFATIGUE			1442	     // ActHelpFatigue
#define TSCRIPT_INDEXVALUE_ACTHELPPAIN				1443	     // ActHelpPain
#define TSCRIPT_INDEXVALUE_ACTHELPSOLIDITY			1444	     // ActHelpSolidity
#define TSCRIPT_INDEXVALUE_ACTOUCHFEAR				1427	     // ActOuchFear
#define TSCRIPT_INDEXVALUE_ACTOUCHLOVE				1428	     // ActOuchLove
#define TSCRIPT_INDEXVALUE_ACTOUCHANGER 			1429	     // ActOuchAnger
#define TSCRIPT_INDEXVALUE_ACTOUCHCURIOSITY			1430	     // ActOuchCuriosity
#define TSCRIPT_INDEXVALUE_ACTOUCHHUNGER			1431	     // ActOuchHunger
#define TSCRIPT_INDEXVALUE_ACTOUCHTHIRST			1432	     // ActOuchThirst
#define TSCRIPT_INDEXVALUE_ACTOUCHFATIGUE			1433	     // ActOuchFatigue
#define TSCRIPT_INDEXVALUE_ACTOUCHPAIN				1434	     // ActOuchPain
#define TSCRIPT_INDEXVALUE_ACTOUCHSOLIDITY			1435	     // ActOuchSolidity
#define TSCRIPT_INDEXVALUE_ACTTAILSWIPEFEAR			1418	     // ActTailSwipeFear
#define TSCRIPT_INDEXVALUE_ACTTAILSWIPELOVE			1419	     // ActTailSwipeLove
#define TSCRIPT_INDEXVALUE_ACTTAILSWIPEANGER			1420	     // ActTailSwipeAnger
#define TSCRIPT_INDEXVALUE_ACTTAILSWIPECURIOSITY		1421	     // ActTailSwipeCuriosity
#define TSCRIPT_INDEXVALUE_ACTTAILSWIPEHUNGER			1422	     // ActTailSwipeHunger
#define TSCRIPT_INDEXVALUE_ACTTAILSWIPETHIRST			1423	     // ActTailSwipeThirst
#define TSCRIPT_INDEXVALUE_ACTTAILSWIPEFATIGUE			1424	     // ActTailSwipeFatigue
#define TSCRIPT_INDEXVALUE_ACTTAILSWIPEPAIN			1425	     // ActTailSwipePain
#define TSCRIPT_INDEXVALUE_ACTTAILSWIPESOLIDITY 		1426	     // ActTailSwipeSolidity
#define TSCRIPT_INDEXVALUE_ACTSHOULDERCHARGEFEAR		1409	     // ActShoulderChargeFear
#define TSCRIPT_INDEXVALUE_ACTSHOULDERCHARGELOVE		1410	     // ActShoulderChargeLove
#define TSCRIPT_INDEXVALUE_ACTSHOULDERCHARGEANGER		1411	     // ActShoulderChargeAnger
#define TSCRIPT_INDEXVALUE_ACTSHOULDERCHARGECURIOSITY		1412	     // ActShoulderChargeCuriosity
#define TSCRIPT_INDEXVALUE_ACTSHOULDERCHARGEHUNGER		1413	     // ActShoulderChargeHunger
#define TSCRIPT_INDEXVALUE_ACTSHOULDERCHARGETHIRST		1414	     // ActShoulderChargeThirst
#define TSCRIPT_INDEXVALUE_ACTSHOULDERCHARGEFATIGUE		1415	     // ActShoulderChargeFatigue
#define TSCRIPT_INDEXVALUE_ACTSHOULDERCHARGEPAIN		1416	     // ActShoulderChargePain
#define TSCRIPT_INDEXVALUE_ACTSHOULDERCHARGESOLIDITY		1417	     // ActShoulderChargeSolidity
#define TSCRIPT_INDEXVALUE_ACTJUMPBITEFEAR			1400	     // ActJumpBiteFear
#define TSCRIPT_INDEXVALUE_ACTJUMPBITELOVE			1401	     // ActJumpBiteLove
#define TSCRIPT_INDEXVALUE_ACTJUMPBITEANGER			1402	     // ActJumpBiteAnger
#define TSCRIPT_INDEXVALUE_ACTJUMPBITECURIOSITY 		1403	     // ActJumpBiteCuriosity
#define TSCRIPT_INDEXVALUE_ACTJUMPBITEHUNGER			1404	     // ActJumpBiteHunger
#define TSCRIPT_INDEXVALUE_ACTJUMPBITETHIRST			1405	     // ActJumpBiteThirst
#define TSCRIPT_INDEXVALUE_ACTJUMPBITEFATIGUE			1406	     // ActJumpBiteFatigue
#define TSCRIPT_INDEXVALUE_ACTJUMPBITEPAIN			1407	     // ActJumpBitePain
#define TSCRIPT_INDEXVALUE_ACTJUMPBITESOLIDITY			1408	     // ActJumpBiteSolidity
#define TSCRIPT_INDEXVALUE_ACTDRINKFEAR 			1391	     // ActDrinkFear
#define TSCRIPT_INDEXVALUE_ACTDRINKLOVE 			1392	     // ActDrinkLove
#define TSCRIPT_INDEXVALUE_ACTDRINKANGER			1393	     // ActDrinkAnger
#define TSCRIPT_INDEXVALUE_ACTDRINKCURIOSITY			1394	     // ActDrinkCuriosity
#define TSCRIPT_INDEXVALUE_ACTDRINKHUNGER			1395	     // ActDrinkHunger
#define TSCRIPT_INDEXVALUE_ACTDRINKTHIRST			1396	     // ActDrinkThirst
#define TSCRIPT_INDEXVALUE_ACTDRINKFATIGUE			1397	     // ActDrinkFatigue
#define TSCRIPT_INDEXVALUE_ACTDRINKPAIN 			1398	     // ActDrinkPain
#define TSCRIPT_INDEXVALUE_ACTDRINKSOLIDITY			1399	     // ActDrinkSolidity
#define TSCRIPT_INDEXVALUE_ACTRAMFEAR				1382	     // ActRamFear
#define TSCRIPT_INDEXVALUE_ACTRAMLOVE				1383	     // ActRamLove
#define TSCRIPT_INDEXVALUE_ACTRAMANGER				1384	     // ActRamAnger
#define TSCRIPT_INDEXVALUE_ACTRAMCURIOSITY			1385	     // ActRamCuriosity
#define TSCRIPT_INDEXVALUE_ACTRAMHUNGER 			1386	     // ActRamHunger
#define TSCRIPT_INDEXVALUE_ACTRAMTHIRST 			1387	     // ActRamThirst
#define TSCRIPT_INDEXVALUE_ACTRAMFATIGUE			1388	     // ActRamFatigue
#define TSCRIPT_INDEXVALUE_ACTRAMPAIN				1389	     // ActRamPain
#define TSCRIPT_INDEXVALUE_ACTRAMSOLIDITY			1390	     // ActRamSolidity
#define TSCRIPT_INDEXVALUE_ACTFEINTFEAR 			1373	     // ActFeintFear
#define TSCRIPT_INDEXVALUE_ACTFEINTLOVE 			1374	     // ActFeintLove
#define TSCRIPT_INDEXVALUE_ACTFEINTANGER			1375	     // ActFeintAnger
#define TSCRIPT_INDEXVALUE_ACTFEINTCURIOSITY			1376	     // ActFeintCuriosity
#define TSCRIPT_INDEXVALUE_ACTFEINTHUNGER			1377	     // ActFeintHunger
#define TSCRIPT_INDEXVALUE_ACTFEINTTHIRST			1378	     // ActFeintThirst
#define TSCRIPT_INDEXVALUE_ACTFEINTFATIGUE			1379	     // ActFeintFatigue
#define TSCRIPT_INDEXVALUE_ACTFEINTPAIN 			1380	     // ActFeintPain
#define TSCRIPT_INDEXVALUE_ACTFEINTSOLIDITY			1381	     // ActFeintSolidity
#define TSCRIPT_INDEXVALUE_ACTBITEFEAR				1364	     // ActBiteFear
#define TSCRIPT_INDEXVALUE_ACTBITELOVE				1365	     // ActBiteLove
#define TSCRIPT_INDEXVALUE_ACTBITEANGER 			1366	     // ActBiteAnger
#define TSCRIPT_INDEXVALUE_ACTBITECURIOSITY			1367	     // ActBiteCuriosity
#define TSCRIPT_INDEXVALUE_ACTBITEHUNGER			1368	     // ActBiteHunger
#define TSCRIPT_INDEXVALUE_ACTBITETHIRST			1369	     // ActBiteThirst
#define TSCRIPT_INDEXVALUE_ACTBITEFATIGUE			1370	     // ActBiteFatigue
#define TSCRIPT_INDEXVALUE_ACTBITEPAIN				1371	     // ActBitePain
#define TSCRIPT_INDEXVALUE_ACTBITESOLIDITY			1372	     // ActBiteSolidity
#define TSCRIPT_INDEXVALUE_ACTEATFEAR				1355	     // ActEatFear
#define TSCRIPT_INDEXVALUE_ACTEATLOVE				1356	     // ActEatLove
#define TSCRIPT_INDEXVALUE_ACTEATANGER				1357	     // ActEatAnger
#define TSCRIPT_INDEXVALUE_ACTEATCURIOSITY			1358	     // ActEatCuriosity
#define TSCRIPT_INDEXVALUE_ACTEATHUNGER 			1359	     // ActEatHunger
#define TSCRIPT_INDEXVALUE_ACTEATTHIRST 			1360	     // ActEatThirst
#define TSCRIPT_INDEXVALUE_ACTEATFATIGUE			1361	     // ActEatFatigue
#define TSCRIPT_INDEXVALUE_ACTEATPAIN				1362	     // ActEatPain
#define TSCRIPT_INDEXVALUE_ACTEATSOLIDITY			1363	     // ActEatSolidity
#define TSCRIPT_INDEXVALUE_ARCHETYPE				1850	     // Archetype
#define TSCRIPT_INDEXVALUE_AITYPE				1851	     // AIType
#define TSCRIPT_INDEXVALUE_AIMASS				1231	     // AIMass
#define TSCRIPT_INDEXVALUE_DANGER				1232	     // Danger
#define TSCRIPT_INDEXVALUE_FEAR 				1233	     // Fear
#define TSCRIPT_INDEXVALUE_LOVE 				1234	     // Love
#define TSCRIPT_INDEXVALUE_ANGER				1235	     // Anger
#define TSCRIPT_INDEXVALUE_CURIOSITY				1236	     // Curiosity
#define TSCRIPT_INDEXVALUE_HUNGER				1237	     // Hunger
#define TSCRIPT_INDEXVALUE_THIRST				1238	     // Thirst
#define TSCRIPT_INDEXVALUE_FATIGUE				1239	     // Fatigue
#define TSCRIPT_INDEXVALUE_PAIN 				1240	     // Pain
#define TSCRIPT_INDEXVALUE_SOLIDITY				1241	     // Solidity
#define TSCRIPT_INDEXVALUE_HUMANFEAR				1242	     // HumanFear
#define TSCRIPT_INDEXVALUE_HUMANLOVE				1243	     // HumanLove
#define TSCRIPT_INDEXVALUE_HUMANANGER				1244	     // HumanAnger
#define TSCRIPT_INDEXVALUE_HUMANCURIOSITY			1245	     // HumanCuriosity
#define TSCRIPT_INDEXVALUE_HUMANHUNGER				1246	     // HumanHunger
#define TSCRIPT_INDEXVALUE_HUMANTHIRST				1247	     // HumanThirst
#define TSCRIPT_INDEXVALUE_HUMANFATIGUE 			1248	     // HumanFatigue
#define TSCRIPT_INDEXVALUE_HUMANPAIN				1249	     // HumanPain
#define TSCRIPT_INDEXVALUE_HUMANSOLIDITY			1250	     // HumanSolidity
#define TSCRIPT_INDEXVALUE_DAMAGEFEAR				1251	     // DamageFear
#define TSCRIPT_INDEXVALUE_DAMAGELOVE				1252	     // DamageLove
#define TSCRIPT_INDEXVALUE_DAMAGEANGER				1253	     // DamageAnger
#define TSCRIPT_INDEXVALUE_DAMAGECURIOSITY			1254	     // DamageCuriosity
#define TSCRIPT_INDEXVALUE_DAMAGEHUNGER 			1255	     // DamageHunger
#define TSCRIPT_INDEXVALUE_DAMAGETHIRST 			1256	     // DamageThirst
#define TSCRIPT_INDEXVALUE_DAMAGEFATIGUE			1257	     // DamageFatigue
#define TSCRIPT_INDEXVALUE_DAMAGEPAIN				1258	     // DamagePain
#define TSCRIPT_INDEXVALUE_DAMAGESOLIDITY			1259	     // DamageSolidity
#define TSCRIPT_INDEXVALUE_BRAVERY				1260	     // Bravery
#define TSCRIPT_INDEXVALUE_TEAM 				1261	     // Team
#define TSCRIPT_INDEXVALUE_SPEED				1262	     // Speed
#define TSCRIPT_INDEXVALUE_MOUTH				1263	     // Mouth
#define TSCRIPT_INDEXVALUE_AI					1228	     // AI
#define TSCRIPT_INDEXVALUE_CLIMB				1229	     // Climb
#define TSCRIPT_INDEXVALUE_DINOSAUR				1264	     // Dinosaur
#define TSCRIPT_INDEXVALUE_PATHFIND				1230	     // Pathfind
#define TSCRIPT_INDEXVALUE_VOCAL				1265	     // Vocal
#define TSCRIPT_INDEXVALUE_TERRAINPATHFINDING			1269	     // TerrainPathfinding
#define TSCRIPT_INDEXVALUE_SENSETERRAIN 			1266	     // SenseTerrain
#define TSCRIPT_INDEXVALUE_SENSEOBJECTS 			1267	     // SenseObjects
#define TSCRIPT_INDEXVALUE_SENSEANIMATES			1268	     // SenseAnimates
#define TSCRIPT_INDEXVALUE_WAKEUP				1270	     // WakeUp
#define TSCRIPT_INDEXVALUE_SLEEP				1271	     // Sleep
#define TSCRIPT_INDEXVALUE_STAYNEARMAX				1272	     // StayNearMax
#define TSCRIPT_INDEXVALUE_STAYNEAROK				1273	     // StayNearOK
#define TSCRIPT_INDEXVALUE_STAYNEARTARGET			1274	     // StayNearTarget
#define TSCRIPT_INDEXVALUE_STAYAWAYMIN				1275	     // StayAwayMin
#define TSCRIPT_INDEXVALUE_STAYAWAYOK				1276	     // StayAwayOK
#define TSCRIPT_INDEXVALUE_STAYAWAYTARGET			1277	     // StayAwayTarget
#define TSCRIPT_INDEXVALUE_BITETARGETDISTANCE			1278	     // BiteTargetDistance
#define TSCRIPT_INDEXVALUE_FEINTTARGETDISTANCE			1279	     // FeintTargetDistance
#define TSCRIPT_INDEXVALUE_WIDTH				1280	     // Width
#define TSCRIPT_INDEXVALUE_HEADREACH				1281	     // HeadReach
#define TSCRIPT_INDEXVALUE_TAILREACH				1282	     // TailReach
#define TSCRIPT_INDEXVALUE_CLAWREACH				1283	     // ClawReach
#define TSCRIPT_INDEXVALUE_JUMPDISTANCE 			1284	     // JumpDistance
#define TSCRIPT_INDEXVALUE_JUMPUP				1285	     // JumpUp
#define TSCRIPT_INDEXVALUE_JUMPDOWN				1286	     // JumpDown
#define TSCRIPT_INDEXVALUE_WALKOVER				1287	     // WalkOver
#define TSCRIPT_INDEXVALUE_WALKUNDER				1288	     // WalkUnder
#define TSCRIPT_INDEXVALUE_JUMPOVER				1289	     // JumpOver
#define TSCRIPT_INDEXVALUE_CROUCHUNDER				1290	     // CrouchUnder
#define TSCRIPT_INDEXVALUE_MOVEABLEMASS 			1291	     // MoveableMass
#define TSCRIPT_INDEXVALUE_UPANGLE				1292	     // UpAngle
#define TSCRIPT_INDEXVALUE_DOWNANGLE				1293	     // DownAngle
#define TSCRIPT_INDEXVALUE_NODESPERSEC				1294	     // NodesPerSec
#define TSCRIPT_INDEXVALUE_MAXNODES				1295	     // MaxNodes
#define TSCRIPT_INDEXVALUE_TIMETOFORGETNODE			1296	     // TimeToForgetNode
#define TSCRIPT_INDEXVALUE_TIMETOFORGETINFLUENCE		1297	     // TimeToForgetInfluence
#define TSCRIPT_INDEXVALUE_MAXPATHLENGTH			1298	     // MaxPathLength
#define TSCRIPT_INDEXVALUE_MAXASTARSTEPS			1299	     // MaxAStarSteps
#define TSCRIPT_INDEXVALUE_SOLID				1852	     // Solid
#define TSCRIPT_INDEXVALUE_DUST 				1853	     // Dust
#define TSCRIPT_INDEXVALUE_LOG					1854	     // Log
#define TSCRIPT_INDEXVALUE_NUMBER				1855	     // Number
#define TSCRIPT_INDEXVALUE_VELOCITY				1856	     // Velocity
#define TSCRIPT_INDEXVALUE_LIFESPAN				1857	     // Lifespan
#define TSCRIPT_INDEXVALUE_SIZE 				1858	     // Size
#define TSCRIPT_INDEXVALUE_LENGTH				1859	     // Length
#define TSCRIPT_INDEXVALUE_GRAVITY				1860	     // Gravity
#define TSCRIPT_INDEXVALUE_STUCKGRAVITY 			1861	     // StuckGravity
#define TSCRIPT_INDEXVALUE_SPREAD				1862	     // Spread
#define TSCRIPT_INDEXVALUE_THRESHOLD				1863	     // Threshold
#define TSCRIPT_INDEXVALUE_TEXTPOSITION 			1864	     // TextPosition
#define TSCRIPT_INDEXVALUE_TEXTDISPLAYTIME			1865	     // TextDisplayTime
#define TSCRIPT_INDEXVALUE_TEXTATTOP				1866	     // TextAtTop
#define TSCRIPT_INDEXVALUE_OVERLAYTEXT				1867	     // OverlayText
#define TSCRIPT_INDEXVALUE_RESOURCEID				1868	     // ResourceID


#endif