;============================================================
ATXPROC MXTInGameIntervalHandler
;============================================================

	call MXTGetCurrentTransitionState

	cmp eax,1
	jz .entertransition

	cmp eax,2
	jz .fixedslowspeed

	cmp eax,3
	jz .exittransition

	mov edx,[GAME_SPEED_VAR_ADDR]
	mov eax,[NormalGameSpeed]
	mov [edx],eax				; back to fast speed

ret

.entertransition:

	mov ecx,[MXTEnterTransitionInterval]
	test ecx,ecx
	jz @f

		mov DWORD [esp-4],edx
		mov DWORD [esp-8],ecx
		fild DWORD [esp-4]
		fild DWORD [esp-8]
		fdivp st1,st0			; currenttimeleft/interval (diminishes with tick++)
		mov edx,[GAME_SPEED_VAR_ADDR]
		fmul [MXTSpeedVariationCurrent]
		fadd [MXTSlowSpeedCurrent]
		fstp DWORD [edx]

	@@:
ret

.fixedslowspeed:

	mov edx,[GAME_SPEED_VAR_ADDR]
	mov eax,[MXTSlowSpeedCurrent]
	mov [edx],eax				; set game speed to 'slow' mode

ret

.exittransition:

	mov ecx,[MXTExitTransitionInterval]
	test ecx,ecx
	jz @f

		mov DWORD [esp-4],edx
		mov DWORD [esp-8],ecx
		fild DWORD [esp-4]
		fild DWORD [esp-8]
		fdivp st1,st0			; currenttimeleft/interval  (diminishes with tick++)
		mov edx,[GAME_SPEED_VAR_ADDR]
		fmul [MXTSpeedVariationCurrent]
		fsubr [NormalGameSpeed]
		fstp DWORD [edx]

	@@:

ret