;==========================================================
ATXPROC AT104MAIN
;==========================================================
; MODIFIES PLAYER HEALTH

cmp BYTE [ecx+CAT104.Flags],AT104_RUN_ONCE_ONLY+AT104_HAS_BEEN_RUN_ONCE
jz .nohealing

or BYTE [ecx+CAT104.Flags],AT104_HAS_BEEN_RUN_ONCE

	GETCPLAYERPRIVINSTANCE edx

	cmp DWORD [ecx+CAT104.HitPointsToSub],0
	jz .fullheal

	fld DWORD [edx+CPlayerPriv.HitPoints]				; current player health
	fsub DWORD [ecx+8]						; substract hit points
	fstp DWORD [edx+CPlayerPriv.HitPoints]				; store again

.nohealing:
ret

.fullheal:

	mov eax,[edx+CPlayerPriv.MaxHitPoints]				; max player health
	mov [edx+CPlayerPriv.HitPoints],eax

ret

;==========================================================
ATXPROC AT104_REINIT
;==========================================================

	mov eax,[ecx+CAT104.InitialFlags]
	mov [ecx+CAT104.Flags],eax

mov eax,[esp+4] 							; standard
ret 4


