;==========================================================
ATXPROC AT115MAIN
;==========================================================
push esi
push ebx

	mov esi,ecx
	mov ebx,[esi+CAT115.lpInstance]

; save current WOO cheat bool state

	mov eax,[WOO_AMMO_BOOL_ADDR]
	mov dl,[eax]
	push edx

; if applicable, enable WOO boolean

	test [esi+CAT115.Flags],AT115_USE_WOO_BOOLEAN
	jz @f

		or BYTE [eax],1

	@@:

; call Use method

	mov ecx,ebx
	mov eax,[ecx]
	push 0
	call DWORD [eax+ICInstance.UseObject]

     ; returns TRUE if ammo left or if first click without ammo (ammo>=0)
     ; returns FALSE if not first click without ammo (ammo=-1)

; restore WOO cheat bool state (bit 0 only)

	mov ecx,[WOO_AMMO_BOOL_ADDR]
	mov dl,[ecx]
	pop eax
	and dl,not 1
	and al,1
	or al,dl
	mov [ecx],al

; if applicable, manually decrease ammo count

	test [esi+CAT115.Flags],AT115_DEC_AMMO_MANUALLY
	jz .exitammodecreased

	mov ecx,[ebx+CInstance.lpVTable]
	cmp ecx,[CGUNVTABLE]
	jnz .exitammodecreased
	mov eax,[ebx+CGun.AmmoCount]
	cmp eax,0
	jle .gunempty
	dec eax

		test eax,eax
		jnz @f
		test [esi+CAT115.Flags],AT115_NO_GUN_CLICK
		jz @f

			mov eax,CGUN_AMMO_EMPTY_CHECKED_ONCE

		@@:

	mov [ebx+CGun.AmmoCount],eax
	jmp .exitammodecreased

	.gunempty:

	mov [ebx+CGun.AmmoCount],CGUN_AMMO_EMPTY_CHECKED_ONCE

	.exitammodecreased:

; check for CMessageUse send

	test [esi+CAT115.Flags],AT115_DO_NOT_SEND_CMESSAGEUSE
	jnz .donotsendusemessage

; increase CMessageUse count (?)

	mov eax,[CMessageUseProcessCount1]
	inc DWORD [eax]

; send CMessageUse

	mov ecx,AT115_TempCMessageUseInst
	mov eax,[CMESSAGEUSEVTABLE]
	xor edx,edx
	mov [ecx],eax
	mov [ecx+4],edx
	mov [ecx+8],edx
	mov eax,[CMessageUseStrucParam]
	mov edx,[ecx]
	mov [ecx+16],ebx
	mov [ecx+12],eax
	call DWORD [edx+ICMessage.Unknown_000C] 			; send message

	.donotsendusemessage:

pop ebx
pop esi
ret

