;============================================================
; code run before every frame is drawn for LOC-MAP cheats
;============================================================
; note: main surface object retrieved from
; DWORD [DWORD [BaseDDSurfaceADDR]]
; is only valid in this portion of code and similar sections

;============================================================
INTERCEPTPROC POSTSCREENRENDERINTERCEPT
;============================================================
; called before every frame flip

	push ebp
	push esi
	push edi
	push edx
	push ecx
	push ebx
	push eax


	BBMCALL ScreenTextDumperBeginRecording,[UseScreenTextDumper]


	JUMPIFINCONSOLE .noquicksave

		BBMCALL ATX_QUICKSAVE_RT,[QuickSaveEnabled]

	.noquicksave:

; external functions

	BBMCALL TestForFlyModeKeys,[FlyModeEnabled]
	BBMCALL FLY_Exit_Teleport,[FlyExitQueued]
	;BBMCALL DirectDrawMain,[Effects_BOOL]

	BBMCALL DisplayHUD_RT,[UseHUD]
	BBMCALL CalcPlayerPathTracesRT,[PTEnabled]
	BBMCALL SHOWMAP_CODE,[MAPEnabled]

	call SetNewTimeStamp

	PLUGINSCBINVOKE PLUGIN_CALLBACKS.PostScreenRender

	BBMCALL RecordVideoCaptureRT_NEW,[VideoEnabledBool]
	BBMCALL DisplayPlayerHealth,[ShowPlayerHealth]
	BBMCALL DisplayDinoInfoMain,[CAnimalDisplayInfo]
	BBMCALL DisplayDrawDistance,[DrawDistDisplayTime]
	BBMCALL DisplayNewKeysState,[ToggleKeysShowStateTime]
	BBMCALL DisplayPlayerFaceFloats,[ShowFaceFloats]
	BBMCALL DisplayFPS,[FPSToggle]
	BBMCALL DISPLAYBUFFERSIZES,[BUFSIZEDisplayInfo]
	BBMCALL DISPLAYOBJCHEAT,[UseObjCheat]
	BBMCALL MXTInGameIntervalHandler,[MXTStateEnabled]
	BBMCALL DisplayGameSpeed,[GSPDDisplay]
	BBMCALL DisplayLINSTData,[LINSTEnabled]
	BBMCALL DISPLAYPARTICLEBASECOUNT,[CPBaseDisplayCountEnabled]
	BBMCALL FIXOBJECTSPEED_RT,[FixSMainBuffer]
	BBMCALL DoTHIRDPAIMCheatRTMain,[THIRDPAIMEnabled]
	BBMCALL DisplayCheatsListing,[CheatsListingDisplay]
	BBMCALL DisplayErrorCount,[LastErrorTime]
	BBMCALL DisplayTempMessage,[TempMessageTime]


	BBMCALL ScreenTextDumperEndRecording,[UseScreenTextDumper]

	pop eax
	pop ebx
	pop ecx
	pop edx
	pop edi
	pop esi
	pop ebp

	cmp [LOCEnabled],1
	    jz .uselocfromexe

	add esp,4						; get rid of return address from call
	jmp [NO_LOC_JUMP_DEST_ADDR]				; jump if LOC disabled

	.uselocfromexe: 					; if LOC cheat enable, simply continue

ret


;============================================================
ATXPROC TextOutINTERCEPT
;============================================================
	cmp [ScreenDumperRunning],0
	jz @f

		mov edx,[esp+4+12]
		mov eax,[esp+4+16]
		call ScreenTextDumperAddString

	@@:
	jmp [TextOutTRUE]





