PLUGIN_MAPS_FOLDER_NAME 		dstr	"PLG"
PLUGIN_FOLDER_SEARCH_STR		dstr	"*"

; Functions that can be exported as callbacks by plugin DLLs
PLUGIN_CALLBACK_NAME_POSTDLLLOAD	dstr	"ATXCPostDLLLoad"
PLUGIN_CALLBACK_NAME_PREDLLLOAD 	dstr	"ATXCPreDLLUnload"
PLUGIN_CALLBACK_NAME_PRESCREENRENDER	dstr	"ATXCPreScreenRender"
PLUGIN_CALLBACK_NAME_POSTSCREENRENDER	dstr	"ATXCPostScreenRender"
PLUGIN_CALLBACK_NAME_PRELEVELLOAD	dstr	"ATXCPreLevelLoad"
PLUGIN_CALLBACK_NAME_POSTLEVELLOAD	dstr	"ATXCPostLevelLoad"
PLUGIN_CALLBACK_NAME_ONACTBITE		dstr	"ATXCOnActBite"
PLUGIN_CALLBACK_NAME_ONLEVELSAVE	dstr	"ATXCOnLevelSave"
PLUGIN_CALLBACK_NAME_ONPLGUSERCOMMAND	dstr	"ATXCOnPlgUserCommand"
PLUGIN_CALLBACK_NAME_NEWATINIT		dstr	"ATXCNewATInit"

; ATX_LOGFILE messages

PLUGIN_LOGFILE_MSG_BEGIN		dstr	0Dh,0Ah,\
						"- Scanning for plugins...",0Dh,0Ah
PLUGIN_LOGFILE_MSG_FOLDERFOUND		dstr	0Dh,0Ah,\
						" - Attempting to load plugin DLL",0Dh,0Ah,\
						"   %s",0Dh,0Ah,\
						"   for plugin folder",0Dh,0Ah,\
						"   %s",0Dh,0Ah
PLUGIN_LOGFILE_MSG_LOADFAIL		dstr	"  -> Unable to load plugin DLL",0Dh,0Ah
PLUGIN_LOGFILE_MSG_LOADSUCCESS		dstr	"  -> Successfully loaded plugin DLL.",0Dh,0Ah,\
						"    - Scanning for exported callback functions...",0Dh,0Ah
PLUGIN_LOGFILE_MSG_LOADCALLBACK 	dstr	"     -> Callback detected: %s",0Dh,0Ah
PLUGIN_LOGFILE_MSG_LOADCALLBACKCOUNT	dstr	"     -> Number of callback functions detected for plugin: %u",0Dh,0Ah
PLUGIN_LOGFILE_MSG_END			dstr	0Dh,0Ah,\
						" -> Done scanning for plugins.",0Dh,0Ah,\
						"    %u plugin(s) loaded, %u exported function(s)",0Dh,0Ah,\
						0Dh,0Ah,\
						0Dh,0Ah
