;=========================================================
INTERCEPTPROC DDRAWENUMCALLBACKINTRCPT_PROC1		; must preserve: none
;=========================================================

; print resolutions to ATX_LOGFILE

	cmp [UseOutputDDrawEnum],0
	    jz .nooutput

	mov edx,[DDRAWENUMRESCOUNT_1]
	mov edx,[edx]					; edx = resolution count in Tres buffer
	test edx,edx
	setle dl					; edx non-zero if count null
	cmp [OutputDDrawEnum_LastEnum],1
	mov al,0
	    jz @f
	    mov al,1
	    mov [OutputDDrawEnum_LastEnum],1
	@@:
	and dl,al

	mov eax,[esp+8] 				; DDSURFACEDESC2 struct instance
	mov ecx,[eax+DDSURFACEDESC2.dwRefreshRate]
	test [eax+DDSURFACEDESC2.dwFlags],DDSD_REFRESHRATE
	     jnz @f
	     xor ecx,ecx
	@@:

	stdcall DDrawEnumPrintResolution,[eax+DDSURFACEDESC2.dwWidth],\
		[eax+DDSURFACEDESC2.dwHeight],\
		[eax+DDSURFACEDESC2.ddpfPixelFormat.dwRGBBitCount],\
		ecx,edx

	.nooutput:


; add extra resolutions to list

	mov edx,[DDRAWENUMRESCOUNT_1]
	cmp DWORD [edx],0
	    jnle @f
	    mov edx,[esp+0Ch]				; edx points to base of structure for next resolution storage
	    call DDrawEnumCopyResolutions
	    mov edx,[DDRAWENUMRESCOUNT_1]
	    mov [edx],eax
	@@:

	pop edx 					; return address

; /* REPLACED CODE
	mov ecx,[esp+4]
	cmp DWORD [ecx+54h],16				; (bit depth)
; */

	jmp edx

;=========================================================
INTERCEPTPROC DDRAWENUMCALLBACKINTRCPT_PROC2		; must preserve: eax
;=========================================================
push eax

; print resolutions to ATX_LOGFILE

	cmp [UseOutputDDrawEnum],0
	    jz .nooutput

	mov edx,[DDRAWENUMRESCOUNT_2]
	mov edx,[edx]					; edx = resolution count in Tres buffer
	test edx,edx
	setle dl					; edx non-zero if count null
	cmp [OutputDDrawEnum_LastEnum],2
	mov al,0
	    jz @f
	    mov al,1
	    mov [OutputDDrawEnum_LastEnum],2
	@@:
	and dl,al

	mov eax,[esp+12]				; DDSURFACEDESC2 struct instance
	mov ecx,[eax+DDSURFACEDESC2.dwRefreshRate]
	test [eax+DDSURFACEDESC2.dwFlags],DDSD_REFRESHRATE
	     jnz @f
	     xor ecx,ecx
	@@:

	stdcall DDrawEnumPrintResolution,[eax+DDSURFACEDESC2.dwWidth],\
		[eax+DDSURFACEDESC2.dwHeight],\
		[eax+DDSURFACEDESC2.ddpfPixelFormat.dwRGBBitCount],\
		ecx,edx

	.nooutput:

; add extra resolutions to list

	mov edx,[DDRAWENUMRESCOUNT_2]
	cmp DWORD [edx],0
	    jnle @f
	    add edx,0Ch 				; edx points to base of structure for next resolution storage
	    call DDrawEnumCopyResolutions
	    mov edx,[DDRAWENUMRESCOUNT_2]
	    mov [edx],eax
	@@:

pop eax

	pop edx 					; return address

; /* REPLACED CODE
	test al,al
	mov eax,[esp+4]
; */

	jmp edx
