;=================================================================
ATXPROC SetGameDifficulty
;=================================================================
push esi
push edi

	mov edx,[GameDifficultyValue]
	cmp edx,5
	    jb @f

		mov edx,2

	@@:
	shl edx,2				; *4

	mov esi,[CAnimalBuffer]
	test esi,esi
	     jz .noanimalhpmod

; Do dino health modifier

	.animalhpmodloop:
	mov edi,[esi+CANIMAL_INFO.Instance]
	call UpdateAnimalGameDiffHitPoints
	add esi,sizeof.CANIMAL_INFO
	cmp esi,[CAnimalBufferEnd]
	    jb .animalhpmodloop

	.noanimalhpmod:

; Do player health modifier

	GETCPLAYERPRIVINSTANCE edi

   ; Player HitPoints multiplier

	fld DWORD [edi+CPlayerPriv.HitPoints]
	fmul DWORD [GAME_DIFFICULTY_TABLE+20+edx]
	fstp DWORD [edi+CPlayerPriv.HitPoints]

   ; Player MaxHitPoints multiplier

	fld DWORD [edi+CPlayerPriv.MaxHitPoints]
	fmul DWORD [GAME_DIFFICULTY_TABLE+20+edx]
	fstp DWORD [edi+CPlayerPriv.MaxHitPoints]

pop edi
pop esi
ret

;=================================================================
ATXPROC UpdateAnimalGameDiffHitPoints
;=================================================================

   ; CAnimal HitPoints multiplier

	fld DWORD [edi+CAnimal.HitPoints]
	fmul DWORD [GAME_DIFFICULTY_TABLE+0+edx]
	fstp DWORD [edi+CAnimal.HitPoints]

   ; CAnimal MaxHitPoints multiplier

	fld DWORD [edi+CAnimal.MaxHitPoints]
	fmul DWORD [GAME_DIFFICULTY_TABLE+0+edx]
	fstp DWORD [edi+CAnimal.MaxHitPoints]

ret



