;================================================================
ATXPROC ModifyCAnimalHP
;================================================================
; CAnimal instance (all) modification code at level start (for HitPoints)
; note: the game does not move the instances' locations in memory (during the period
; between the instancing and this code) so the pointers should
; always be valid

cmp [UseCAnimalHitPoints],0
    jz .exit

push esi
push edi

	mov esi,[CAnimalBuffer]
	test esi,esi
	     jz .nomod

	.hploop:
	mov edi,[esi+CANIMAL_INFO.Instance]

; modify instance's health values (updated after each level restart)

; add to HitPoints

	fld DWORD [edi+CAnimal.HitPoints]
	fadd [UseCAnimalHitPoints]
	fstp DWORD [edi+CAnimal.HitPoints]

; add to MaxHitPoints

	fld DWORD [edi+CAnimal.MaxHitPoints]
	fadd [UseCAnimalHitPoints]
	fstp DWORD [edi+CAnimal.MaxHitPoints]

	add esi,sizeof.CANIMAL_INFO
	cmp esi,[CAnimalBufferEnd]
	    jb .hploop

.nomod:
pop edi
pop esi
.exit:
ret
