;============================================================
; FOLLOWDINO CHEAT REAL-TIME CODE (ALSO WORKS IN CONJUNCTION WITH OBJF CHEAT)
;============================================================

;============================================================
ATXPROC DoFollowDinoRTMain
;============================================================

	call GetGameWindowState
	test eax,GAMESTATE_GAMEWND_ACTIVE
	jz .exit

;------------------------------------
; key handler
;------------------------------------

	test eax,GAMESTATE_CONSOLE_ENABLED
	jnz .noinputhandler

	invoke GetTickCount
	sub eax,[FDTickCountInput]
	cmp eax,[FDInputInterval]
	mov [esp-4],eax
	    jb .noinputhandler

	add [FDTickCountInput],eax
	fild DWORD [esp-4]
	mov edi,[KEY_LIST_ADDR]
	fstp [FDFloatTimeInput]

	invoke GetAsyncKeyState,[edi+80]
	test eax,80000000h
	     jz .noreset

		mov eax,[FDDistanceOrig]
		mov [FDDistanceCurrent],eax
		jmp .nobackwardslow

	.noreset:

	invoke GetAsyncKeyState,[edi+88]
	test eax,80000000h
	     jz .nofrontslow

		fld [FDDistanceSpeed]
		fchs
		fmul [FDFloatTimeInput]
		fadd [FDDistanceCurrent]
		fst [FDDistanceCurrent]
		fcomp [float_0]
		fstsw ax
		test ah,1h
		     jz .nobackwardslow

			mov [FDDistanceCurrent],0

		jmp .nobackwardslow

	.nofrontslow:

	invoke GetAsyncKeyState,[edi+96]
	test eax,80000000h
	     jz .nobackwardslow

		fld [FDDistanceSpeed]
		fmul [FDFloatTimeInput]
		fadd [FDDistanceCurrent]
		fstp [FDDistanceCurrent]

	.nobackwardslow:

	.noinputhandler:

;------------------------------------
;camera mvt updater
;------------------------------------

	call [FDFetchFunction]
	test ebx,ebx
	     jz .nocammvtupdate

		sub esp,4*(3+4)

		mov eax,[ebx+30h]			; copy instance position values
		mov ecx,[ebx+34h]
		mov edx,[ebx+38h]
		mov [esp],eax
		mov [esp+4],ecx
		mov [esp+8],edx

		mov eax,FDDistanceCurrent
		mov edx,esp
		mov ecx,FDXAngle
		call FacingRad2CompToVector_Sub 	; calculate new camera position values (follow object)

		lea edx,[esp+(4*3)]
		mov ecx,FDXAngle
		stdcall FDConvAnglesToQuat,edx		; calculate new camera orientation


		mov edx,esp
		call CCameraTeleport

		add esp,4*(3+4)

	.nocammvtupdate:

;------------------------------------

.exit:
ret

;============================================================
; FOLLOWDINO INSTANCE FETCH PROCEDURES
;============================================================
; All return instance to follow in _ebx_ or NULL if none
; They must be set in [FDFetchFunction] (only one permitted at once)

;============================================================
ATXPROC FD_FetchCAnimalInstance
;============================================================

	mov eax,[CAnimalBuffer]
	xor ebx,ebx
	test eax,eax
	mov ecx,[CAnimalDisplayIndex]
	    jz @f

		mov ebx,[eax+ecx+CANIMAL_INFO.Instance]

	@@:

ret

;============================================================
ATXPROC FD_FetchOBJNInstance
;============================================================

	mov ebx,[OBJNInstance]

ret

;============================================================
; MOVEMENT HANDLER(S)
;============================================================

;============================================================
ATXPROC DoFollowDinoRTMouseMvtHandler
;============================================================
; cannot change ebx,ebp,esi,edi
; [esi+28h] = last X POINT value
; [esi+2Ch] = last Y POINT value

sub esp,8

	push esp
	invoke GetCursorPos
	mov eax,[esp]
	mov ecx,[esp+4]
	sub eax,[esi+28h]
	sub ecx,[esi+2Ch]
	mov [esp],eax
	mov [esp+4],ecx

; sub from xangle

	fild DWORD [esp]
	fmul [FDMouseCtrlMultiplier]
	fsubr [FDXAngle]

; insure xangle is within range 0 to 2pi (not optimized)

	.xanglenotbelow2piloop:
	fcom [pi2]
	fstsw ax
	test ah,1h
	     jnz @f

	fsub [pi2]
	jmp .xanglenotbelow2piloop
	@@:

	.xanglenotabove0loop:
	fcom [float_0]
	fstsw ax
	test ah,1h
	     jz @f

	fadd [pi2]
	jmp .xanglenotabove0loop
	@@:

	fstp [FDXAngle]

; add to zangle

	fild DWORD [esp+4]
	fmul [FDMouseCtrlMultiplier]
	fmul [FDInvertMouseMul]
	fadd [FDZAngle]
	fst [FDZAngle]

; test for zangle limits

	fcom [FDZAnglemin]
	mov ecx,[FDZAnglemin]
	fstsw ax
	test ah,1h
	     jz @f

		mov [FDZAngle],ecx

	@@:

	fcomp [FDZAnglemax]
	mov ecx,[FDZAnglemax]
	fstsw ax
	test ah,41h
	     jnz @f

		mov [FDZAngle],ecx

	@@:

add esp,8
ret

