;============================================================
ATXPROC ForceDinoJump		; esi = CAnimal, ebx = CANIMAL_JUMP_INFO (neither register is modified)
;============================================================
push ebp
push edi
mov ebp,esp
sub esp,16

	mov edi,AT10EmitterSimObject
	mov [edi+4],DWORD 0

	lea ecx,[ebx+CANIMAL_JUMP_INFO.JumpAngle]		; (stored in radians)
	lea edx,[ebp-16]					; local quat
	call ToLocalQuat_AxisX

	lea eax,[esi+3Ch]					; source quat (rotation - dino's current orientation)
	lea ecx,[ebp-16]					; local quat (to be rotated)
	lea edx,[edi+3Ch]					; result
	call QuaternionMul

	mov eax,[esi+30h]
	mov [edi+30h],eax					; Xposition (Emitter)
	mov eax,[esi+34h]
	mov [edi+34h],eax					; Yposition (Emitter)

	fld DWORD [esi+38h]
	fsub [float_100]
	fstp DWORD [edi+38h]					; Zposition (Emitter)

	mov ecx,AT10SimObject
	mov eax,[ebx+CANIMAL_JUMP_INFO.Push]
	mov [ecx+04h],DWORD 0
	mov [ecx+18h],esi					; Target
	or BYTE [ecx+1Ch],1					; Impulse
	mov [ecx+38h],eax					; Push (force)
	mov [ecx+3Ch],edi					; Emitter object
	mov edx,0.000000
	mov [ecx+14h],BYTE 0					; Frozen bool
	mov [ecx+08h],edx					; X velocity
	mov [ecx+0Ch],edx					; Y velocity
	mov [ecx+10h],edx					; Z velocity
	mov [ecx+2Ch],edx					; X facing value (axis ???)
	mov [ecx+34h],edx					; Z facing value (???)
	mov eax,[ecx]
	mov [ecx+30h],DWORD 1.000000				; Y facing value (???)
	call DWORD [eax+8]					; AT10 MAIN PROC

mov esp,ebp
pop edi
pop ebp
ret


;============================================================
ATXPROC ActJumpNewFormatCurrentAnimalInfo
;============================================================
; edx = buffer for output string
; must return number of printed chars in eax

push ebx

	mov ebx,edx

; ActJumpNew info (tacked on loosely)

	cmp [UseDisableActJumpNew],0
	jnz .nodisplayjumpinfo

	mov eax,[CAnimalDisplayIndex]
	mov edx,[CAnimalBuffer]
	mov ecx,[eax+edx+CANIMAL_INFO.Index]
	mov eax,sizeof.CANIMAL_JUMP_INFO
	mul ecx
	mov ecx,[CAnimalJumpInfoBuf]
	test ecx,ecx
	jz .nodisplayjumpinfo

	add ecx,eax

    ; ecx = CANIMAL_JUMP_INFO struc for current instance

	push [ecx+CANIMAL_JUMP_INFO.TendancyCheck_LastTick]
	push [ecx+CANIMAL_JUMP_INFO.TendancyCheckPeriod]
	push [ecx+CANIMAL_JUMP_INFO.LastTickCount]
	push [ecx+CANIMAL_JUMP_INFO.RepeatPeriod]
	push [ecx+CANIMAL_JUMP_INFO.JumpTendancy]
	sub esp,16
	fld DWORD [ecx+CANIMAL_JUMP_INFO.JumpAngle]
	fstp QWORD [esp+8]
	fld DWORD [ecx+CANIMAL_JUMP_INFO.Push]
	fstp QWORD [esp]

	invoke sprintf,ebx,ACTJUMPNEW_VALUES_INFO_STR
	add esp,44

pop ebx
ret

.nodisplayjumpinfo:
	xor eax,eax
pop ebx
ret

