;============================================================
ATXPROC GetCAnimalInstanceCount 	; returns count in eax (for current level)
;============================================================

	mov eax,[CAnimalInstanceCount]

ret


;============================================================
proc GetClosestDinoToLocation lpLoc, dwFlags
;============================================================
; NOT IMPLEMENTED
; returns instance in eax

ret
endp

;============================================================
ATXPROC GetActivityParentAnimal 	; ecx = CActivity instance, edx = CBrain.(lpactivity) member offset
;============================================================
; returns pointer to CANIMAL_INFO in eax for found CAnimal or null if not found/none exists

push ebx

	mov eax,[CAnimalBuffer]
	test eax,eax
	     jz .notfound

	.findinstanceloop:
	mov ebx,[eax+CANIMAL_INFO.Instance]
	mov ebx,[ebx+CAnimal.lpCBrain]
	cmp ecx,[ebx+edx]
	    jz .found

	add eax,sizeof.CANIMAL_INFO
	cmp eax,[CAnimalBufferEnd]
	    jb .findinstanceloop

.notfound:
	xor eax,eax

.found:
pop ebx
ret





