;================================================================
;EXE-specific code and addresses
;================================================================

align 4
BaseData	dd	0

;---------------------------------------

align 16
P6_struc:
	dd 00637567h
	dd P6_maincode2
	dd 00609122h
	dd P6_1_1_JUMP
	dd (ENDP6MAIN-P6_maincode)	;(same for all)
	db "P6 - Pentium Pro-optimized (patched)       "

align 16
P5_struc:
	dd 0063A096h
	dd P5_maincode2
	dd 0060B9B2h
	dd P5_1_1_JUMP
	dd (ENDP5MAIN-P5_maincode)
	db "P5 - Pentium (patched)                     "

align 16
K6_struc:
	dd 00605986h
	dd K6_maincode2
	dd 005D7262h
	dd K6_1_1_JUMP
	dd (ENDK6MAIN-K6_maincode)
	db "K6 - AMD K6-optimized (patched)            "

align 16
Demo_Struc:
	dd 0063EC56h
	dd Demo_maincode2
	dd 0060C3D2h
	dd DEMO_JUMP
	dd (END_DEMOMAINCODE-Demo_maincode)
	db "P5 - Pentium (demo version)                "


;---------------------------------------
MACRO EXE_ADDR exeorg {
	currentaddr=$
	org exeorg
	startinstrexe=$
      }

MACRO ADDR_RESTORE {
	restoredaddr=($-startinstrexe)+currentaddr
	org restoredaddr
      }
;---------------------------------------

P6_1_1_JUMP:
	EXE_ADDR 00609122h
	call 00637567h
	ADDR_RESTORE

P5_1_1_JUMP:
	EXE_ADDR 0060B9B2h
	call 0063A096h
	ADDR_RESTORE

K6_1_1_JUMP:
	EXE_ADDR 005D7262h
	call 00605986h
	ADDR_RESTORE

DEMO_JUMP:
	EXE_ADDR 0060C3D2h
	call 0063EC56h
	ADDR_RESTORE

P6_maincode2:
	EXE_ADDR 00637567h
	P6_maincode:
	MAIN_CODE 00642148h,00642118h,00642120h,006423B4h,\
		  006420D4h,\
		  0064211Ch,00642284h,00642270h
	ENDP6MAIN:
	ADDR_RESTORE

P5_maincode2:
	EXE_ADDR 0063A096h
	P5_maincode:
	MAIN_CODE 00648148h,00648118h,00648120h,006483B4h,\
		  006480D4h,\
		  0064811Ch,00648284h,00648270h
	ENDP5MAIN:
	ADDR_RESTORE

K6_maincode2:
	EXE_ADDR 00605986h
	K6_maincode:
	MAIN_CODE 00610148h,00610118h,00610120h,006103B4h,\
		  006100D4h,\
		  0061011Ch,00610284h,00610270h
	ENDK6MAIN:
	ADDR_RESTORE

Demo_maincode2:
	EXE_ADDR 0063EC56h
	Demo_maincode:
	MAIN_CODE 0064C158h,0064C128h,0064C130h,0064C48Ch,\
		  0064C0D8h,\
		  0064C12Ch,0064C288h,0064C270h
	END_DEMOMAINCODE:
	ADDR_RESTORE
