;==========================================================
ATXPROC AT105MAIN
;==========================================================
; SMK VIDEO PLAYER CALLING CODE

cmp BYTE [ecx+CAT105.Flags],AT105_RUN_ONCE_ONLY+AT105_HAS_BEEN_RUN_ONCE
jz .novideo
cmp DWORD [ecx+CAT105.lpVideoFilename],0
jz .novideo

or BYTE [ecx+CAT105.Flags],AT105_HAS_BEEN_RUN_ONCE

push ebp
mov ebp,esp
sub esp,250h						; (don't know exact size of needed buffer)
push ebx						; fix: stack here fixed here in ATX 2.06
push edi

	mov edi,ecx

	lea eax,[ebp-50h]				; required sub-object (placed in [ebp-24Ch])
							; emulated values required for no crash
	mov [eax+38h],DWORD 100 			; (anything above 4)
	mov [eax+3Ch],DWORD 0				; (MUST be NULL-> incremented to 4)
	mov [eax+40h],DWORD 1				; (anything but NULL)

	lea ecx,[ebp-250h]
	push eax
	call [VideoObjAllocProc]			; init 'video' or such object

	push DWORD [edi+CAT105.lpVideoFilename] 	; address of video name+path
	lea ecx,[ebp-250h]
	call [VideoPlayProc]				; play video!

	lea ecx,[ebp-250h]
	call [VideoReleaseProc]

pop edi
pop ebx
mov esp,ebp
pop ebp
.novideo:
ret

;==========================================================
ATXPROC AT105_REINIT
;==========================================================

	mov eax,[ecx+CAT105.InitialFlags]
	mov [ecx+CAT105.Flags],eax

mov eax,[esp+4]
ret 4

