;====================================================================
ATINITPROC _AT106Init
;====================================================================

; first string (Sample string)

	GETSETVALUERET TSCRIPT_OFFSETVALUE_SAMPLE,0,TSCRIPT_VALUETYPE_STRING
	test eax,eax
	jz NoNewActionType					; leave if no valid string

	mov edi,eax
	mov ebx,edi
	FINDSTRINGEND ebx
	sub ebx,edi
	jz NoNewActionType					; 0 length?

	inc ebx 						; ebx=string length (w/null terminator)
	mov [ebp-4],edi 					; string addr start

; second string (Frame string (to append))

	GETSETVALUERET TSCRIPT_OFFSETVALUE_FRAME,1,TSCRIPT_VALUETYPE_STRING
	mov edi,eax
	lea edx,[ebx+sizeof.CAT106]				; current size of AT106 instance
	mov DWORD [ebp-8],0

	test eax,eax
	jz .nosecondstring					; skip if no valid string

	cmp BYTE [edi],0
	jz .nosecondstring

		mov [ebp-8],edi
		FINDSTRINGEND edi				; (edx preserved)
		sub edi,[ebp-8]
		inc edi
		add edx,edi
		mov [ebp-12],edi				; 2nd string length

	.nosecondstring:

; allocate

	ALLOCATBASE edx,AT106

; move and append

	MOVESTRING [edi+sizeof.CAT106],[ebp-4],ebx

	mov eax,[ebp-8]
	test eax,eax
	jz .nosecondstringappend

		lea edx,[edi+sizeof.CAT106]
		add edx,ebx
		mov BYTE [edx-1],20h
		MOVESTRING [edx],[ebp-8],[ebp-12]

	.nosecondstringappend:

	jmp ExitINAT
