;===============================================================
INTERCEPTPROC HINT_LOADSTRING_CUSTOM
;===============================================================

	pop eax
	mov [HintReturnAddr],eax

	cmp DWORD [esp+4],NEW_HINT_TYPE_ID+HINT_ID_OFFSET
	jz .newhint

	call [LoadString]				; parameters already passed

jmp [HintReturnAddr]

;===============================================================
.newhint:
;===============================================================

	mov eax,[HintNewMessageAddr]
	test eax,eax
	jz .nonewhint

	cmp DWORD [esp+8],0
	jz .nonewhint

	cmp DWORD [esp+12],0
	jz .nonewhint

	lea ecx,[eax-1]
	add ecx,[esp+12]

	push esi
	push edi
	push eax

	mov edi,[esp+8+12]
	mov esi,eax

	.hintmodloop:
	mov al,[esi]
	test al,al
	mov [edi],al
	jz .hintmodloopend
	cmp esi,ecx
	jb .continueloop

		mov BYTE [edi],0
		jmp .hintmodloopend

	.continueloop:
	inc esi
	inc edi
	jmp .hintmodloop

	.hintmodloopend:

	pop eax
	sub esi,eax
	mov eax,esi					; string size (w/o null terminator)
	pop edi
	pop esi

add esp,16
jmp [HintReturnAddr]

.nonewhint:
xor eax,eax
add esp,16
jmp [HintReturnAddr]
