;====================================================================
ATINITPROC _AT121Init
;====================================================================
; check for possible instances

; get Axx instances until not found, starting with A00

	SETLASTATERROR AT121_INITABORTMSG_NOWEAPONS

	xor ebx,ebx
	mov esi,stack_ext_buffer
	call ReadAxxNameIDArray

	test eax,eax
	jz NoNewActionType

	mov esi,eax
	lea edx,[4*eax+sizeof.CAT121]

; create main AT121 instance

	ALLOCATBASE edx,AT121					; size = AT121 instance + 4*number of gun instances

	mov [edi+CAT121.Ammo],AT121_NO_AMMO_VALUE
	mov [edi+CAT121.AltAmmoCount],ecx
	mov [edi+CAT121.GunCount],esi				; instance count

; copy instances to AT121 instance

	push edi
	mov ecx,esi
	mov esi,stack_ext_buffer
	add edi,sizeof.CAT121
	rep movsd
	pop edi

; get other reload values

	inc ebx
	GETSETVALUEDIR TSCRIPT_OFFSETVALUE_AMMO,ebx,TSCRIPT_VALUETYPE_INT,CAT121.Ammo

	inc ebx
	GETSETVALUEDIR TSCRIPT_OFFSETVALUE_ALTAMMOCOUNT,ebx,TSCRIPT_VALUETYPE_INT,CAT121.AltAmmoCount

	inc ebx
	GETSETVALUEDIR TSCRIPT_OFFSETVALUE_FRAME,ebx,TSCRIPT_VALUETYPE_INT,CAT121.GunCount

	jmp ExitINAT
