;===================================================================
macro NEWATVTABLEDEF atname {
;===================================================================
; This helps define the custom new ActionType VTables. Each new AT
; must have a atnameMAIN main proc and may optionally define a
; atnameDESTR destructor and a atname_REINIT re-init proc.
; Beware syntax errors, as they will not be detected for the latter two!

      if defined atname#DESTR
	atname._DESTR = atname#DESTR
      else
	atname._DESTR = NewATMainDestructor
      end if

      if defined atname#_REINIT
	atname._REINIT = atname#_REINIT
      else
	atname._REINIT = NewATReinitProc
      end if

      align 16

	atname NEWATVTABLE atname._DESTR,\
			   NewATIndDestructor,\
			   atname#MAIN,\
			   NewATEmptyProc1,\
			   NewATMethodX,\
			   atname._REINIT,\
			   NewATEmptyProc2,\
			   0,\
			   0,\
			   0


      }