;===================================================================
MACRO JUMPIFNOTGAMEWINDOW destlabel {
;===================================================================
; jumps if not in-game
; DESTROYS: none

       ; cmp [IsInGame_BOOL],FALSE
       ; jz destlabel

	push eax
	call GetGameWndInstance
	test eax,eax
	pop eax
	jz destlabel

     }

;===================================================================
MACRO JUMPIFINCONSOLE destlabel {
;===================================================================
; jumps if console is inactive
; DESTROYED: none

      ;  cmp [IsInConsole_BOOL],TRUE
      ;  jz destlabel

	push eax
	call GetGameWindowState
	test eax,GAMESTATE_CONSOLE_ENABLED
	pop eax
	jnz destlabel

     }

;===================================================================
MACRO JUMPIFNOTGAMEPLAY destlabel {
;===================================================================
; jumps if not in game window or if in console
; DESTROYED: none

	push eax
	call GetGameWindowState
	and eax,GAMESTATE_GAMEWND_ACTIVE+GAMESTATE_CONSOLE_ENABLED
	cmp eax,GAMESTATE_GAMEWND_ACTIVE
	pop eax
	jnz destlabel

     }



;===================================================================
MACRO GETMAINWNDINST {
;===================================================================
; returns in eax
; DESTROYED: eax
	mov eax,[LPCMAINWND_ADDR]
	mov eax,[eax]
     }

;===================================================================
MACRO GETCURRWNDINST {
;===================================================================
; returns in eax (i.e., CGameWnd when playing in-game)
; DESTROYED: eax, ecx, edx
	GETMAINWNDINST
	mov ecx,[eax+CMainWnd.lpCurrWindowManager]
	call [MAINWND_GETCURRWNDINSTANCE_PROC]
     }

;===================================================================
MACRO ISCONSOLEON {
;===================================================================
; input: eax = CGameWnd instance
; returns non-zero if console is activated
; DESTROYED: eax, ecx, edx
	mov ecx,[eax+CGameWnd.lpConsoleCUIEditbox]
	mov eax,[ecx+CUIEditbox.lpVTable]
	call [eax+ICUIEditbox.IsActive]
     }

;===================================================================
MACRO JUMPIFNOCGAMEWND destlabel {
;===================================================================
; jumps if not game window currently displayed
; DESTROYED: eax, ecx, edx
	GETCURRWNDINST
	test eax,eax
	jz destlabel
	mov ecx,[CGAMEWNDVTABLE]
	cmp [eax+CGameWnd.lpVTable],ecx
	jnz destlabel
     }




