;===================================================================
MACRO READFROMFILE fhandle,readoffset,readsize,destbuf,errordestaddr {
;===================================================================

	invoke SetFilePointer,fhandle,readoffset,0,FILE_BEGIN
	cmp eax,-1
	    jz errordestaddr

	sub esp,4
	mov ecx,esp
	invoke ReadFile,fhandle,destbuf,readsize,ecx,0
	pop ecx
	test eax,eax
	     jz errordestaddr
	cmp ecx,readsize
	    jnz errordestaddr

      }

;===================================================================
MACRO CLOSEHANDLE handlevalue {
;===================================================================

	cmp handlevalue,0
	    jz @f

		invoke CloseHandle,handlevalue

	@@:

      }