;============================================================
ATXPROC InvokeInitCallbackForAllPlugins
;============================================================

cmp [pluginqueue.nodecount],0
    jz .noplugins

push esi
push edi

	PLUGINCBSETASACTIVE PLUGIN_CALLBACKS.PostDLLLoad

; call all parameter-less functions

	mov esi,[pluginqueue.oldestnode]
	mov edi,ecx

	.callbackloop:

	mov eax,[esi+sizeof.STDQUEUENODE+PLUGIN_DESC.Callbacks.PostDLLLoad]
	test eax,eax
	     jz @f

		lea ecx,[esi+sizeof.STDQUEUENODE+PLUGIN_DESC.FolderPath]
		lea edx,[esi+sizeof.STDQUEUENODE+PLUGIN_DESC.DLLPath]
		push ecx
		push edx
		call eax				; callback is stdcall

	@@:
	mov esi,[esi+STDQUEUENODE.newernode]
	test esi,esi
	     jnz .callbackloop

	PLUGINCBSETASINACTIVE PLUGIN_CALLBACKS.PostDLLLoad

pop edi
pop esi
.noplugins:
ret

;============================================================
ATXPROC InvokeCallbackForAllPlugins
;============================================================
; C-calling convention!!!
; ecx = offset into PLUGIN_CALLBACKS
; param1 = number of parameters (excluding param1 itself)
; param2, 3, 4, ... = parameters

push ebp
mov ebp,esp
push esi
push edi

	PLUGINCBSETASACTIVE ecx

; call all parameter-less functions

	mov esi,[pluginqueue.oldestnode]
	mov edi,ecx

	.callbackloop:

	mov eax,[esi+sizeof.STDQUEUENODE+PLUGIN_DESC.Callbacks+edi]
	test eax,eax
	     jz .notexportedbyplugin

		mov ecx,[param1]
		test ecx,ecx
		     jz .endparamloop

			lea edx,[param1+4*ecx]		; get pointer to last param

			.paramloop:
			push DWORD [edx]
			sub edx,4
			dec ecx
			    jnz .paramloop

		.endparamloop:

		call eax				; stdcall callback

	.notexportedbyplugin:

	mov esi,[esi+STDQUEUENODE.newernode]
	test esi,esi
	     jnz .callbackloop

	PLUGINCBSETASINACTIVE edi

pop edi
pop esi
mov esp,ebp
pop ebp
ret

