;============================================================
ATXPROC IsSoundInTPA				; ecx = TPA struct, eax = sound identifier
;============================================================
; This is a wrap.
; returns eax = false if not found, true otherwise

push esi

	add ecx,18h				; offset into TPA struct
	mov esi,ecx

    ; local vars

	push eax				; return var (also sound ID, don't know if necessary to be sound ID, but can't hurt)
	push eax				; sound ID

    ; params (ecx already set)

	lea edx,[esp+4]
	push esp				; pointer to sound ID
	push edx				; pointer to return var
	call [TPACheckIDPresenceProc]		; returns pointer to return var in eax (same as param1)

	mov eax,[eax]
	cmp eax,[esi]
	    jz .notfound
	cmp DWORD [eax+14h],0
	    jz .notfound

	add esp,8				; local vars
	mov eax,TRUE

pop esi
ret

.notfound:

	add esp,8				; local vars
	xor eax,eax

pop esi
ret

