;================================================================
ATXPROC ModifyDrawDistanceRT		; [esp+4] = DWORD float to add to draw dist
;================================================================
; modifies draw distance in real-time and sets values

push eax
push ecx
push edx
push ebx
push edi

	invoke GetTickCount
	mov [DrawDistDisplayTime],eax
	mov ebx,[DRAW_DISTANCE_VAR_ADDR]

	invoke GetCurrentProcessId

	invoke OpenProcess,PROCESS_VM_WRITE+PROCESS_VM_OPERATION,0,eax
	test eax,eax
	     jz .unabletomod

	mov edi,eax

; unprotect ".rdata" section

	mov ecx,[DATASEC_STARTADDR]
	mov edx,[RDATA_START_ADDR]
	sub ecx,edx

	invoke VirtualProtectEx,edi,edx,ecx,PAGE_READWRITE,VOldProtectRData
	test eax,eax
	     jz .unabletomod

	fld DWORD [ebx]
	fadd DWORD [esp+24]
	fstp DWORD [ebx]

; re-protect ".rdata" section

	mov ecx,[DATASEC_STARTADDR]
	mov edx,[RDATA_START_ADDR]
	sub ecx,edx

	invoke VirtualProtectEx,edi,edx,ecx,[VOldProtectRData],VOldProtectRData

.unabletomod:
pop edi
pop ebx
pop edx
pop ecx
pop eax
ret 4

;================================================================
ATXPROC ModifyDrawDistanceMENU		; [esp+4] = DWORD float to use as new draw dist.
;================================================================
push ebp
mov ebp,esp
sub esp,100
push eax
push ecx
push edx
push ebx
push edi
push esi

	mov ebx,[DRAW_DISTANCE_VAR_ADDR]

	invoke GetCurrentProcessId
	invoke OpenProcess,PROCESS_VM_WRITE+PROCESS_VM_OPERATION,0,eax
	test eax,eax
	     jz .unabletomod

	mov edi,eax

; unprotect ".rdata" section

	mov ecx,[DATASEC_STARTADDR]
	mov edx,[RDATA_START_ADDR]
	sub ecx,edx
	invoke VirtualProtectEx,edi,edx,ecx,PAGE_READWRITE,VOldProtectRData
	test eax,eax
	     jz .unabletomod

	mov eax,[ebp+8]
	mov [ebx],eax

; re-protect ".rdata" section

	mov ecx,[DATASEC_STARTADDR]
	mov edx,[RDATA_START_ADDR]
	sub ecx,edx
	invoke VirtualProtectEx,edi,edx,ecx,[VOldProtectRData],VOldProtectRData

	lea edx,[ebp-100]
	sub esp,8
	fld DWORD [ebp+8]
	fstp QWORD [esp]
	invoke sprintf,edx,FLOAT_SIX_DEC_STR
	add esp,16

	lea edx,[ebp-100]
	invoke WritePrivateProfileString,section_vars,key_draw,edx,atxconfigpath_const

.unabletomod:
pop esi
pop edi
pop ebx
pop edx
pop ecx
pop eax
mov esp,ebp
pop ebp
ret 4
