;============================================================
ATXPROC IsValidInstanceVTable			; ecx = instance's VTable pointer member
;============================================================
; returns non-zero if true (tests approximately)

	mov eax,[RDATA_START_ADDR]
	add eax,4
	cmp ecx,eax
	mov eax,[DATASEC_STARTADDR]
	    jb .invalid 			; is pointer in data section?
	sub eax,4
	cmp ecx,eax
	    jnb .invalid

	mov eax,[ecx]				; get first VTable member (should be function address)
	sub eax,CODESEC_STARTADDR_ALL
	    jb .invalid
	cmp eax,[V_CODE_SIZE]
	    jnb .invalid

	mov eax,[ecx-4] 			; get VTable debug info member (-4) (should be in data section)
	cmp eax,[RDATA_START_ADDR]
	    jb .invalid
	cmp eax,[DATASEC_STARTADDR]
	    jnb .invalid

	mov eax,1
ret

.invalid:

	xor eax,eax

ret