;/* REC cheat save flags
PIXEL_FORMAT_16_5_6_5		equ	00000001b
INVERT_UP_DOWN_IMAGES		equ	00000010b
;*/

;/* REC save methods
SAVE_METHOD_NONE		equ	64
SAVE_METHOD_NEW_STD		equ	0
SAVE_METHOD_NEW_MMX		equ	1
SAVE_METHOD_NEW_FPU		equ	2
SAVE_METHOD_NEW_SSE		equ	3
SAVE_METHOD_NEW_SSE2		equ	4
LAST_STD_NEW_METHOD_NUMBER	equ	4
SAVE_METHOD_NEW_DX		equ	16
SAVE_METHOD_OLD_16		equ	32
SAVE_METHOD_OLD_24		equ	33

SAVE_METHOD_OLD_BOOL		equ	100000b
;*/

;====================================================================
;POSSIBLE CONFLICT VALUES a.k.a. Temporary Constants
;====================================================================
;This/these current value(s) isn't/aren't currently implemented
;in FASM's include library at this time, but may be in the future
;and cause conflicts. Delete if this happens to be the case.

MAX_PATH		    equ 	260
DIB_RGB_COLORS		    equ 0   ;remove if conflict with include files

;streamtypeVIDEO           equ
AVICOMPRESSF_INTERLEAVE    equ	    0x00000001	  ;// interleave
AVICOMPRESSF_DATARATE	   equ	    0x00000002	  ;// use a data rate
AVICOMPRESSF_KEYFRAMES	   equ	    0x00000004	  ;// use keyframes
AVICOMPRESSF_VALID	   equ	    0x00000008	  ;// has valid data?

ICMF_CHOOSE_KEYFRAME	   equ		0x0001	;// show KeyFrame Every box
ICMF_CHOOSE_DATARATE	   equ		0x0002	;// show DataRate box
ICMF_CHOOSE_PREVIEW	   equ		0x0004	;// allow expanded preview dialog
ICMF_CHOOSE_ALLCOMPRESSORS equ		0x0008	;// don't only show those that
						;// can handle the input format
						;// or input data

AVIIF_LIST		   equ		0x00000001
AVIIF_TWOCC		   equ		0x00000002
AVIIF_KEYFRAME		   equ		0x00000010

;VIDEO CAPTURE MESSAGES (MAY BE UNUSED)

0L			    equ 0
WM_CAP_START		    equ WM_USER
WM_CAP_UNICODE_START	    equ WM_USER+100
WM_CAP_GET_CAPSTREAMPTR     equ WM_CAP_START+1
WM_CAP_SET_CALLBACK_ERRORW  equ WM_CAP_UNICODE_START+2
WM_CAP_SET_CALLBACK_STATUSW equ WM_CAP_UNICODE_START+3
WM_CAP_SET_CALLBACK_ERRORA  equ WM_CAP_START+2
WM_CAP_SET_CALLBACK_STATUSA equ WM_CAP_START+3
WM_CAP_SET_CALLBACK_YIELD   equ WM_CAP_START+4
WM_CAP_SET_CALLBACK_FRAME   equ WM_CAP_START+5
WM_CAP_SET_CALLBACK_VIDEOSTREAM equ WM_CAP_START+6
WM_CAP_SET_CALLBACK_WAVESTREAM equ WM_CAP_START+7
WM_CAP_GET_USER_DATA	    equ WM_CAP_START+8
WM_CAP_SET_USER_DATA	    equ WM_CAP_START+9
WM_CAP_DRIVER_CONNECT	    equ WM_CAP_START+10
WM_CAP_DRIVER_DISCONNECT    equ WM_CAP_START+11
WM_CAP_DRIVER_GET_NAMEA     equ WM_CAP_START+12
WM_CAP_DRIVER_GET_VERSIONA  equ WM_CAP_START+13
WM_CAP_DRIVER_GET_NAMEW     equ WM_CAP_UNICODE_START+12
WM_CAP_DRIVER_GET_VERSIONW  equ WM_CAP_UNICODE_START+13
WM_CAP_DRIVER_GET_CAPS	    equ WM_CAP_START+14
WM_CAP_FILE_SET_CAPTURE_FILEA equ WM_CAP_START+20
WM_CAP_FILE_GET_CAPTURE_FILEA equ WM_CAP_START+21
WM_CAP_FILE_SAVEASA	    equ WM_CAP_START+23
WM_CAP_FILE_SAVEDIBA	    equ WM_CAP_START+25
WM_CAP_FILE_SET_CAPTURE_FILEW equ WM_CAP_UNICODE_START+20
WM_CAP_FILE_GET_CAPTURE_FILEW equ WM_CAP_UNICODE_START+21
WM_CAP_FILE_SAVEASW	    equ WM_CAP_UNICODE_START+23
WM_CAP_FILE_SAVEDIBW	    equ WM_CAP_UNICODE_START+25
WM_CAP_FILE_ALLOCATE	    equ WM_CAP_START+22
WM_CAP_FILE_SET_INFOCHUNK   equ WM_CAP_START+24
WM_CAP_EDIT_COPY	    equ WM_CAP_START+30
WM_CAP_SET_AUDIOFORMAT	    equ WM_CAP_START+35
WM_CAP_GET_AUDIOFORMAT	    equ WM_CAP_START+36
WM_CAP_DLG_VIDEOFORMAT	    equ WM_CAP_START+41
WM_CAP_DLG_VIDEOSOURCE	    equ WM_CAP_START+42
WM_CAP_DLG_VIDEODISPLAY     equ WM_CAP_START+43
WM_CAP_GET_VIDEOFORMAT	    equ WM_CAP_START+44
WM_CAP_SET_VIDEOFORMAT	    equ WM_CAP_START+45
WM_CAP_DLG_VIDEOCOMPRESSION equ WM_CAP_START+46
WM_CAP_SET_PREVIEW	    equ WM_CAP_START+50
WM_CAP_SET_OVERLAY	    equ WM_CAP_START+51
WM_CAP_SET_PREVIEWRATE	    equ WM_CAP_START+52
WM_CAP_SET_SCALE	    equ WM_CAP_START+53
WM_CAP_GET_STATUS	    equ WM_CAP_START+54
WM_CAP_SET_SCROLL	    equ WM_CAP_START+55
WM_CAP_GRAB_FRAME	    equ WM_CAP_START+60
WM_CAP_GRAB_FRAME_NOSTOP    equ WM_CAP_START+61
WM_CAP_SEQUENCE 	    equ WM_CAP_START+62
WM_CAP_SEQUENCE_NOFILE	    equ WM_CAP_START+63
WM_CAP_SET_SEQUENCE_SETUP   equ WM_CAP_START+64
WM_CAP_GET_SEQUENCE_SETUP   equ WM_CAP_START+65
WM_CAP_SET_MCI_DEVICEA	    equ WM_CAP_START+66
WM_CAP_GET_MCI_DEVICEA	    equ WM_CAP_START+67
WM_CAP_SET_MCI_DEVICEW	    equ WM_CAP_UNICODE_START+66
WM_CAP_GET_MCI_DEVICEW	    equ WM_CAP_UNICODE_START+67
WM_CAP_STOP		    equ WM_CAP_START+68
WM_CAP_ABORT		    equ WM_CAP_START+69
WM_CAP_SINGLE_FRAME_OPEN    equ WM_CAP_START+70
WM_CAP_SINGLE_FRAME_CLOSE   equ WM_CAP_START+71
WM_CAP_SINGLE_FRAME	    equ WM_CAP_START+72
WM_CAP_PAL_OPENA	    equ WM_CAP_START+80
WM_CAP_PAL_SAVEA	    equ WM_CAP_START+81
WM_CAP_PAL_OPENW	    equ WM_CAP_UNICODE_START+80
WM_CAP_PAL_SAVEW	    equ WM_CAP_UNICODE_START+81
WM_CAP_PAL_PASTE	    equ WM_CAP_START+82
WM_CAP_PAL_AUTOCREATE	    equ WM_CAP_START+83
WM_CAP_PAL_MANUALCREATE     equ WM_CAP_START+84
WM_CAP_SET_CALLBACK_CAPCONTROL equ WM_CAP_START+85
WM_CAP_UNICODE_END	    equ WM_CAP_PAL_SAVEW
WM_CAP_END		    equ WM_CAP_UNICODE_END