;=======================================================
; class CQuaternion (unofficial)
;=======================================================

#label CQuaternion::ToVector()_2 = 0x004B19B0, 0x004AF2B0, 0x004B2520, 0x004B01D0
#label CQuaternion::Multiply()_2 = 0x004B1A90, 0x004AF390, 0x004B2600, 0x004B02B0

VECTOR CQuaternion::ToVector(
 VECTOR lpDestVector,
 VECTOR lpBaseAxis
); // a.k.a. CONVERT_TO_FACING_PROC



VOID CQuaternion::Multiply(
 UNKNOWN Param1,
 UNKNOWN Param2 
);


;=======================================================
#label FloatToLongWrap()_1fpu = 0x006090D2
;=======================================================
QWORD FloatToLongWrap(		// no mem stack params
 FLOATFPU FloatToConvert	// passed as st0 on FPU stack
); // returns int64 value of float in edx:eax

Uses MSVCRT._ftol() (which uses fistp).


;=======================================================
; class CVector2
;=======================================================

#label CVector2::Substract()_2 = 0x0045DFE0
#label CVector2::Add()_2 = 0x00473040

LPCVECTOR2 CVector2::Substract(
 LPCVECTOR2 lpVectorOutput
 LPCVECTOR2 lpSourceVector
); // returns lpVectorOutput

Performs (logically):
lpVectorOutput = this-lpSourceVector


LPCVECTOR2 CVector2::Add(
 LPCVECTOR2 lpVectorOutput
 LPCVECTOR2 lpSourceVector
); // returns lpVectorOutput

Performs (logically):
lpVectorOutput = this+lpSourceVector


;=======================================================
; class CObjectLocVectState (unofficial)
;=======================================================

#label CObjectLocVectState::VectorDisplace()_2 = 0x004B2CE0

LPCVECTOR2 CObjectLocVectState::VectorDisplace(
 LPSOBJECTLOC lpOutputLocation,
 LPCVECTOR3 lpDirection
); // returns lpOutputLocation


This displaces the position of the object relative to the direction
it is currently facing, with the lpDirection vector giving the
offset direction as well as the distance to move. If the object's
orientation is unmodified (CObjectLocVectState::Orientation::w is 1.000000),
the object automatically moves in the direction of the vector.
It uses the Scale member of CObjectLocVectState, and returns the
new position in lpOutputLocation only (object not modified directly).










